#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1249
#define LARGE_STATE_COUNT 76
#define SYMBOL_COUNT 189
#define ALIAS_COUNT 1
#define TOKEN_COUNT 90
#define EXTERNAL_TOKEN_COUNT 14
#define FIELD_COUNT 10
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 25

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_COMMA = 3,
  anon_sym_LPAREN = 4,
  anon_sym_RPAREN = 5,
  anon_sym_PLUS = 6,
  anon_sym_DOT_PLUS = 7,
  anon_sym_DASH = 8,
  anon_sym_DOT_DASH = 9,
  anon_sym_STAR = 10,
  anon_sym_DOT_STAR = 11,
  anon_sym_SLASH = 12,
  anon_sym_DOT_SLASH = 13,
  anon_sym_BSLASH = 14,
  anon_sym_DOT_BSLASH = 15,
  anon_sym_CARET = 16,
  anon_sym_DOT_CARET = 17,
  anon_sym_PIPE = 18,
  anon_sym_AMP = 19,
  anon_sym_DOT = 20,
  anon_sym_TILDE = 21,
  anon_sym_QMARK = 22,
  anon_sym_AT = 23,
  anon_sym_LT = 24,
  anon_sym_LT_EQ = 25,
  anon_sym_EQ_EQ = 26,
  anon_sym_TILDE_EQ = 27,
  anon_sym_GT_EQ = 28,
  anon_sym_GT = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE_PIPE = 31,
  anon_sym_DOT_SQUOTE = 32,
  anon_sym_SQUOTE = 33,
  anon_sym_LBRACK = 34,
  aux_sym_matrix_token1 = 35,
  anon_sym_RBRACK = 36,
  anon_sym_LBRACE = 37,
  anon_sym_RBRACE = 38,
  anon_sym_EQ = 39,
  anon_sym_COLON = 40,
  sym_return_statement = 41,
  sym_continue_statement = 42,
  sym_break_statement = 43,
  anon_sym_elseif = 44,
  anon_sym_else = 45,
  anon_sym_if = 46,
  anon_sym_end = 47,
  anon_sym_for = 48,
  anon_sym_parfor = 49,
  anon_sym_while = 50,
  anon_sym_case = 51,
  anon_sym_otherwise = 52,
  anon_sym_switch = 53,
  anon_sym_global = 54,
  anon_sym_persistent = 55,
  anon_sym_arguments = 56,
  anon_sym_function = 57,
  anon_sym_get_DOT = 58,
  anon_sym_set_DOT = 59,
  anon_sym_endfunction = 60,
  anon_sym_vector = 61,
  anon_sym_matrix = 62,
  anon_sym_scalar = 63,
  anon_sym_properties = 64,
  anon_sym_methods = 65,
  anon_sym_events = 66,
  anon_sym_enumeration = 67,
  anon_sym_classdef = 68,
  anon_sym_catch = 69,
  anon_sym_try = 70,
  sym_number = 71,
  anon_sym_true = 72,
  anon_sym_false = 73,
  anon_sym_LF = 74,
  anon_sym_CR = 75,
  sym_comment = 76,
  sym_line_continuation = 77,
  sym_command_name = 78,
  sym_command_argument = 79,
  sym__single_quote_string_start = 80,
  sym__single_quote_string_end = 81,
  sym__double_quote_string_start = 82,
  sym__double_quote_string_end = 83,
  sym_formatting_sequence = 84,
  sym_escape_sequence = 85,
  sym_string_content = 86,
  sym__entry_delimiter = 87,
  sym__multioutput_variable_start = 88,
  sym_error_sentinel = 89,
  sym_source_file = 90,
  aux_sym__block = 91,
  sym_block = 92,
  sym__statement = 93,
  sym__expression = 94,
  sym_parenthesis = 95,
  sym__binary_expression = 96,
  sym_binary_operator = 97,
  sym_unary_operator = 98,
  sym_indirect_access = 99,
  sym_field_expression = 100,
  sym_not_operator = 101,
  sym_metaclass_operator = 102,
  sym_handle_operator = 103,
  sym_comparison_operator = 104,
  sym_boolean_operator = 105,
  sym_postfix_operator = 106,
  sym_string = 107,
  sym_row = 108,
  sym_matrix = 109,
  sym_cell = 110,
  sym_ignored_argument = 111,
  sym_assignment = 112,
  sym_multioutput_variable = 113,
  sym_spread_operator = 114,
  sym_arguments = 115,
  sym__args = 116,
  sym_function_call = 117,
  sym_command = 118,
  sym__range_element = 119,
  sym_range = 120,
  sym_elseif_clause = 121,
  sym_else_clause = 122,
  sym_if_statement = 123,
  sym_iterator = 124,
  sym_parfor_options = 125,
  sym_for_statement = 126,
  sym_while_statement = 127,
  sym_case_clause = 128,
  sym_otherwise_clause = 129,
  sym_switch_statement = 130,
  sym__lambda_arguments = 131,
  sym_lambda = 132,
  sym_global_operator = 133,
  sym_persistent_operator = 134,
  sym__argument_attributes = 135,
  sym_arguments_statement = 136,
  sym_function_output = 137,
  sym_function_arguments = 138,
  sym_function_definition = 139,
  sym__function_definition_with_end = 140,
  sym_attribute = 141,
  sym_attributes = 142,
  sym_superclasses = 143,
  sym_dimensions = 144,
  sym_validation_functions = 145,
  sym_default_value = 146,
  sym_property_name = 147,
  sym_property = 148,
  sym_properties = 149,
  sym_function_signature = 150,
  sym_methods = 151,
  sym_events = 152,
  sym__enum_value = 153,
  sym_enum = 154,
  sym_enumeration = 155,
  sym_class_definition = 156,
  sym_catch_clause = 157,
  sym_try_statement = 158,
  sym_boolean = 159,
  sym__end_of_line = 160,
  aux_sym_source_file_repeat1 = 161,
  aux_sym__block_repeat1 = 162,
  aux_sym_field_expression_repeat1 = 163,
  aux_sym_metaclass_operator_repeat1 = 164,
  aux_sym_string_repeat1 = 165,
  aux_sym_row_repeat1 = 166,
  aux_sym_matrix_repeat1 = 167,
  aux_sym_multioutput_variable_repeat1 = 168,
  aux_sym_arguments_repeat1 = 169,
  aux_sym_arguments_repeat2 = 170,
  aux_sym_command_repeat1 = 171,
  aux_sym_elseif_clause_repeat1 = 172,
  aux_sym_if_statement_repeat1 = 173,
  aux_sym_switch_statement_repeat1 = 174,
  aux_sym__lambda_arguments_repeat1 = 175,
  aux_sym_global_operator_repeat1 = 176,
  aux_sym__argument_attributes_repeat1 = 177,
  aux_sym_arguments_statement_repeat1 = 178,
  aux_sym_function_definition_repeat1 = 179,
  aux_sym_attributes_repeat1 = 180,
  aux_sym_superclasses_repeat1 = 181,
  aux_sym_dimensions_repeat1 = 182,
  aux_sym_validation_functions_repeat1 = 183,
  aux_sym_methods_repeat1 = 184,
  aux_sym_events_repeat1 = 185,
  aux_sym_enum_repeat1 = 186,
  aux_sym_enumeration_repeat1 = 187,
  aux_sym_class_definition_repeat1 = 188,
  alias_sym_superclass = 189,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_COMMA] = ",",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_PLUS] = "+",
  [anon_sym_DOT_PLUS] = ".+",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT_DASH] = ".-",
  [anon_sym_STAR] = "*",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_SLASH] = "/",
  [anon_sym_DOT_SLASH] = "./",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_DOT_BSLASH] = ".\\",
  [anon_sym_CARET] = "^",
  [anon_sym_DOT_CARET] = ".^",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_DOT] = ".",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AT] = "@",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_TILDE_EQ] = "~=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_DOT_SQUOTE] = ".'",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LBRACK] = "[",
  [aux_sym_matrix_token1] = "matrix_token1",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON] = ":",
  [sym_return_statement] = "return_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [anon_sym_elseif] = "elseif",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_end] = "end",
  [anon_sym_for] = "for",
  [anon_sym_parfor] = "parfor",
  [anon_sym_while] = "while",
  [anon_sym_case] = "case",
  [anon_sym_otherwise] = "otherwise",
  [anon_sym_switch] = "switch",
  [anon_sym_global] = "global",
  [anon_sym_persistent] = "persistent",
  [anon_sym_arguments] = "arguments",
  [anon_sym_function] = "function",
  [anon_sym_get_DOT] = "get.",
  [anon_sym_set_DOT] = "set.",
  [anon_sym_endfunction] = "endfunction",
  [anon_sym_vector] = "identifier",
  [anon_sym_matrix] = "identifier",
  [anon_sym_scalar] = "identifier",
  [anon_sym_properties] = "properties",
  [anon_sym_methods] = "methods",
  [anon_sym_events] = "events",
  [anon_sym_enumeration] = "enumeration",
  [anon_sym_classdef] = "classdef",
  [anon_sym_catch] = "catch",
  [anon_sym_try] = "try",
  [sym_number] = "number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_LF] = "\n",
  [anon_sym_CR] = "\r",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym_command_name] = "command_name",
  [sym_command_argument] = "command_argument",
  [sym__single_quote_string_start] = "'",
  [sym__single_quote_string_end] = "'",
  [sym__double_quote_string_start] = "\"",
  [sym__double_quote_string_end] = "\"",
  [sym_formatting_sequence] = "formatting_sequence",
  [sym_escape_sequence] = "escape_sequence",
  [sym_string_content] = "string_content",
  [sym__entry_delimiter] = ";",
  [sym__multioutput_variable_start] = "[",
  [sym_error_sentinel] = "error_sentinel",
  [sym_source_file] = "source_file",
  [aux_sym__block] = "_block",
  [sym_block] = "block",
  [sym__statement] = "_statement",
  [sym__expression] = "_expression",
  [sym_parenthesis] = "parenthesis",
  [sym__binary_expression] = "_binary_expression",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_indirect_access] = "indirect_access",
  [sym_field_expression] = "field_expression",
  [sym_not_operator] = "not_operator",
  [sym_metaclass_operator] = "metaclass_operator",
  [sym_handle_operator] = "handle_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_postfix_operator] = "postfix_operator",
  [sym_string] = "string",
  [sym_row] = "row",
  [sym_matrix] = "matrix",
  [sym_cell] = "cell",
  [sym_ignored_argument] = "ignored_argument",
  [sym_assignment] = "assignment",
  [sym_multioutput_variable] = "multioutput_variable",
  [sym_spread_operator] = "spread_operator",
  [sym_arguments] = "arguments",
  [sym__args] = "_args",
  [sym_function_call] = "function_call",
  [sym_command] = "command",
  [sym__range_element] = "_range_element",
  [sym_range] = "range",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_iterator] = "iterator",
  [sym_parfor_options] = "parfor_options",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_case_clause] = "case_clause",
  [sym_otherwise_clause] = "otherwise_clause",
  [sym_switch_statement] = "switch_statement",
  [sym__lambda_arguments] = "_lambda_arguments",
  [sym_lambda] = "lambda",
  [sym_global_operator] = "global_operator",
  [sym_persistent_operator] = "persistent_operator",
  [sym__argument_attributes] = "attributes",
  [sym_arguments_statement] = "arguments_statement",
  [sym_function_output] = "function_output",
  [sym_function_arguments] = "function_arguments",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_with_end] = "function_definition",
  [sym_attribute] = "attribute",
  [sym_attributes] = "attributes",
  [sym_superclasses] = "superclasses",
  [sym_dimensions] = "dimensions",
  [sym_validation_functions] = "validation_functions",
  [sym_default_value] = "default_value",
  [sym_property_name] = "property_name",
  [sym_property] = "property",
  [sym_properties] = "properties",
  [sym_function_signature] = "function_signature",
  [sym_methods] = "methods",
  [sym_events] = "events",
  [sym__enum_value] = "_enum_value",
  [sym_enum] = "enum",
  [sym_enumeration] = "enumeration",
  [sym_class_definition] = "class_definition",
  [sym_catch_clause] = "catch_clause",
  [sym_try_statement] = "try_statement",
  [sym_boolean] = "boolean",
  [sym__end_of_line] = "_end_of_line",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_field_expression_repeat1] = "field_expression_repeat1",
  [aux_sym_metaclass_operator_repeat1] = "metaclass_operator_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_row_repeat1] = "row_repeat1",
  [aux_sym_matrix_repeat1] = "matrix_repeat1",
  [aux_sym_multioutput_variable_repeat1] = "multioutput_variable_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_arguments_repeat2] = "arguments_repeat2",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_elseif_clause_repeat1] = "elseif_clause_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym__lambda_arguments_repeat1] = "_lambda_arguments_repeat1",
  [aux_sym_global_operator_repeat1] = "global_operator_repeat1",
  [aux_sym__argument_attributes_repeat1] = "_argument_attributes_repeat1",
  [aux_sym_arguments_statement_repeat1] = "arguments_statement_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_attributes_repeat1] = "attributes_repeat1",
  [aux_sym_superclasses_repeat1] = "superclasses_repeat1",
  [aux_sym_dimensions_repeat1] = "dimensions_repeat1",
  [aux_sym_validation_functions_repeat1] = "validation_functions_repeat1",
  [aux_sym_methods_repeat1] = "methods_repeat1",
  [aux_sym_events_repeat1] = "events_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_enumeration_repeat1] = "enumeration_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [alias_sym_superclass] = "superclass",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DOT_PLUS] = anon_sym_DOT_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT_DASH] = anon_sym_DOT_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_DOT_SLASH] = anon_sym_DOT_SLASH,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_DOT_BSLASH] = anon_sym_DOT_BSLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_DOT_CARET] = anon_sym_DOT_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_TILDE_EQ] = anon_sym_TILDE_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_DOT_SQUOTE] = anon_sym_DOT_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [aux_sym_matrix_token1] = aux_sym_matrix_token1,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_return_statement] = sym_return_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [anon_sym_elseif] = anon_sym_elseif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_parfor] = anon_sym_parfor,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_otherwise] = anon_sym_otherwise,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_persistent] = anon_sym_persistent,
  [anon_sym_arguments] = anon_sym_arguments,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_get_DOT] = anon_sym_get_DOT,
  [anon_sym_set_DOT] = anon_sym_set_DOT,
  [anon_sym_endfunction] = anon_sym_endfunction,
  [anon_sym_vector] = sym_identifier,
  [anon_sym_matrix] = sym_identifier,
  [anon_sym_scalar] = sym_identifier,
  [anon_sym_properties] = anon_sym_properties,
  [anon_sym_methods] = anon_sym_methods,
  [anon_sym_events] = anon_sym_events,
  [anon_sym_enumeration] = anon_sym_enumeration,
  [anon_sym_classdef] = anon_sym_classdef,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_try] = anon_sym_try,
  [sym_number] = sym_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR] = anon_sym_CR,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym_command_name] = sym_command_name,
  [sym_command_argument] = sym_command_argument,
  [sym__single_quote_string_start] = anon_sym_SQUOTE,
  [sym__single_quote_string_end] = anon_sym_SQUOTE,
  [sym__double_quote_string_start] = sym__double_quote_string_start,
  [sym__double_quote_string_end] = sym__double_quote_string_start,
  [sym_formatting_sequence] = sym_formatting_sequence,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_string_content] = sym_string_content,
  [sym__entry_delimiter] = anon_sym_SEMI,
  [sym__multioutput_variable_start] = anon_sym_LBRACK,
  [sym_error_sentinel] = sym_error_sentinel,
  [sym_source_file] = sym_source_file,
  [aux_sym__block] = aux_sym__block,
  [sym_block] = sym_block,
  [sym__statement] = sym__statement,
  [sym__expression] = sym__expression,
  [sym_parenthesis] = sym_parenthesis,
  [sym__binary_expression] = sym__binary_expression,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_indirect_access] = sym_indirect_access,
  [sym_field_expression] = sym_field_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_metaclass_operator] = sym_metaclass_operator,
  [sym_handle_operator] = sym_handle_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_postfix_operator] = sym_postfix_operator,
  [sym_string] = sym_string,
  [sym_row] = sym_row,
  [sym_matrix] = sym_matrix,
  [sym_cell] = sym_cell,
  [sym_ignored_argument] = sym_ignored_argument,
  [sym_assignment] = sym_assignment,
  [sym_multioutput_variable] = sym_multioutput_variable,
  [sym_spread_operator] = sym_spread_operator,
  [sym_arguments] = sym_arguments,
  [sym__args] = sym__args,
  [sym_function_call] = sym_function_call,
  [sym_command] = sym_command,
  [sym__range_element] = sym__range_element,
  [sym_range] = sym_range,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_iterator] = sym_iterator,
  [sym_parfor_options] = sym_parfor_options,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_case_clause] = sym_case_clause,
  [sym_otherwise_clause] = sym_otherwise_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym__lambda_arguments] = sym__lambda_arguments,
  [sym_lambda] = sym_lambda,
  [sym_global_operator] = sym_global_operator,
  [sym_persistent_operator] = sym_persistent_operator,
  [sym__argument_attributes] = sym_attributes,
  [sym_arguments_statement] = sym_arguments_statement,
  [sym_function_output] = sym_function_output,
  [sym_function_arguments] = sym_function_arguments,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_with_end] = sym_function_definition,
  [sym_attribute] = sym_attribute,
  [sym_attributes] = sym_attributes,
  [sym_superclasses] = sym_superclasses,
  [sym_dimensions] = sym_dimensions,
  [sym_validation_functions] = sym_validation_functions,
  [sym_default_value] = sym_default_value,
  [sym_property_name] = sym_property_name,
  [sym_property] = sym_property,
  [sym_properties] = sym_properties,
  [sym_function_signature] = sym_function_signature,
  [sym_methods] = sym_methods,
  [sym_events] = sym_events,
  [sym__enum_value] = sym__enum_value,
  [sym_enum] = sym_enum,
  [sym_enumeration] = sym_enumeration,
  [sym_class_definition] = sym_class_definition,
  [sym_catch_clause] = sym_catch_clause,
  [sym_try_statement] = sym_try_statement,
  [sym_boolean] = sym_boolean,
  [sym__end_of_line] = sym__end_of_line,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_field_expression_repeat1] = aux_sym_field_expression_repeat1,
  [aux_sym_metaclass_operator_repeat1] = aux_sym_metaclass_operator_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_row_repeat1] = aux_sym_row_repeat1,
  [aux_sym_matrix_repeat1] = aux_sym_matrix_repeat1,
  [aux_sym_multioutput_variable_repeat1] = aux_sym_multioutput_variable_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_arguments_repeat2] = aux_sym_arguments_repeat2,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_elseif_clause_repeat1] = aux_sym_elseif_clause_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym__lambda_arguments_repeat1] = aux_sym__lambda_arguments_repeat1,
  [aux_sym_global_operator_repeat1] = aux_sym_global_operator_repeat1,
  [aux_sym__argument_attributes_repeat1] = aux_sym__argument_attributes_repeat1,
  [aux_sym_arguments_statement_repeat1] = aux_sym_arguments_statement_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_attributes_repeat1] = aux_sym_attributes_repeat1,
  [aux_sym_superclasses_repeat1] = aux_sym_superclasses_repeat1,
  [aux_sym_dimensions_repeat1] = aux_sym_dimensions_repeat1,
  [aux_sym_validation_functions_repeat1] = aux_sym_validation_functions_repeat1,
  [aux_sym_methods_repeat1] = aux_sym_methods_repeat1,
  [aux_sym_events_repeat1] = aux_sym_events_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_enumeration_repeat1] = aux_sym_enumeration_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [alias_sym_superclass] = alias_sym_superclass,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_matrix_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_elseif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parfor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_otherwise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_persistent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_arguments] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_endfunction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vector] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_matrix] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_scalar] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_properties] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_methods] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_events] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enumeration] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_classdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_command_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote_string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__single_quote_string_end] = {
    .visible = true,
    .named = false,
  },
  [sym__double_quote_string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__double_quote_string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_formatting_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym__entry_delimiter] = {
    .visible = true,
    .named = false,
  },
  [sym__multioutput_variable_start] = {
    .visible = true,
    .named = false,
  },
  [sym_error_sentinel] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__block] = {
    .visible = false,
    .named = false,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesis] = {
    .visible = true,
    .named = true,
  },
  [sym__binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indirect_access] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_metaclass_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_handle_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_row] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix] = {
    .visible = true,
    .named = true,
  },
  [sym_cell] = {
    .visible = true,
    .named = true,
  },
  [sym_ignored_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_multioutput_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__args] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym__range_element] = {
    .visible = false,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_iterator] = {
    .visible = true,
    .named = true,
  },
  [sym_parfor_options] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_otherwise_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_global_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_persistent_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_output] = {
    .visible = true,
    .named = true,
  },
  [sym_function_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_with_end] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_superclasses] = {
    .visible = true,
    .named = true,
  },
  [sym_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_validation_functions] = {
    .visible = true,
    .named = true,
  },
  [sym_default_value] = {
    .visible = true,
    .named = true,
  },
  [sym_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_property] = {
    .visible = true,
    .named = true,
  },
  [sym_properties] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_methods] = {
    .visible = true,
    .named = true,
  },
  [sym_events] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_value] = {
    .visible = false,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym__end_of_line] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_metaclass_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_row_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_matrix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multioutput_variable_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_elseif_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__lambda_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_superclasses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimensions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_validation_functions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_methods_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_events_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumeration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_superclass] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_arguments = 2,
  field_condition = 3,
  field_expression = 4,
  field_field = 5,
  field_left = 6,
  field_name = 7,
  field_object = 8,
  field_operand = 9,
  field_right = 10,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_condition] = "condition",
  [field_expression] = "expression",
  [field_field] = "field",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_right] = "right",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 2},
  [16] = {.index = 2, .length = 1},
  [17] = {.index = 2, .length = 1},
  [18] = {.index = 18, .length = 1},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 1},
  [21] = {.index = 21, .length = 1},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_operand, 1},
  [1] =
    {field_operand, 0},
  [2] =
    {field_name, 0},
  [3] =
    {field_field, 1, .inherited = true},
    {field_object, 0},
  [5] =
    {field_name, 0, .inherited = true},
  [6] =
    {field_condition, 1},
  [7] =
    {field_name, 1},
  [8] =
    {field_argument, 0},
  [9] =
    {field_field, 1},
  [10] =
    {field_left, 0},
    {field_right, 2},
  [12] =
    {field_field, 0, .inherited = true},
    {field_field, 1, .inherited = true},
  [14] =
    {field_expression, 3},
  [15] =
    {field_name, 2},
  [16] =
    {field_argument, 0},
    {field_argument, 1, .inherited = true},
  [18] =
    {field_expression, 4},
  [19] =
    {field_arguments, 1},
  [20] =
    {field_name, 3},
  [21] =
    {field_argument, 1},
  [22] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [24] =
    {field_argument, 1, .inherited = true},
  [25] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_identifier,
  },
  [16] = {
    [2] = alias_sym_superclass,
  },
  [17] = {
    [0] = sym_identifier,
    [2] = alias_sym_superclass,
  },
  [18] = {
    [2] = sym_arguments,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__lambda_arguments, 2,
    sym__lambda_arguments,
    sym_arguments,
  sym_property_name, 2,
    sym_property_name,
    alias_sym_superclass,
  sym_boolean, 2,
    sym_boolean,
    sym_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 49,
  [53] = 51,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 50,
  [58] = 48,
  [59] = 59,
  [60] = 47,
  [61] = 59,
  [62] = 46,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 63,
  [67] = 54,
  [68] = 45,
  [69] = 64,
  [70] = 56,
  [71] = 71,
  [72] = 55,
  [73] = 65,
  [74] = 55,
  [75] = 65,
  [76] = 76,
  [77] = 76,
  [78] = 78,
  [79] = 76,
  [80] = 76,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 91,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 91,
  [101] = 91,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 105,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 119,
  [128] = 128,
  [129] = 103,
  [130] = 130,
  [131] = 131,
  [132] = 117,
  [133] = 133,
  [134] = 126,
  [135] = 103,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 126,
  [141] = 126,
  [142] = 117,
  [143] = 117,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 105,
  [148] = 115,
  [149] = 114,
  [150] = 109,
  [151] = 111,
  [152] = 82,
  [153] = 83,
  [154] = 86,
  [155] = 87,
  [156] = 85,
  [157] = 89,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 165,
  [167] = 167,
  [168] = 167,
  [169] = 169,
  [170] = 169,
  [171] = 165,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 174,
  [176] = 169,
  [177] = 167,
  [178] = 174,
  [179] = 179,
  [180] = 169,
  [181] = 174,
  [182] = 169,
  [183] = 167,
  [184] = 165,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 165,
  [189] = 76,
  [190] = 76,
  [191] = 84,
  [192] = 76,
  [193] = 78,
  [194] = 76,
  [195] = 195,
  [196] = 97,
  [197] = 197,
  [198] = 198,
  [199] = 90,
  [200] = 200,
  [201] = 94,
  [202] = 99,
  [203] = 98,
  [204] = 96,
  [205] = 95,
  [206] = 206,
  [207] = 91,
  [208] = 76,
  [209] = 93,
  [210] = 76,
  [211] = 211,
  [212] = 163,
  [213] = 213,
  [214] = 91,
  [215] = 76,
  [216] = 91,
  [217] = 91,
  [218] = 218,
  [219] = 76,
  [220] = 78,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 223,
  [225] = 225,
  [226] = 185,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 223,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 225,
  [238] = 238,
  [239] = 179,
  [240] = 240,
  [241] = 241,
  [242] = 240,
  [243] = 238,
  [244] = 244,
  [245] = 235,
  [246] = 236,
  [247] = 247,
  [248] = 234,
  [249] = 223,
  [250] = 250,
  [251] = 247,
  [252] = 172,
  [253] = 225,
  [254] = 225,
  [255] = 223,
  [256] = 225,
  [257] = 223,
  [258] = 258,
  [259] = 186,
  [260] = 225,
  [261] = 244,
  [262] = 225,
  [263] = 247,
  [264] = 238,
  [265] = 235,
  [266] = 234,
  [267] = 223,
  [268] = 268,
  [269] = 225,
  [270] = 250,
  [271] = 223,
  [272] = 272,
  [273] = 223,
  [274] = 88,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 225,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 238,
  [283] = 235,
  [284] = 234,
  [285] = 223,
  [286] = 84,
  [287] = 227,
  [288] = 223,
  [289] = 289,
  [290] = 250,
  [291] = 240,
  [292] = 225,
  [293] = 258,
  [294] = 294,
  [295] = 295,
  [296] = 223,
  [297] = 297,
  [298] = 225,
  [299] = 250,
  [300] = 244,
  [301] = 187,
  [302] = 225,
  [303] = 238,
  [304] = 247,
  [305] = 133,
  [306] = 244,
  [307] = 229,
  [308] = 235,
  [309] = 227,
  [310] = 229,
  [311] = 231,
  [312] = 227,
  [313] = 222,
  [314] = 234,
  [315] = 315,
  [316] = 231,
  [317] = 232,
  [318] = 238,
  [319] = 240,
  [320] = 250,
  [321] = 222,
  [322] = 232,
  [323] = 233,
  [324] = 234,
  [325] = 235,
  [326] = 235,
  [327] = 234,
  [328] = 238,
  [329] = 329,
  [330] = 225,
  [331] = 236,
  [332] = 233,
  [333] = 223,
  [334] = 236,
  [335] = 335,
  [336] = 232,
  [337] = 233,
  [338] = 81,
  [339] = 222,
  [340] = 238,
  [341] = 231,
  [342] = 235,
  [343] = 343,
  [344] = 229,
  [345] = 234,
  [346] = 76,
  [347] = 85,
  [348] = 76,
  [349] = 349,
  [350] = 83,
  [351] = 82,
  [352] = 93,
  [353] = 98,
  [354] = 91,
  [355] = 76,
  [356] = 90,
  [357] = 99,
  [358] = 91,
  [359] = 78,
  [360] = 76,
  [361] = 86,
  [362] = 97,
  [363] = 96,
  [364] = 91,
  [365] = 94,
  [366] = 87,
  [367] = 91,
  [368] = 76,
  [369] = 95,
  [370] = 370,
  [371] = 371,
  [372] = 133,
  [373] = 84,
  [374] = 89,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 103,
  [380] = 99,
  [381] = 87,
  [382] = 113,
  [383] = 103,
  [384] = 115,
  [385] = 96,
  [386] = 95,
  [387] = 124,
  [388] = 126,
  [389] = 121,
  [390] = 94,
  [391] = 125,
  [392] = 102,
  [393] = 91,
  [394] = 108,
  [395] = 120,
  [396] = 118,
  [397] = 103,
  [398] = 137,
  [399] = 105,
  [400] = 139,
  [401] = 378,
  [402] = 144,
  [403] = 146,
  [404] = 126,
  [405] = 114,
  [406] = 97,
  [407] = 145,
  [408] = 91,
  [409] = 138,
  [410] = 136,
  [411] = 81,
  [412] = 106,
  [413] = 110,
  [414] = 378,
  [415] = 117,
  [416] = 126,
  [417] = 117,
  [418] = 131,
  [419] = 119,
  [420] = 111,
  [421] = 119,
  [422] = 109,
  [423] = 126,
  [424] = 91,
  [425] = 82,
  [426] = 112,
  [427] = 83,
  [428] = 378,
  [429] = 91,
  [430] = 88,
  [431] = 90,
  [432] = 122,
  [433] = 117,
  [434] = 378,
  [435] = 378,
  [436] = 378,
  [437] = 128,
  [438] = 98,
  [439] = 86,
  [440] = 107,
  [441] = 105,
  [442] = 117,
  [443] = 93,
  [444] = 85,
  [445] = 130,
  [446] = 123,
  [447] = 103,
  [448] = 448,
  [449] = 89,
  [450] = 133,
  [451] = 118,
  [452] = 103,
  [453] = 130,
  [454] = 85,
  [455] = 109,
  [456] = 111,
  [457] = 102,
  [458] = 126,
  [459] = 125,
  [460] = 83,
  [461] = 108,
  [462] = 88,
  [463] = 124,
  [464] = 126,
  [465] = 103,
  [466] = 107,
  [467] = 82,
  [468] = 123,
  [469] = 122,
  [470] = 105,
  [471] = 471,
  [472] = 103,
  [473] = 121,
  [474] = 120,
  [475] = 86,
  [476] = 114,
  [477] = 128,
  [478] = 126,
  [479] = 126,
  [480] = 113,
  [481] = 145,
  [482] = 105,
  [483] = 81,
  [484] = 103,
  [485] = 117,
  [486] = 137,
  [487] = 139,
  [488] = 144,
  [489] = 489,
  [490] = 119,
  [491] = 105,
  [492] = 146,
  [493] = 131,
  [494] = 87,
  [495] = 117,
  [496] = 138,
  [497] = 136,
  [498] = 112,
  [499] = 117,
  [500] = 117,
  [501] = 119,
  [502] = 106,
  [503] = 110,
  [504] = 115,
  [505] = 114,
  [506] = 115,
  [507] = 89,
  [508] = 111,
  [509] = 109,
  [510] = 107,
  [511] = 105,
  [512] = 103,
  [513] = 103,
  [514] = 113,
  [515] = 126,
  [516] = 131,
  [517] = 112,
  [518] = 117,
  [519] = 110,
  [520] = 120,
  [521] = 119,
  [522] = 118,
  [523] = 106,
  [524] = 105,
  [525] = 136,
  [526] = 138,
  [527] = 145,
  [528] = 146,
  [529] = 144,
  [530] = 139,
  [531] = 103,
  [532] = 109,
  [533] = 111,
  [534] = 117,
  [535] = 137,
  [536] = 103,
  [537] = 117,
  [538] = 117,
  [539] = 119,
  [540] = 105,
  [541] = 130,
  [542] = 114,
  [543] = 128,
  [544] = 108,
  [545] = 102,
  [546] = 125,
  [547] = 126,
  [548] = 115,
  [549] = 124,
  [550] = 123,
  [551] = 126,
  [552] = 122,
  [553] = 126,
  [554] = 121,
  [555] = 109,
  [556] = 556,
  [557] = 111,
  [558] = 558,
  [559] = 559,
  [560] = 114,
  [561] = 115,
  [562] = 562,
  [563] = 563,
  [564] = 556,
  [565] = 556,
  [566] = 558,
  [567] = 567,
  [568] = 558,
  [569] = 556,
  [570] = 558,
  [571] = 559,
  [572] = 559,
  [573] = 559,
  [574] = 556,
  [575] = 556,
  [576] = 559,
  [577] = 558,
  [578] = 105,
  [579] = 559,
  [580] = 558,
  [581] = 115,
  [582] = 126,
  [583] = 109,
  [584] = 114,
  [585] = 126,
  [586] = 111,
  [587] = 126,
  [588] = 588,
  [589] = 119,
  [590] = 119,
  [591] = 119,
  [592] = 87,
  [593] = 89,
  [594] = 594,
  [595] = 595,
  [596] = 86,
  [597] = 85,
  [598] = 83,
  [599] = 82,
  [600] = 600,
  [601] = 86,
  [602] = 87,
  [603] = 82,
  [604] = 87,
  [605] = 83,
  [606] = 85,
  [607] = 607,
  [608] = 608,
  [609] = 89,
  [610] = 610,
  [611] = 611,
  [612] = 608,
  [613] = 613,
  [614] = 608,
  [615] = 89,
  [616] = 608,
  [617] = 85,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 86,
  [623] = 82,
  [624] = 83,
  [625] = 619,
  [626] = 619,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 98,
  [631] = 94,
  [632] = 632,
  [633] = 633,
  [634] = 95,
  [635] = 635,
  [636] = 96,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 90,
  [643] = 97,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 84,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 99,
  [675] = 675,
  [676] = 675,
  [677] = 159,
  [678] = 678,
  [679] = 675,
  [680] = 81,
  [681] = 675,
  [682] = 682,
  [683] = 88,
  [684] = 684,
  [685] = 160,
  [686] = 682,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 689,
  [691] = 691,
  [692] = 687,
  [693] = 689,
  [694] = 689,
  [695] = 695,
  [696] = 689,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 710,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 710,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 710,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 719,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 709,
  [746] = 746,
  [747] = 747,
  [748] = 710,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 771,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 824,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 824,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 824,
  [837] = 824,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 826,
  [845] = 845,
  [846] = 841,
  [847] = 826,
  [848] = 839,
  [849] = 849,
  [850] = 850,
  [851] = 829,
  [852] = 830,
  [853] = 830,
  [854] = 854,
  [855] = 824,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 825,
  [862] = 862,
  [863] = 830,
  [864] = 864,
  [865] = 829,
  [866] = 866,
  [867] = 867,
  [868] = 824,
  [869] = 869,
  [870] = 824,
  [871] = 838,
  [872] = 823,
  [873] = 873,
  [874] = 874,
  [875] = 824,
  [876] = 825,
  [877] = 824,
  [878] = 878,
  [879] = 879,
  [880] = 829,
  [881] = 881,
  [882] = 824,
  [883] = 883,
  [884] = 884,
  [885] = 824,
  [886] = 886,
  [887] = 866,
  [888] = 834,
  [889] = 839,
  [890] = 890,
  [891] = 841,
  [892] = 841,
  [893] = 893,
  [894] = 839,
  [895] = 895,
  [896] = 896,
  [897] = 824,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 746,
  [910] = 903,
  [911] = 911,
  [912] = 900,
  [913] = 913,
  [914] = 911,
  [915] = 913,
  [916] = 916,
  [917] = 917,
  [918] = 905,
  [919] = 904,
  [920] = 920,
  [921] = 903,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 743,
  [926] = 740,
  [927] = 927,
  [928] = 928,
  [929] = 900,
  [930] = 913,
  [931] = 911,
  [932] = 932,
  [933] = 933,
  [934] = 905,
  [935] = 935,
  [936] = 904,
  [937] = 937,
  [938] = 903,
  [939] = 939,
  [940] = 699,
  [941] = 900,
  [942] = 942,
  [943] = 943,
  [944] = 737,
  [945] = 736,
  [946] = 946,
  [947] = 734,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 913,
  [962] = 911,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 628,
  [967] = 905,
  [968] = 732,
  [969] = 904,
  [970] = 731,
  [971] = 971,
  [972] = 697,
  [973] = 973,
  [974] = 974,
  [975] = 903,
  [976] = 976,
  [977] = 977,
  [978] = 900,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 720,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 725,
  [1002] = 1002,
  [1003] = 724,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1028,
  [1039] = 1029,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1028,
  [1053] = 1029,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1012,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1029,
  [1072] = 1028,
  [1073] = 1051,
  [1074] = 1074,
  [1075] = 1029,
  [1076] = 1076,
  [1077] = 1028,
  [1078] = 1078,
  [1079] = 1065,
  [1080] = 1080,
  [1081] = 1080,
  [1082] = 1082,
  [1083] = 1080,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1080,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1088,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1089,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1088,
  [1097] = 1089,
  [1098] = 1098,
  [1099] = 1095,
  [1100] = 1086,
  [1101] = 1084,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1082,
  [1106] = 1106,
  [1107] = 1085,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 672,
  [1114] = 1114,
  [1115] = 1108,
  [1116] = 1116,
  [1117] = 1088,
  [1118] = 1109,
  [1119] = 1089,
  [1120] = 1080,
  [1121] = 1114,
  [1122] = 1080,
  [1123] = 1110,
  [1124] = 1080,
  [1125] = 1080,
  [1126] = 1126,
  [1127] = 1080,
  [1128] = 1128,
  [1129] = 1089,
  [1130] = 1080,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1080,
  [1135] = 1088,
  [1136] = 1136,
  [1137] = 671,
  [1138] = 1098,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1080,
  [1146] = 1080,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1111,
  [1150] = 1104,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1167,
  [1173] = 1173,
  [1174] = 1167,
  [1175] = 901,
  [1176] = 1176,
  [1177] = 1165,
  [1178] = 1167,
  [1179] = 1153,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1153,
  [1183] = 1165,
  [1184] = 1168,
  [1185] = 1185,
  [1186] = 1170,
  [1187] = 1170,
  [1188] = 1167,
  [1189] = 1189,
  [1190] = 1168,
  [1191] = 1153,
  [1192] = 1165,
  [1193] = 1167,
  [1194] = 1194,
  [1195] = 1165,
  [1196] = 1153,
  [1197] = 1165,
  [1198] = 1167,
  [1199] = 1153,
  [1200] = 1157,
  [1201] = 1153,
  [1202] = 1165,
  [1203] = 1203,
  [1204] = 1168,
  [1205] = 1170,
  [1206] = 1157,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1167,
  [1213] = 1165,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1209,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1165,
  [1228] = 1157,
  [1229] = 1165,
  [1230] = 1230,
  [1231] = 1165,
  [1232] = 1232,
  [1233] = 985,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1165,
  [1239] = 1239,
  [1240] = 1170,
  [1241] = 1168,
  [1242] = 1242,
  [1243] = 1165,
  [1244] = 1244,
  [1245] = 1185,
  [1246] = 1153,
  [1247] = 1234,
  [1248] = 1248,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(16);
      ADVANCE_MAP(
        '&', 35,
        '\'', 53,
        '(', 19,
        ')', 20,
        '*', 25,
        '+', 21,
        ',', 18,
        '-', 23,
        '.', 38,
        '/', 27,
        ':', 61,
        ';', 17,
        '<', 44,
        '=', 60,
        '>', 49,
        '?', 42,
        '@', 43,
        '[', 54,
        '\\', 29,
        ']', 56,
        '^', 31,
        'g', 70,
        's', 71,
        '{', 57,
        '|', 33,
        '}', 58,
        '~', 41,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 75,
        '\r', 76,
        '&', 35,
        '(', 19,
        '+', 21,
        ',', 18,
        '-', 23,
        '.', 39,
        ';', 17,
        '<', 44,
        '=', 60,
        '>', 49,
        '?', 42,
        '@', 43,
        '[', 54,
        '{', 57,
        '|', 10,
        '~', 41,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 75,
        '\r', 76,
        '&', 34,
        '(', 19,
        '+', 21,
        ',', 18,
        '-', 23,
        '.', 39,
        ';', 17,
        '=', 59,
        '?', 42,
        '@', 43,
        '[', 54,
        '{', 57,
        '~', 40,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '&', 35,
        '\'', 53,
        '(', 19,
        '*', 25,
        '+', 21,
        '-', 23,
        '.', 37,
        '/', 27,
        ':', 61,
        ';', 17,
        '<', 44,
        '=', 8,
        '>', 49,
        '@', 43,
        '\\', 29,
        ']', 56,
        '^', 31,
        '{', 57,
        '|', 33,
        '}', 58,
        '~', 9,
        '\n', 55,
        '\r', 55,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(3);
      END_STATE();
    case 4:
      if (lookahead == '&') ADVANCE(50);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '&', 4,
        '(', 19,
        ')', 20,
        ',', 18,
        '.', 36,
        '<', 44,
        '=', 8,
        '>', 49,
        '{', 57,
        '|', 10,
        '}', 58,
        '~', 9,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '&', 4,
        '.', 36,
        ';', 17,
        '<', 44,
        '=', 8,
        '>', 49,
        ']', 56,
        '|', 10,
        '}', 58,
        '~', 9,
        '\n', 55,
        '\r', 55,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '(', 19,
        '+', 21,
        ',', 18,
        '-', 23,
        '.', 12,
        ';', 17,
        '?', 42,
        '@', 43,
        '[', 54,
        ']', 56,
        '{', 57,
        '}', 58,
        '~', 40,
        '\n', 55,
        '\r', 55,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 8:
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 10:
      if (lookahead == '|') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 12:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 13:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 14:
      if (eof) ADVANCE(16);
      ADVANCE_MAP(
        '\n', 75,
        '\r', 76,
        '&', 35,
        '\'', 53,
        '(', 19,
        '*', 25,
        '+', 21,
        ',', 18,
        '-', 23,
        '.', 38,
        '/', 27,
        ':', 61,
        ';', 17,
        '<', 44,
        '=', 60,
        '>', 49,
        '?', 42,
        '@', 43,
        '[', 54,
        '\\', 29,
        '^', 31,
        '{', 57,
        '|', 33,
        '~', 41,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 15:
      if (eof) ADVANCE(16);
      ADVANCE_MAP(
        '(', 19,
        ')', 20,
        '*', 25,
        '+', 21,
        ',', 18,
        '-', 23,
        '.', 39,
        ':', 61,
        ';', 17,
        '=', 59,
        '?', 42,
        '@', 43,
        '[', 54,
        ']', 56,
        '{', 57,
        '}', 58,
        '~', 40,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_DOT_PLUS);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_DOT_DASH);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_DOT_SLASH);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_DOT_BSLASH);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_DOT_CARET);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(51);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(50);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '\'') ADVANCE(52);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '+') ADVANCE(22);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(32);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '\'') ADVANCE(52);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '+') ADVANCE(22);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_TILDE_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(48);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_DOT_SQUOTE);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(aux_sym_matrix_token1);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(55);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_get_DOT);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_set_DOT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(11);
      if (lookahead == 'i' ||
          lookahead == 'j') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(11);
      if (lookahead == 'i' ||
          lookahead == 'j') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'i' ||
          lookahead == 'j') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(75);
      if (lookahead == '\r') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\n') ADVANCE(75);
      if (lookahead == '\r') ADVANCE(76);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'e', 4,
        'f', 5,
        'g', 6,
        'i', 7,
        'm', 8,
        'o', 9,
        'p', 10,
        'r', 11,
        's', 12,
        't', 13,
        'v', 14,
        'w', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(27);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 9:
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'e') ADVANCE(33);
      if (lookahead == 'r') ADVANCE(34);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 12:
      if (lookahead == 'c') ADVANCE(36);
      if (lookahead == 'w') ADVANCE(37);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(40);
      END_STATE();
    case 16:
      if (lookahead == 'g') ADVANCE(41);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 18:
      if (lookahead == 's') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'd') ADVANCE(48);
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 25:
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 27:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(55);
      END_STATE();
    case 30:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'h') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'o') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(66);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(67);
      END_STATE();
    case 41:
      if (lookahead == 'u') ADVANCE(68);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(69);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(71);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_end);
      if (lookahead == 'f') ADVANCE(75);
      END_STATE();
    case 49:
      if (lookahead == 'm') ADVANCE(76);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(77);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 53:
      if (lookahead == 'c') ADVANCE(79);
      END_STATE();
    case 54:
      if (lookahead == 'b') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(81);
      END_STATE();
    case 56:
      if (lookahead == 'h') ADVANCE(82);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(84);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(85);
      END_STATE();
    case 60:
      if (lookahead == 'p') ADVANCE(86);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 62:
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 67:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 68:
      if (lookahead == 'm') ADVANCE(93);
      END_STATE();
    case 69:
      if (lookahead == 'k') ADVANCE(94);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 71:
      if (lookahead == 'h') ADVANCE(95);
      END_STATE();
    case 72:
      if (lookahead == 's') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 75:
      if (lookahead == 'u') ADVANCE(99);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 82:
      if (lookahead == 'o') ADVANCE(106);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(110);
      END_STATE();
    case 87:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(112);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(113);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(114);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_break_statement);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 96:
      if (lookahead == 'd') ADVANCE(117);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 98:
      if (lookahead == 'f') ADVANCE(119);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(120);
      END_STATE();
    case 100:
      if (lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(122);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(123);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 105:
      if (lookahead == 'x') ADVANCE(125);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(126);
      END_STATE();
    case 107:
      if (lookahead == 'w') ADVANCE(127);
      END_STATE();
    case 108:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 109:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'r') ADVANCE(132);
      END_STATE();
    case 113:
      if (lookahead == 'h') ADVANCE(133);
      END_STATE();
    case 114:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 116:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(137);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_elseif);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(138);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_events);
      END_STATE();
    case 123:
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_matrix);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_parfor);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_return_statement);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_scalar);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_vector);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 136:
      if (lookahead == 'f') ADVANCE(146);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 139:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_methods);
      END_STATE();
    case 142:
      if (lookahead == 's') ADVANCE(151);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 145:
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_classdef);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_continue_statement);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(156);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 152:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_arguments);
      END_STATE();
    case 155:
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 156:
      if (lookahead == 'o') ADVANCE(161);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_otherwise);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(163);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(165);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_persistent);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_properties);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_endfunction);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_enumeration);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 15, .external_lex_state = 2},
  [2] = {.lex_state = 14, .external_lex_state = 2},
  [3] = {.lex_state = 14, .external_lex_state = 2},
  [4] = {.lex_state = 14, .external_lex_state = 2},
  [5] = {.lex_state = 2, .external_lex_state = 2},
  [6] = {.lex_state = 2, .external_lex_state = 2},
  [7] = {.lex_state = 2, .external_lex_state = 2},
  [8] = {.lex_state = 2, .external_lex_state = 2},
  [9] = {.lex_state = 2, .external_lex_state = 2},
  [10] = {.lex_state = 2, .external_lex_state = 2},
  [11] = {.lex_state = 2, .external_lex_state = 2},
  [12] = {.lex_state = 2, .external_lex_state = 2},
  [13] = {.lex_state = 2, .external_lex_state = 2},
  [14] = {.lex_state = 2, .external_lex_state = 2},
  [15] = {.lex_state = 2, .external_lex_state = 2},
  [16] = {.lex_state = 2, .external_lex_state = 2},
  [17] = {.lex_state = 2, .external_lex_state = 2},
  [18] = {.lex_state = 2, .external_lex_state = 2},
  [19] = {.lex_state = 2, .external_lex_state = 2},
  [20] = {.lex_state = 2, .external_lex_state = 2},
  [21] = {.lex_state = 15, .external_lex_state = 2},
  [22] = {.lex_state = 15, .external_lex_state = 2},
  [23] = {.lex_state = 15, .external_lex_state = 2},
  [24] = {.lex_state = 15, .external_lex_state = 2},
  [25] = {.lex_state = 15, .external_lex_state = 2},
  [26] = {.lex_state = 15, .external_lex_state = 2},
  [27] = {.lex_state = 15, .external_lex_state = 2},
  [28] = {.lex_state = 15, .external_lex_state = 2},
  [29] = {.lex_state = 15, .external_lex_state = 2},
  [30] = {.lex_state = 15, .external_lex_state = 2},
  [31] = {.lex_state = 15, .external_lex_state = 2},
  [32] = {.lex_state = 15, .external_lex_state = 2},
  [33] = {.lex_state = 15, .external_lex_state = 2},
  [34] = {.lex_state = 15, .external_lex_state = 2},
  [35] = {.lex_state = 15, .external_lex_state = 2},
  [36] = {.lex_state = 15, .external_lex_state = 2},
  [37] = {.lex_state = 15, .external_lex_state = 2},
  [38] = {.lex_state = 15, .external_lex_state = 2},
  [39] = {.lex_state = 15, .external_lex_state = 2},
  [40] = {.lex_state = 15, .external_lex_state = 2},
  [41] = {.lex_state = 15, .external_lex_state = 2},
  [42] = {.lex_state = 15, .external_lex_state = 2},
  [43] = {.lex_state = 15, .external_lex_state = 2},
  [44] = {.lex_state = 15, .external_lex_state = 2},
  [45] = {.lex_state = 15, .external_lex_state = 2},
  [46] = {.lex_state = 15, .external_lex_state = 2},
  [47] = {.lex_state = 15, .external_lex_state = 2},
  [48] = {.lex_state = 15, .external_lex_state = 2},
  [49] = {.lex_state = 15, .external_lex_state = 2},
  [50] = {.lex_state = 15, .external_lex_state = 2},
  [51] = {.lex_state = 15, .external_lex_state = 2},
  [52] = {.lex_state = 15, .external_lex_state = 2},
  [53] = {.lex_state = 15, .external_lex_state = 2},
  [54] = {.lex_state = 15, .external_lex_state = 2},
  [55] = {.lex_state = 15, .external_lex_state = 2},
  [56] = {.lex_state = 15, .external_lex_state = 2},
  [57] = {.lex_state = 15, .external_lex_state = 2},
  [58] = {.lex_state = 15, .external_lex_state = 2},
  [59] = {.lex_state = 15, .external_lex_state = 2},
  [60] = {.lex_state = 15, .external_lex_state = 2},
  [61] = {.lex_state = 15, .external_lex_state = 2},
  [62] = {.lex_state = 15, .external_lex_state = 2},
  [63] = {.lex_state = 15, .external_lex_state = 2},
  [64] = {.lex_state = 15, .external_lex_state = 2},
  [65] = {.lex_state = 15, .external_lex_state = 2},
  [66] = {.lex_state = 15, .external_lex_state = 2},
  [67] = {.lex_state = 15, .external_lex_state = 2},
  [68] = {.lex_state = 15, .external_lex_state = 2},
  [69] = {.lex_state = 15, .external_lex_state = 2},
  [70] = {.lex_state = 15, .external_lex_state = 2},
  [71] = {.lex_state = 15, .external_lex_state = 2},
  [72] = {.lex_state = 15, .external_lex_state = 2},
  [73] = {.lex_state = 15, .external_lex_state = 2},
  [74] = {.lex_state = 15, .external_lex_state = 2},
  [75] = {.lex_state = 15, .external_lex_state = 2},
  [76] = {.lex_state = 14, .external_lex_state = 2},
  [77] = {.lex_state = 14, .external_lex_state = 2},
  [78] = {.lex_state = 14, .external_lex_state = 2},
  [79] = {.lex_state = 14, .external_lex_state = 2},
  [80] = {.lex_state = 14, .external_lex_state = 2},
  [81] = {.lex_state = 14, .external_lex_state = 2},
  [82] = {.lex_state = 14, .external_lex_state = 2},
  [83] = {.lex_state = 14, .external_lex_state = 2},
  [84] = {.lex_state = 14, .external_lex_state = 2},
  [85] = {.lex_state = 14, .external_lex_state = 2},
  [86] = {.lex_state = 14, .external_lex_state = 2},
  [87] = {.lex_state = 14, .external_lex_state = 2},
  [88] = {.lex_state = 14, .external_lex_state = 2},
  [89] = {.lex_state = 14, .external_lex_state = 2},
  [90] = {.lex_state = 14, .external_lex_state = 2},
  [91] = {.lex_state = 14, .external_lex_state = 2},
  [92] = {.lex_state = 14, .external_lex_state = 2},
  [93] = {.lex_state = 14, .external_lex_state = 2},
  [94] = {.lex_state = 14, .external_lex_state = 2},
  [95] = {.lex_state = 14, .external_lex_state = 2},
  [96] = {.lex_state = 14, .external_lex_state = 2},
  [97] = {.lex_state = 14, .external_lex_state = 2},
  [98] = {.lex_state = 14, .external_lex_state = 2},
  [99] = {.lex_state = 14, .external_lex_state = 2},
  [100] = {.lex_state = 14, .external_lex_state = 2},
  [101] = {.lex_state = 14, .external_lex_state = 2},
  [102] = {.lex_state = 14, .external_lex_state = 2},
  [103] = {.lex_state = 14, .external_lex_state = 2},
  [104] = {.lex_state = 14, .external_lex_state = 2},
  [105] = {.lex_state = 14, .external_lex_state = 2},
  [106] = {.lex_state = 14, .external_lex_state = 2},
  [107] = {.lex_state = 14, .external_lex_state = 2},
  [108] = {.lex_state = 14, .external_lex_state = 2},
  [109] = {.lex_state = 14, .external_lex_state = 2},
  [110] = {.lex_state = 14, .external_lex_state = 2},
  [111] = {.lex_state = 14, .external_lex_state = 2},
  [112] = {.lex_state = 14, .external_lex_state = 2},
  [113] = {.lex_state = 14, .external_lex_state = 2},
  [114] = {.lex_state = 14, .external_lex_state = 2},
  [115] = {.lex_state = 14, .external_lex_state = 2},
  [116] = {.lex_state = 14, .external_lex_state = 2},
  [117] = {.lex_state = 14, .external_lex_state = 2},
  [118] = {.lex_state = 14, .external_lex_state = 2},
  [119] = {.lex_state = 14, .external_lex_state = 2},
  [120] = {.lex_state = 14, .external_lex_state = 2},
  [121] = {.lex_state = 14, .external_lex_state = 2},
  [122] = {.lex_state = 14, .external_lex_state = 2},
  [123] = {.lex_state = 14, .external_lex_state = 2},
  [124] = {.lex_state = 14, .external_lex_state = 2},
  [125] = {.lex_state = 14, .external_lex_state = 2},
  [126] = {.lex_state = 14, .external_lex_state = 2},
  [127] = {.lex_state = 14, .external_lex_state = 2},
  [128] = {.lex_state = 14, .external_lex_state = 2},
  [129] = {.lex_state = 14, .external_lex_state = 2},
  [130] = {.lex_state = 14, .external_lex_state = 2},
  [131] = {.lex_state = 14, .external_lex_state = 2},
  [132] = {.lex_state = 14, .external_lex_state = 2},
  [133] = {.lex_state = 14, .external_lex_state = 2},
  [134] = {.lex_state = 14, .external_lex_state = 2},
  [135] = {.lex_state = 14, .external_lex_state = 2},
  [136] = {.lex_state = 14, .external_lex_state = 2},
  [137] = {.lex_state = 14, .external_lex_state = 2},
  [138] = {.lex_state = 14, .external_lex_state = 2},
  [139] = {.lex_state = 14, .external_lex_state = 2},
  [140] = {.lex_state = 14, .external_lex_state = 2},
  [141] = {.lex_state = 14, .external_lex_state = 2},
  [142] = {.lex_state = 14, .external_lex_state = 2},
  [143] = {.lex_state = 14, .external_lex_state = 2},
  [144] = {.lex_state = 14, .external_lex_state = 2},
  [145] = {.lex_state = 14, .external_lex_state = 2},
  [146] = {.lex_state = 14, .external_lex_state = 2},
  [147] = {.lex_state = 14, .external_lex_state = 2},
  [148] = {.lex_state = 14, .external_lex_state = 2},
  [149] = {.lex_state = 14, .external_lex_state = 2},
  [150] = {.lex_state = 14, .external_lex_state = 2},
  [151] = {.lex_state = 14, .external_lex_state = 2},
  [152] = {.lex_state = 1, .external_lex_state = 2},
  [153] = {.lex_state = 1, .external_lex_state = 2},
  [154] = {.lex_state = 1, .external_lex_state = 2},
  [155] = {.lex_state = 1, .external_lex_state = 2},
  [156] = {.lex_state = 1, .external_lex_state = 2},
  [157] = {.lex_state = 1, .external_lex_state = 2},
  [158] = {.lex_state = 7, .external_lex_state = 3},
  [159] = {.lex_state = 14, .external_lex_state = 2},
  [160] = {.lex_state = 2, .external_lex_state = 2},
  [161] = {.lex_state = 7, .external_lex_state = 3},
  [162] = {.lex_state = 7, .external_lex_state = 3},
  [163] = {.lex_state = 7, .external_lex_state = 4},
  [164] = {.lex_state = 7, .external_lex_state = 3},
  [165] = {.lex_state = 15, .external_lex_state = 3},
  [166] = {.lex_state = 15, .external_lex_state = 3},
  [167] = {.lex_state = 15, .external_lex_state = 3},
  [168] = {.lex_state = 15, .external_lex_state = 3},
  [169] = {.lex_state = 15, .external_lex_state = 3},
  [170] = {.lex_state = 15, .external_lex_state = 3},
  [171] = {.lex_state = 15, .external_lex_state = 3},
  [172] = {.lex_state = 15, .external_lex_state = 2},
  [173] = {.lex_state = 15, .external_lex_state = 3},
  [174] = {.lex_state = 15, .external_lex_state = 3},
  [175] = {.lex_state = 15, .external_lex_state = 3},
  [176] = {.lex_state = 15, .external_lex_state = 3},
  [177] = {.lex_state = 15, .external_lex_state = 3},
  [178] = {.lex_state = 15, .external_lex_state = 3},
  [179] = {.lex_state = 15, .external_lex_state = 2},
  [180] = {.lex_state = 15, .external_lex_state = 3},
  [181] = {.lex_state = 15, .external_lex_state = 3},
  [182] = {.lex_state = 15, .external_lex_state = 3},
  [183] = {.lex_state = 15, .external_lex_state = 3},
  [184] = {.lex_state = 15, .external_lex_state = 3},
  [185] = {.lex_state = 15, .external_lex_state = 2},
  [186] = {.lex_state = 15, .external_lex_state = 2},
  [187] = {.lex_state = 15, .external_lex_state = 2},
  [188] = {.lex_state = 15, .external_lex_state = 3},
  [189] = {.lex_state = 14, .external_lex_state = 5},
  [190] = {.lex_state = 14, .external_lex_state = 5},
  [191] = {.lex_state = 14, .external_lex_state = 5},
  [192] = {.lex_state = 14, .external_lex_state = 5},
  [193] = {.lex_state = 14, .external_lex_state = 5},
  [194] = {.lex_state = 14, .external_lex_state = 5},
  [195] = {.lex_state = 15, .external_lex_state = 3},
  [196] = {.lex_state = 14, .external_lex_state = 5},
  [197] = {.lex_state = 15, .external_lex_state = 3},
  [198] = {.lex_state = 15, .external_lex_state = 3},
  [199] = {.lex_state = 14, .external_lex_state = 5},
  [200] = {.lex_state = 15, .external_lex_state = 3},
  [201] = {.lex_state = 14, .external_lex_state = 5},
  [202] = {.lex_state = 14, .external_lex_state = 5},
  [203] = {.lex_state = 14, .external_lex_state = 5},
  [204] = {.lex_state = 14, .external_lex_state = 5},
  [205] = {.lex_state = 14, .external_lex_state = 5},
  [206] = {.lex_state = 14, .external_lex_state = 5},
  [207] = {.lex_state = 14, .external_lex_state = 5},
  [208] = {.lex_state = 3, .external_lex_state = 6},
  [209] = {.lex_state = 14, .external_lex_state = 5},
  [210] = {.lex_state = 3, .external_lex_state = 6},
  [211] = {.lex_state = 15, .external_lex_state = 3},
  [212] = {.lex_state = 15, .external_lex_state = 3},
  [213] = {.lex_state = 15, .external_lex_state = 3},
  [214] = {.lex_state = 14, .external_lex_state = 5},
  [215] = {.lex_state = 3, .external_lex_state = 6},
  [216] = {.lex_state = 14, .external_lex_state = 5},
  [217] = {.lex_state = 14, .external_lex_state = 5},
  [218] = {.lex_state = 15, .external_lex_state = 3},
  [219] = {.lex_state = 3, .external_lex_state = 6},
  [220] = {.lex_state = 3, .external_lex_state = 6},
  [221] = {.lex_state = 15, .external_lex_state = 3},
  [222] = {.lex_state = 15, .external_lex_state = 3},
  [223] = {.lex_state = 15, .external_lex_state = 3},
  [224] = {.lex_state = 15, .external_lex_state = 3},
  [225] = {.lex_state = 15, .external_lex_state = 3},
  [226] = {.lex_state = 15, .external_lex_state = 2},
  [227] = {.lex_state = 15, .external_lex_state = 3},
  [228] = {.lex_state = 15, .external_lex_state = 3},
  [229] = {.lex_state = 15, .external_lex_state = 3},
  [230] = {.lex_state = 15, .external_lex_state = 3},
  [231] = {.lex_state = 15, .external_lex_state = 3},
  [232] = {.lex_state = 15, .external_lex_state = 3},
  [233] = {.lex_state = 15, .external_lex_state = 3},
  [234] = {.lex_state = 15, .external_lex_state = 3},
  [235] = {.lex_state = 15, .external_lex_state = 3},
  [236] = {.lex_state = 15, .external_lex_state = 3},
  [237] = {.lex_state = 15, .external_lex_state = 3},
  [238] = {.lex_state = 15, .external_lex_state = 3},
  [239] = {.lex_state = 15, .external_lex_state = 2},
  [240] = {.lex_state = 15, .external_lex_state = 3},
  [241] = {.lex_state = 0, .external_lex_state = 5},
  [242] = {.lex_state = 15, .external_lex_state = 3},
  [243] = {.lex_state = 15, .external_lex_state = 3},
  [244] = {.lex_state = 15, .external_lex_state = 3},
  [245] = {.lex_state = 15, .external_lex_state = 3},
  [246] = {.lex_state = 15, .external_lex_state = 3},
  [247] = {.lex_state = 15, .external_lex_state = 3},
  [248] = {.lex_state = 15, .external_lex_state = 3},
  [249] = {.lex_state = 15, .external_lex_state = 3},
  [250] = {.lex_state = 15, .external_lex_state = 3},
  [251] = {.lex_state = 15, .external_lex_state = 3},
  [252] = {.lex_state = 15, .external_lex_state = 2},
  [253] = {.lex_state = 15, .external_lex_state = 3},
  [254] = {.lex_state = 15, .external_lex_state = 3},
  [255] = {.lex_state = 15, .external_lex_state = 3},
  [256] = {.lex_state = 15, .external_lex_state = 3},
  [257] = {.lex_state = 15, .external_lex_state = 3},
  [258] = {.lex_state = 15, .external_lex_state = 3},
  [259] = {.lex_state = 15, .external_lex_state = 2},
  [260] = {.lex_state = 15, .external_lex_state = 3},
  [261] = {.lex_state = 15, .external_lex_state = 3},
  [262] = {.lex_state = 15, .external_lex_state = 3},
  [263] = {.lex_state = 15, .external_lex_state = 3},
  [264] = {.lex_state = 15, .external_lex_state = 3},
  [265] = {.lex_state = 15, .external_lex_state = 3},
  [266] = {.lex_state = 15, .external_lex_state = 3},
  [267] = {.lex_state = 15, .external_lex_state = 3},
  [268] = {.lex_state = 15, .external_lex_state = 3},
  [269] = {.lex_state = 15, .external_lex_state = 3},
  [270] = {.lex_state = 15, .external_lex_state = 3},
  [271] = {.lex_state = 15, .external_lex_state = 3},
  [272] = {.lex_state = 15, .external_lex_state = 3},
  [273] = {.lex_state = 15, .external_lex_state = 3},
  [274] = {.lex_state = 14, .external_lex_state = 5},
  [275] = {.lex_state = 15, .external_lex_state = 3},
  [276] = {.lex_state = 15, .external_lex_state = 3},
  [277] = {.lex_state = 0, .external_lex_state = 5},
  [278] = {.lex_state = 15, .external_lex_state = 3},
  [279] = {.lex_state = 15, .external_lex_state = 3},
  [280] = {.lex_state = 15, .external_lex_state = 3},
  [281] = {.lex_state = 0, .external_lex_state = 5},
  [282] = {.lex_state = 15, .external_lex_state = 3},
  [283] = {.lex_state = 15, .external_lex_state = 3},
  [284] = {.lex_state = 15, .external_lex_state = 3},
  [285] = {.lex_state = 15, .external_lex_state = 3},
  [286] = {.lex_state = 3, .external_lex_state = 6},
  [287] = {.lex_state = 15, .external_lex_state = 3},
  [288] = {.lex_state = 15, .external_lex_state = 3},
  [289] = {.lex_state = 15, .external_lex_state = 3},
  [290] = {.lex_state = 15, .external_lex_state = 3},
  [291] = {.lex_state = 15, .external_lex_state = 3},
  [292] = {.lex_state = 15, .external_lex_state = 3},
  [293] = {.lex_state = 15, .external_lex_state = 3},
  [294] = {.lex_state = 15, .external_lex_state = 3},
  [295] = {.lex_state = 15, .external_lex_state = 3},
  [296] = {.lex_state = 15, .external_lex_state = 3},
  [297] = {.lex_state = 0, .external_lex_state = 5},
  [298] = {.lex_state = 15, .external_lex_state = 3},
  [299] = {.lex_state = 15, .external_lex_state = 3},
  [300] = {.lex_state = 15, .external_lex_state = 3},
  [301] = {.lex_state = 15, .external_lex_state = 2},
  [302] = {.lex_state = 15, .external_lex_state = 3},
  [303] = {.lex_state = 15, .external_lex_state = 3},
  [304] = {.lex_state = 15, .external_lex_state = 3},
  [305] = {.lex_state = 14, .external_lex_state = 5},
  [306] = {.lex_state = 15, .external_lex_state = 3},
  [307] = {.lex_state = 15, .external_lex_state = 3},
  [308] = {.lex_state = 15, .external_lex_state = 3},
  [309] = {.lex_state = 15, .external_lex_state = 3},
  [310] = {.lex_state = 15, .external_lex_state = 3},
  [311] = {.lex_state = 15, .external_lex_state = 3},
  [312] = {.lex_state = 15, .external_lex_state = 3},
  [313] = {.lex_state = 15, .external_lex_state = 3},
  [314] = {.lex_state = 15, .external_lex_state = 3},
  [315] = {.lex_state = 15, .external_lex_state = 3},
  [316] = {.lex_state = 15, .external_lex_state = 3},
  [317] = {.lex_state = 15, .external_lex_state = 3},
  [318] = {.lex_state = 15, .external_lex_state = 3},
  [319] = {.lex_state = 15, .external_lex_state = 3},
  [320] = {.lex_state = 15, .external_lex_state = 3},
  [321] = {.lex_state = 15, .external_lex_state = 3},
  [322] = {.lex_state = 15, .external_lex_state = 3},
  [323] = {.lex_state = 15, .external_lex_state = 3},
  [324] = {.lex_state = 15, .external_lex_state = 3},
  [325] = {.lex_state = 15, .external_lex_state = 3},
  [326] = {.lex_state = 15, .external_lex_state = 3},
  [327] = {.lex_state = 15, .external_lex_state = 3},
  [328] = {.lex_state = 15, .external_lex_state = 3},
  [329] = {.lex_state = 15, .external_lex_state = 3},
  [330] = {.lex_state = 15, .external_lex_state = 3},
  [331] = {.lex_state = 15, .external_lex_state = 3},
  [332] = {.lex_state = 15, .external_lex_state = 3},
  [333] = {.lex_state = 15, .external_lex_state = 3},
  [334] = {.lex_state = 15, .external_lex_state = 3},
  [335] = {.lex_state = 15, .external_lex_state = 3},
  [336] = {.lex_state = 15, .external_lex_state = 3},
  [337] = {.lex_state = 15, .external_lex_state = 3},
  [338] = {.lex_state = 14, .external_lex_state = 5},
  [339] = {.lex_state = 15, .external_lex_state = 3},
  [340] = {.lex_state = 15, .external_lex_state = 3},
  [341] = {.lex_state = 15, .external_lex_state = 3},
  [342] = {.lex_state = 15, .external_lex_state = 3},
  [343] = {.lex_state = 15, .external_lex_state = 2},
  [344] = {.lex_state = 15, .external_lex_state = 3},
  [345] = {.lex_state = 15, .external_lex_state = 3},
  [346] = {.lex_state = 0, .external_lex_state = 5},
  [347] = {.lex_state = 14, .external_lex_state = 5},
  [348] = {.lex_state = 0, .external_lex_state = 5},
  [349] = {.lex_state = 0, .external_lex_state = 5},
  [350] = {.lex_state = 14, .external_lex_state = 5},
  [351] = {.lex_state = 14, .external_lex_state = 5},
  [352] = {.lex_state = 3, .external_lex_state = 6},
  [353] = {.lex_state = 3, .external_lex_state = 6},
  [354] = {.lex_state = 3, .external_lex_state = 6},
  [355] = {.lex_state = 0, .external_lex_state = 5},
  [356] = {.lex_state = 3, .external_lex_state = 6},
  [357] = {.lex_state = 3, .external_lex_state = 6},
  [358] = {.lex_state = 3, .external_lex_state = 6},
  [359] = {.lex_state = 0, .external_lex_state = 5},
  [360] = {.lex_state = 0, .external_lex_state = 5},
  [361] = {.lex_state = 14, .external_lex_state = 5},
  [362] = {.lex_state = 3, .external_lex_state = 6},
  [363] = {.lex_state = 3, .external_lex_state = 6},
  [364] = {.lex_state = 3, .external_lex_state = 6},
  [365] = {.lex_state = 3, .external_lex_state = 6},
  [366] = {.lex_state = 14, .external_lex_state = 5},
  [367] = {.lex_state = 3, .external_lex_state = 6},
  [368] = {.lex_state = 0, .external_lex_state = 5},
  [369] = {.lex_state = 3, .external_lex_state = 6},
  [370] = {.lex_state = 15, .external_lex_state = 2},
  [371] = {.lex_state = 0, .external_lex_state = 5},
  [372] = {.lex_state = 3, .external_lex_state = 6},
  [373] = {.lex_state = 0, .external_lex_state = 5},
  [374] = {.lex_state = 14, .external_lex_state = 5},
  [375] = {.lex_state = 15, .external_lex_state = 2},
  [376] = {.lex_state = 15, .external_lex_state = 2},
  [377] = {.lex_state = 15, .external_lex_state = 2},
  [378] = {.lex_state = 0, .external_lex_state = 5},
  [379] = {.lex_state = 14, .external_lex_state = 5},
  [380] = {.lex_state = 0, .external_lex_state = 5},
  [381] = {.lex_state = 3, .external_lex_state = 6},
  [382] = {.lex_state = 14, .external_lex_state = 5},
  [383] = {.lex_state = 14, .external_lex_state = 5},
  [384] = {.lex_state = 14, .external_lex_state = 5},
  [385] = {.lex_state = 0, .external_lex_state = 5},
  [386] = {.lex_state = 0, .external_lex_state = 5},
  [387] = {.lex_state = 14, .external_lex_state = 5},
  [388] = {.lex_state = 14, .external_lex_state = 5},
  [389] = {.lex_state = 14, .external_lex_state = 5},
  [390] = {.lex_state = 0, .external_lex_state = 5},
  [391] = {.lex_state = 14, .external_lex_state = 5},
  [392] = {.lex_state = 14, .external_lex_state = 5},
  [393] = {.lex_state = 0, .external_lex_state = 5},
  [394] = {.lex_state = 14, .external_lex_state = 5},
  [395] = {.lex_state = 14, .external_lex_state = 5},
  [396] = {.lex_state = 14, .external_lex_state = 5},
  [397] = {.lex_state = 14, .external_lex_state = 5},
  [398] = {.lex_state = 14, .external_lex_state = 5},
  [399] = {.lex_state = 14, .external_lex_state = 5},
  [400] = {.lex_state = 14, .external_lex_state = 5},
  [401] = {.lex_state = 0, .external_lex_state = 5},
  [402] = {.lex_state = 14, .external_lex_state = 5},
  [403] = {.lex_state = 14, .external_lex_state = 5},
  [404] = {.lex_state = 14, .external_lex_state = 5},
  [405] = {.lex_state = 14, .external_lex_state = 5},
  [406] = {.lex_state = 0, .external_lex_state = 5},
  [407] = {.lex_state = 14, .external_lex_state = 5},
  [408] = {.lex_state = 0, .external_lex_state = 5},
  [409] = {.lex_state = 14, .external_lex_state = 5},
  [410] = {.lex_state = 14, .external_lex_state = 5},
  [411] = {.lex_state = 3, .external_lex_state = 6},
  [412] = {.lex_state = 14, .external_lex_state = 5},
  [413] = {.lex_state = 14, .external_lex_state = 5},
  [414] = {.lex_state = 0, .external_lex_state = 5},
  [415] = {.lex_state = 14, .external_lex_state = 5},
  [416] = {.lex_state = 14, .external_lex_state = 5},
  [417] = {.lex_state = 14, .external_lex_state = 5},
  [418] = {.lex_state = 14, .external_lex_state = 5},
  [419] = {.lex_state = 14, .external_lex_state = 5},
  [420] = {.lex_state = 14, .external_lex_state = 5},
  [421] = {.lex_state = 14, .external_lex_state = 5},
  [422] = {.lex_state = 14, .external_lex_state = 5},
  [423] = {.lex_state = 14, .external_lex_state = 5},
  [424] = {.lex_state = 0, .external_lex_state = 5},
  [425] = {.lex_state = 3, .external_lex_state = 6},
  [426] = {.lex_state = 14, .external_lex_state = 5},
  [427] = {.lex_state = 3, .external_lex_state = 6},
  [428] = {.lex_state = 0, .external_lex_state = 5},
  [429] = {.lex_state = 0, .external_lex_state = 5},
  [430] = {.lex_state = 3, .external_lex_state = 6},
  [431] = {.lex_state = 0, .external_lex_state = 5},
  [432] = {.lex_state = 14, .external_lex_state = 5},
  [433] = {.lex_state = 14, .external_lex_state = 5},
  [434] = {.lex_state = 0, .external_lex_state = 5},
  [435] = {.lex_state = 0, .external_lex_state = 5},
  [436] = {.lex_state = 0, .external_lex_state = 5},
  [437] = {.lex_state = 14, .external_lex_state = 5},
  [438] = {.lex_state = 0, .external_lex_state = 5},
  [439] = {.lex_state = 3, .external_lex_state = 6},
  [440] = {.lex_state = 14, .external_lex_state = 5},
  [441] = {.lex_state = 14, .external_lex_state = 5},
  [442] = {.lex_state = 14, .external_lex_state = 5},
  [443] = {.lex_state = 0, .external_lex_state = 5},
  [444] = {.lex_state = 3, .external_lex_state = 6},
  [445] = {.lex_state = 14, .external_lex_state = 5},
  [446] = {.lex_state = 14, .external_lex_state = 5},
  [447] = {.lex_state = 14, .external_lex_state = 5},
  [448] = {.lex_state = 0, .external_lex_state = 5},
  [449] = {.lex_state = 3, .external_lex_state = 6},
  [450] = {.lex_state = 0, .external_lex_state = 5},
  [451] = {.lex_state = 3, .external_lex_state = 6},
  [452] = {.lex_state = 3, .external_lex_state = 6},
  [453] = {.lex_state = 3, .external_lex_state = 6},
  [454] = {.lex_state = 0, .external_lex_state = 5},
  [455] = {.lex_state = 3, .external_lex_state = 6},
  [456] = {.lex_state = 3, .external_lex_state = 6},
  [457] = {.lex_state = 3, .external_lex_state = 6},
  [458] = {.lex_state = 3, .external_lex_state = 6},
  [459] = {.lex_state = 3, .external_lex_state = 6},
  [460] = {.lex_state = 0, .external_lex_state = 5},
  [461] = {.lex_state = 3, .external_lex_state = 6},
  [462] = {.lex_state = 0, .external_lex_state = 5},
  [463] = {.lex_state = 3, .external_lex_state = 6},
  [464] = {.lex_state = 3, .external_lex_state = 6},
  [465] = {.lex_state = 3, .external_lex_state = 6},
  [466] = {.lex_state = 3, .external_lex_state = 6},
  [467] = {.lex_state = 0, .external_lex_state = 5},
  [468] = {.lex_state = 3, .external_lex_state = 6},
  [469] = {.lex_state = 3, .external_lex_state = 6},
  [470] = {.lex_state = 14, .external_lex_state = 5},
  [471] = {.lex_state = 14, .external_lex_state = 5},
  [472] = {.lex_state = 3, .external_lex_state = 6},
  [473] = {.lex_state = 3, .external_lex_state = 6},
  [474] = {.lex_state = 3, .external_lex_state = 6},
  [475] = {.lex_state = 0, .external_lex_state = 5},
  [476] = {.lex_state = 3, .external_lex_state = 6},
  [477] = {.lex_state = 3, .external_lex_state = 6},
  [478] = {.lex_state = 3, .external_lex_state = 6},
  [479] = {.lex_state = 3, .external_lex_state = 6},
  [480] = {.lex_state = 3, .external_lex_state = 6},
  [481] = {.lex_state = 3, .external_lex_state = 6},
  [482] = {.lex_state = 3, .external_lex_state = 6},
  [483] = {.lex_state = 0, .external_lex_state = 5},
  [484] = {.lex_state = 3, .external_lex_state = 6},
  [485] = {.lex_state = 3, .external_lex_state = 6},
  [486] = {.lex_state = 3, .external_lex_state = 6},
  [487] = {.lex_state = 3, .external_lex_state = 6},
  [488] = {.lex_state = 3, .external_lex_state = 6},
  [489] = {.lex_state = 0, .external_lex_state = 5},
  [490] = {.lex_state = 3, .external_lex_state = 6},
  [491] = {.lex_state = 3, .external_lex_state = 6},
  [492] = {.lex_state = 3, .external_lex_state = 6},
  [493] = {.lex_state = 3, .external_lex_state = 6},
  [494] = {.lex_state = 0, .external_lex_state = 5},
  [495] = {.lex_state = 3, .external_lex_state = 6},
  [496] = {.lex_state = 3, .external_lex_state = 6},
  [497] = {.lex_state = 3, .external_lex_state = 6},
  [498] = {.lex_state = 3, .external_lex_state = 6},
  [499] = {.lex_state = 3, .external_lex_state = 6},
  [500] = {.lex_state = 3, .external_lex_state = 6},
  [501] = {.lex_state = 3, .external_lex_state = 6},
  [502] = {.lex_state = 3, .external_lex_state = 6},
  [503] = {.lex_state = 3, .external_lex_state = 6},
  [504] = {.lex_state = 3, .external_lex_state = 6},
  [505] = {.lex_state = 14, .external_lex_state = 5},
  [506] = {.lex_state = 14, .external_lex_state = 5},
  [507] = {.lex_state = 0, .external_lex_state = 5},
  [508] = {.lex_state = 14, .external_lex_state = 5},
  [509] = {.lex_state = 14, .external_lex_state = 5},
  [510] = {.lex_state = 0, .external_lex_state = 5},
  [511] = {.lex_state = 0, .external_lex_state = 5},
  [512] = {.lex_state = 0, .external_lex_state = 5},
  [513] = {.lex_state = 0, .external_lex_state = 5},
  [514] = {.lex_state = 0, .external_lex_state = 5},
  [515] = {.lex_state = 0, .external_lex_state = 5},
  [516] = {.lex_state = 0, .external_lex_state = 5},
  [517] = {.lex_state = 0, .external_lex_state = 5},
  [518] = {.lex_state = 0, .external_lex_state = 5},
  [519] = {.lex_state = 0, .external_lex_state = 5},
  [520] = {.lex_state = 0, .external_lex_state = 5},
  [521] = {.lex_state = 0, .external_lex_state = 5},
  [522] = {.lex_state = 0, .external_lex_state = 5},
  [523] = {.lex_state = 0, .external_lex_state = 5},
  [524] = {.lex_state = 3, .external_lex_state = 6},
  [525] = {.lex_state = 0, .external_lex_state = 5},
  [526] = {.lex_state = 0, .external_lex_state = 5},
  [527] = {.lex_state = 0, .external_lex_state = 5},
  [528] = {.lex_state = 0, .external_lex_state = 5},
  [529] = {.lex_state = 0, .external_lex_state = 5},
  [530] = {.lex_state = 0, .external_lex_state = 5},
  [531] = {.lex_state = 0, .external_lex_state = 5},
  [532] = {.lex_state = 0, .external_lex_state = 5},
  [533] = {.lex_state = 0, .external_lex_state = 5},
  [534] = {.lex_state = 0, .external_lex_state = 5},
  [535] = {.lex_state = 0, .external_lex_state = 5},
  [536] = {.lex_state = 0, .external_lex_state = 5},
  [537] = {.lex_state = 0, .external_lex_state = 5},
  [538] = {.lex_state = 0, .external_lex_state = 5},
  [539] = {.lex_state = 0, .external_lex_state = 5},
  [540] = {.lex_state = 0, .external_lex_state = 5},
  [541] = {.lex_state = 0, .external_lex_state = 5},
  [542] = {.lex_state = 0, .external_lex_state = 5},
  [543] = {.lex_state = 0, .external_lex_state = 5},
  [544] = {.lex_state = 0, .external_lex_state = 5},
  [545] = {.lex_state = 0, .external_lex_state = 5},
  [546] = {.lex_state = 0, .external_lex_state = 5},
  [547] = {.lex_state = 0, .external_lex_state = 5},
  [548] = {.lex_state = 0, .external_lex_state = 5},
  [549] = {.lex_state = 0, .external_lex_state = 5},
  [550] = {.lex_state = 0, .external_lex_state = 5},
  [551] = {.lex_state = 0, .external_lex_state = 5},
  [552] = {.lex_state = 0, .external_lex_state = 5},
  [553] = {.lex_state = 0, .external_lex_state = 5},
  [554] = {.lex_state = 0, .external_lex_state = 5},
  [555] = {.lex_state = 3, .external_lex_state = 6},
  [556] = {.lex_state = 0, .external_lex_state = 5},
  [557] = {.lex_state = 3, .external_lex_state = 6},
  [558] = {.lex_state = 0, .external_lex_state = 5},
  [559] = {.lex_state = 0, .external_lex_state = 5},
  [560] = {.lex_state = 3, .external_lex_state = 6},
  [561] = {.lex_state = 3, .external_lex_state = 6},
  [562] = {.lex_state = 0, .external_lex_state = 5},
  [563] = {.lex_state = 0, .external_lex_state = 5},
  [564] = {.lex_state = 0, .external_lex_state = 5},
  [565] = {.lex_state = 0, .external_lex_state = 5},
  [566] = {.lex_state = 0, .external_lex_state = 5},
  [567] = {.lex_state = 0, .external_lex_state = 5},
  [568] = {.lex_state = 0, .external_lex_state = 5},
  [569] = {.lex_state = 0, .external_lex_state = 5},
  [570] = {.lex_state = 0, .external_lex_state = 5},
  [571] = {.lex_state = 0, .external_lex_state = 5},
  [572] = {.lex_state = 0, .external_lex_state = 5},
  [573] = {.lex_state = 0, .external_lex_state = 5},
  [574] = {.lex_state = 0, .external_lex_state = 5},
  [575] = {.lex_state = 0, .external_lex_state = 5},
  [576] = {.lex_state = 0, .external_lex_state = 5},
  [577] = {.lex_state = 0, .external_lex_state = 5},
  [578] = {.lex_state = 0, .external_lex_state = 5},
  [579] = {.lex_state = 0, .external_lex_state = 5},
  [580] = {.lex_state = 0, .external_lex_state = 5},
  [581] = {.lex_state = 0, .external_lex_state = 5},
  [582] = {.lex_state = 0, .external_lex_state = 5},
  [583] = {.lex_state = 0, .external_lex_state = 5},
  [584] = {.lex_state = 0, .external_lex_state = 5},
  [585] = {.lex_state = 0, .external_lex_state = 5},
  [586] = {.lex_state = 0, .external_lex_state = 5},
  [587] = {.lex_state = 0, .external_lex_state = 5},
  [588] = {.lex_state = 0, .external_lex_state = 5},
  [589] = {.lex_state = 0, .external_lex_state = 5},
  [590] = {.lex_state = 0, .external_lex_state = 5},
  [591] = {.lex_state = 0, .external_lex_state = 5},
  [592] = {.lex_state = 1, .external_lex_state = 5},
  [593] = {.lex_state = 1, .external_lex_state = 5},
  [594] = {.lex_state = 14, .external_lex_state = 5},
  [595] = {.lex_state = 15, .external_lex_state = 5},
  [596] = {.lex_state = 1, .external_lex_state = 5},
  [597] = {.lex_state = 1, .external_lex_state = 5},
  [598] = {.lex_state = 1, .external_lex_state = 5},
  [599] = {.lex_state = 1, .external_lex_state = 5},
  [600] = {.lex_state = 2, .external_lex_state = 5},
  [601] = {.lex_state = 6, .external_lex_state = 6},
  [602] = {.lex_state = 6, .external_lex_state = 6},
  [603] = {.lex_state = 6, .external_lex_state = 6},
  [604] = {.lex_state = 5, .external_lex_state = 5},
  [605] = {.lex_state = 6, .external_lex_state = 6},
  [606] = {.lex_state = 6, .external_lex_state = 6},
  [607] = {.lex_state = 14, .external_lex_state = 5},
  [608] = {.lex_state = 0, .external_lex_state = 5},
  [609] = {.lex_state = 6, .external_lex_state = 6},
  [610] = {.lex_state = 3, .external_lex_state = 6},
  [611] = {.lex_state = 14, .external_lex_state = 5},
  [612] = {.lex_state = 0, .external_lex_state = 5},
  [613] = {.lex_state = 3, .external_lex_state = 6},
  [614] = {.lex_state = 0, .external_lex_state = 5},
  [615] = {.lex_state = 5, .external_lex_state = 5},
  [616] = {.lex_state = 0, .external_lex_state = 5},
  [617] = {.lex_state = 5, .external_lex_state = 5},
  [618] = {.lex_state = 15, .external_lex_state = 5},
  [619] = {.lex_state = 14, .external_lex_state = 5},
  [620] = {.lex_state = 15, .external_lex_state = 5},
  [621] = {.lex_state = 15, .external_lex_state = 5},
  [622] = {.lex_state = 5, .external_lex_state = 5},
  [623] = {.lex_state = 5, .external_lex_state = 5},
  [624] = {.lex_state = 5, .external_lex_state = 5},
  [625] = {.lex_state = 14, .external_lex_state = 5},
  [626] = {.lex_state = 14, .external_lex_state = 5},
  [627] = {.lex_state = 3, .external_lex_state = 6},
  [628] = {.lex_state = 2, .external_lex_state = 5},
  [629] = {.lex_state = 15, .external_lex_state = 5},
  [630] = {.lex_state = 15, .external_lex_state = 5},
  [631] = {.lex_state = 15, .external_lex_state = 5},
  [632] = {.lex_state = 15, .external_lex_state = 3},
  [633] = {.lex_state = 14, .external_lex_state = 5},
  [634] = {.lex_state = 15, .external_lex_state = 5},
  [635] = {.lex_state = 0, .external_lex_state = 5},
  [636] = {.lex_state = 15, .external_lex_state = 5},
  [637] = {.lex_state = 0, .external_lex_state = 5},
  [638] = {.lex_state = 0, .external_lex_state = 5},
  [639] = {.lex_state = 0, .external_lex_state = 5},
  [640] = {.lex_state = 0, .external_lex_state = 5},
  [641] = {.lex_state = 14, .external_lex_state = 5},
  [642] = {.lex_state = 15, .external_lex_state = 5},
  [643] = {.lex_state = 15, .external_lex_state = 5},
  [644] = {.lex_state = 14, .external_lex_state = 5},
  [645] = {.lex_state = 15, .external_lex_state = 5},
  [646] = {.lex_state = 14, .external_lex_state = 5},
  [647] = {.lex_state = 0, .external_lex_state = 7},
  [648] = {.lex_state = 15, .external_lex_state = 5},
  [649] = {.lex_state = 15, .external_lex_state = 5},
  [650] = {.lex_state = 0, .external_lex_state = 7},
  [651] = {.lex_state = 2, .external_lex_state = 5},
  [652] = {.lex_state = 15, .external_lex_state = 5},
  [653] = {.lex_state = 0, .external_lex_state = 5},
  [654] = {.lex_state = 15, .external_lex_state = 5},
  [655] = {.lex_state = 15, .external_lex_state = 5},
  [656] = {.lex_state = 15, .external_lex_state = 5},
  [657] = {.lex_state = 15, .external_lex_state = 5},
  [658] = {.lex_state = 15, .external_lex_state = 5},
  [659] = {.lex_state = 15, .external_lex_state = 5},
  [660] = {.lex_state = 15, .external_lex_state = 5},
  [661] = {.lex_state = 15, .external_lex_state = 5},
  [662] = {.lex_state = 0, .external_lex_state = 7},
  [663] = {.lex_state = 15, .external_lex_state = 5},
  [664] = {.lex_state = 0, .external_lex_state = 7},
  [665] = {.lex_state = 15, .external_lex_state = 5},
  [666] = {.lex_state = 2, .external_lex_state = 5},
  [667] = {.lex_state = 0, .external_lex_state = 7},
  [668] = {.lex_state = 0, .external_lex_state = 5},
  [669] = {.lex_state = 15, .external_lex_state = 5},
  [670] = {.lex_state = 0, .external_lex_state = 5},
  [671] = {.lex_state = 14, .external_lex_state = 5},
  [672] = {.lex_state = 14, .external_lex_state = 5},
  [673] = {.lex_state = 14, .external_lex_state = 5},
  [674] = {.lex_state = 15, .external_lex_state = 5},
  [675] = {.lex_state = 0, .external_lex_state = 5},
  [676] = {.lex_state = 0, .external_lex_state = 5},
  [677] = {.lex_state = 0, .external_lex_state = 5},
  [678] = {.lex_state = 14, .external_lex_state = 5},
  [679] = {.lex_state = 0, .external_lex_state = 5},
  [680] = {.lex_state = 15, .external_lex_state = 5},
  [681] = {.lex_state = 0, .external_lex_state = 5},
  [682] = {.lex_state = 14, .external_lex_state = 5},
  [683] = {.lex_state = 15, .external_lex_state = 5},
  [684] = {.lex_state = 14, .external_lex_state = 5},
  [685] = {.lex_state = 14, .external_lex_state = 5},
  [686] = {.lex_state = 15, .external_lex_state = 5},
  [687] = {.lex_state = 14, .external_lex_state = 5},
  [688] = {.lex_state = 14, .external_lex_state = 5},
  [689] = {.lex_state = 0, .external_lex_state = 5},
  [690] = {.lex_state = 0, .external_lex_state = 5},
  [691] = {.lex_state = 14, .external_lex_state = 5},
  [692] = {.lex_state = 14, .external_lex_state = 5},
  [693] = {.lex_state = 0, .external_lex_state = 5},
  [694] = {.lex_state = 0, .external_lex_state = 5},
  [695] = {.lex_state = 14, .external_lex_state = 5},
  [696] = {.lex_state = 0, .external_lex_state = 5},
  [697] = {.lex_state = 0, .external_lex_state = 7},
  [698] = {.lex_state = 14, .external_lex_state = 5},
  [699] = {.lex_state = 2, .external_lex_state = 5},
  [700] = {.lex_state = 15, .external_lex_state = 5},
  [701] = {.lex_state = 14, .external_lex_state = 5},
  [702] = {.lex_state = 14, .external_lex_state = 5},
  [703] = {.lex_state = 14, .external_lex_state = 5},
  [704] = {.lex_state = 14, .external_lex_state = 5},
  [705] = {.lex_state = 14, .external_lex_state = 5},
  [706] = {.lex_state = 14, .external_lex_state = 5},
  [707] = {.lex_state = 14, .external_lex_state = 5},
  [708] = {.lex_state = 14, .external_lex_state = 5},
  [709] = {.lex_state = 14, .external_lex_state = 5},
  [710] = {.lex_state = 15, .external_lex_state = 5},
  [711] = {.lex_state = 15, .external_lex_state = 5},
  [712] = {.lex_state = 14, .external_lex_state = 5},
  [713] = {.lex_state = 14, .external_lex_state = 5},
  [714] = {.lex_state = 15, .external_lex_state = 5},
  [715] = {.lex_state = 14, .external_lex_state = 5},
  [716] = {.lex_state = 14, .external_lex_state = 5},
  [717] = {.lex_state = 14, .external_lex_state = 5},
  [718] = {.lex_state = 15, .external_lex_state = 5},
  [719] = {.lex_state = 14, .external_lex_state = 5},
  [720] = {.lex_state = 0, .external_lex_state = 7},
  [721] = {.lex_state = 15, .external_lex_state = 5},
  [722] = {.lex_state = 14, .external_lex_state = 5},
  [723] = {.lex_state = 14, .external_lex_state = 5},
  [724] = {.lex_state = 0, .external_lex_state = 7},
  [725] = {.lex_state = 0, .external_lex_state = 7},
  [726] = {.lex_state = 15, .external_lex_state = 5},
  [727] = {.lex_state = 15, .external_lex_state = 5},
  [728] = {.lex_state = 15, .external_lex_state = 5},
  [729] = {.lex_state = 15, .external_lex_state = 5},
  [730] = {.lex_state = 15, .external_lex_state = 5},
  [731] = {.lex_state = 0, .external_lex_state = 7},
  [732] = {.lex_state = 0, .external_lex_state = 7},
  [733] = {.lex_state = 15, .external_lex_state = 5},
  [734] = {.lex_state = 0, .external_lex_state = 7},
  [735] = {.lex_state = 14, .external_lex_state = 5},
  [736] = {.lex_state = 0, .external_lex_state = 7},
  [737] = {.lex_state = 0, .external_lex_state = 7},
  [738] = {.lex_state = 0, .external_lex_state = 5},
  [739] = {.lex_state = 14, .external_lex_state = 5},
  [740] = {.lex_state = 0, .external_lex_state = 7},
  [741] = {.lex_state = 15, .external_lex_state = 5},
  [742] = {.lex_state = 15, .external_lex_state = 5},
  [743] = {.lex_state = 0, .external_lex_state = 7},
  [744] = {.lex_state = 15, .external_lex_state = 5},
  [745] = {.lex_state = 14, .external_lex_state = 5},
  [746] = {.lex_state = 0, .external_lex_state = 7},
  [747] = {.lex_state = 14, .external_lex_state = 5},
  [748] = {.lex_state = 15, .external_lex_state = 5},
  [749] = {.lex_state = 14, .external_lex_state = 5},
  [750] = {.lex_state = 15, .external_lex_state = 5},
  [751] = {.lex_state = 0, .external_lex_state = 7},
  [752] = {.lex_state = 14, .external_lex_state = 5},
  [753] = {.lex_state = 0, .external_lex_state = 7},
  [754] = {.lex_state = 0, .external_lex_state = 7},
  [755] = {.lex_state = 0, .external_lex_state = 7},
  [756] = {.lex_state = 0, .external_lex_state = 7},
  [757] = {.lex_state = 0, .external_lex_state = 7},
  [758] = {.lex_state = 0, .external_lex_state = 7},
  [759] = {.lex_state = 0, .external_lex_state = 7},
  [760] = {.lex_state = 0, .external_lex_state = 7},
  [761] = {.lex_state = 0, .external_lex_state = 7},
  [762] = {.lex_state = 7, .external_lex_state = 6},
  [763] = {.lex_state = 15, .external_lex_state = 5},
  [764] = {.lex_state = 15, .external_lex_state = 5},
  [765] = {.lex_state = 14, .external_lex_state = 5},
  [766] = {.lex_state = 14, .external_lex_state = 5},
  [767] = {.lex_state = 7, .external_lex_state = 6},
  [768] = {.lex_state = 14, .external_lex_state = 5},
  [769] = {.lex_state = 15, .external_lex_state = 5},
  [770] = {.lex_state = 15, .external_lex_state = 5},
  [771] = {.lex_state = 0, .external_lex_state = 7},
  [772] = {.lex_state = 15, .external_lex_state = 5},
  [773] = {.lex_state = 7, .external_lex_state = 6},
  [774] = {.lex_state = 15, .external_lex_state = 5},
  [775] = {.lex_state = 14, .external_lex_state = 8},
  [776] = {.lex_state = 0, .external_lex_state = 7},
  [777] = {.lex_state = 15, .external_lex_state = 5},
  [778] = {.lex_state = 0, .external_lex_state = 7},
  [779] = {.lex_state = 15, .external_lex_state = 5},
  [780] = {.lex_state = 14, .external_lex_state = 5},
  [781] = {.lex_state = 15, .external_lex_state = 5},
  [782] = {.lex_state = 14, .external_lex_state = 5},
  [783] = {.lex_state = 0, .external_lex_state = 7},
  [784] = {.lex_state = 14, .external_lex_state = 5},
  [785] = {.lex_state = 14, .external_lex_state = 5},
  [786] = {.lex_state = 14, .external_lex_state = 5},
  [787] = {.lex_state = 0, .external_lex_state = 5},
  [788] = {.lex_state = 0, .external_lex_state = 7},
  [789] = {.lex_state = 14, .external_lex_state = 8},
  [790] = {.lex_state = 7, .external_lex_state = 6},
  [791] = {.lex_state = 14, .external_lex_state = 5},
  [792] = {.lex_state = 0, .external_lex_state = 7},
  [793] = {.lex_state = 14, .external_lex_state = 5},
  [794] = {.lex_state = 0, .external_lex_state = 7},
  [795] = {.lex_state = 0, .external_lex_state = 7},
  [796] = {.lex_state = 15, .external_lex_state = 5},
  [797] = {.lex_state = 0, .external_lex_state = 7},
  [798] = {.lex_state = 15, .external_lex_state = 5},
  [799] = {.lex_state = 14, .external_lex_state = 5},
  [800] = {.lex_state = 15, .external_lex_state = 5},
  [801] = {.lex_state = 15, .external_lex_state = 5},
  [802] = {.lex_state = 15, .external_lex_state = 5},
  [803] = {.lex_state = 0, .external_lex_state = 7},
  [804] = {.lex_state = 14, .external_lex_state = 5},
  [805] = {.lex_state = 14, .external_lex_state = 5},
  [806] = {.lex_state = 14, .external_lex_state = 5},
  [807] = {.lex_state = 0, .external_lex_state = 7},
  [808] = {.lex_state = 0, .external_lex_state = 7},
  [809] = {.lex_state = 14, .external_lex_state = 5},
  [810] = {.lex_state = 14, .external_lex_state = 5},
  [811] = {.lex_state = 0, .external_lex_state = 7},
  [812] = {.lex_state = 7, .external_lex_state = 6},
  [813] = {.lex_state = 14, .external_lex_state = 5},
  [814] = {.lex_state = 15, .external_lex_state = 5},
  [815] = {.lex_state = 15, .external_lex_state = 5},
  [816] = {.lex_state = 15, .external_lex_state = 5},
  [817] = {.lex_state = 14, .external_lex_state = 5},
  [818] = {.lex_state = 15, .external_lex_state = 5},
  [819] = {.lex_state = 14, .external_lex_state = 5},
  [820] = {.lex_state = 15, .external_lex_state = 5},
  [821] = {.lex_state = 14, .external_lex_state = 5},
  [822] = {.lex_state = 14, .external_lex_state = 8},
  [823] = {.lex_state = 0, .external_lex_state = 9},
  [824] = {.lex_state = 15, .external_lex_state = 5},
  [825] = {.lex_state = 14, .external_lex_state = 5},
  [826] = {.lex_state = 14, .external_lex_state = 5},
  [827] = {.lex_state = 15, .external_lex_state = 5},
  [828] = {.lex_state = 14, .external_lex_state = 5},
  [829] = {.lex_state = 0, .external_lex_state = 10},
  [830] = {.lex_state = 0, .external_lex_state = 9},
  [831] = {.lex_state = 14, .external_lex_state = 5},
  [832] = {.lex_state = 15, .external_lex_state = 5},
  [833] = {.lex_state = 14, .external_lex_state = 5},
  [834] = {.lex_state = 14, .external_lex_state = 5},
  [835] = {.lex_state = 14, .external_lex_state = 5},
  [836] = {.lex_state = 15, .external_lex_state = 5},
  [837] = {.lex_state = 15, .external_lex_state = 5},
  [838] = {.lex_state = 14, .external_lex_state = 5},
  [839] = {.lex_state = 0, .external_lex_state = 10},
  [840] = {.lex_state = 14, .external_lex_state = 5},
  [841] = {.lex_state = 0, .external_lex_state = 9},
  [842] = {.lex_state = 15, .external_lex_state = 5},
  [843] = {.lex_state = 14, .external_lex_state = 5},
  [844] = {.lex_state = 14, .external_lex_state = 5},
  [845] = {.lex_state = 14, .external_lex_state = 5},
  [846] = {.lex_state = 0, .external_lex_state = 9},
  [847] = {.lex_state = 14, .external_lex_state = 5},
  [848] = {.lex_state = 0, .external_lex_state = 10},
  [849] = {.lex_state = 0, .external_lex_state = 5},
  [850] = {.lex_state = 14, .external_lex_state = 5},
  [851] = {.lex_state = 0, .external_lex_state = 10},
  [852] = {.lex_state = 0, .external_lex_state = 9},
  [853] = {.lex_state = 0, .external_lex_state = 9},
  [854] = {.lex_state = 14, .external_lex_state = 5},
  [855] = {.lex_state = 15, .external_lex_state = 5},
  [856] = {.lex_state = 14, .external_lex_state = 5},
  [857] = {.lex_state = 14, .external_lex_state = 5},
  [858] = {.lex_state = 14, .external_lex_state = 5},
  [859] = {.lex_state = 14, .external_lex_state = 5},
  [860] = {.lex_state = 14, .external_lex_state = 5},
  [861] = {.lex_state = 14, .external_lex_state = 5},
  [862] = {.lex_state = 14, .external_lex_state = 5},
  [863] = {.lex_state = 0, .external_lex_state = 9},
  [864] = {.lex_state = 14, .external_lex_state = 5},
  [865] = {.lex_state = 0, .external_lex_state = 10},
  [866] = {.lex_state = 14, .external_lex_state = 5},
  [867] = {.lex_state = 14, .external_lex_state = 5},
  [868] = {.lex_state = 15, .external_lex_state = 5},
  [869] = {.lex_state = 14, .external_lex_state = 5},
  [870] = {.lex_state = 15, .external_lex_state = 5},
  [871] = {.lex_state = 14, .external_lex_state = 5},
  [872] = {.lex_state = 0, .external_lex_state = 10},
  [873] = {.lex_state = 14, .external_lex_state = 5},
  [874] = {.lex_state = 14, .external_lex_state = 5},
  [875] = {.lex_state = 15, .external_lex_state = 5},
  [876] = {.lex_state = 14, .external_lex_state = 5},
  [877] = {.lex_state = 15, .external_lex_state = 5},
  [878] = {.lex_state = 14, .external_lex_state = 5},
  [879] = {.lex_state = 14, .external_lex_state = 5},
  [880] = {.lex_state = 0, .external_lex_state = 10},
  [881] = {.lex_state = 14, .external_lex_state = 5},
  [882] = {.lex_state = 15, .external_lex_state = 5},
  [883] = {.lex_state = 15, .external_lex_state = 5},
  [884] = {.lex_state = 14, .external_lex_state = 5},
  [885] = {.lex_state = 15, .external_lex_state = 5},
  [886] = {.lex_state = 15, .external_lex_state = 5},
  [887] = {.lex_state = 14, .external_lex_state = 5},
  [888] = {.lex_state = 14, .external_lex_state = 5},
  [889] = {.lex_state = 0, .external_lex_state = 10},
  [890] = {.lex_state = 7, .external_lex_state = 5},
  [891] = {.lex_state = 0, .external_lex_state = 9},
  [892] = {.lex_state = 0, .external_lex_state = 9},
  [893] = {.lex_state = 14, .external_lex_state = 5},
  [894] = {.lex_state = 0, .external_lex_state = 10},
  [895] = {.lex_state = 7, .external_lex_state = 6},
  [896] = {.lex_state = 14, .external_lex_state = 5},
  [897] = {.lex_state = 15, .external_lex_state = 5},
  [898] = {.lex_state = 14, .external_lex_state = 5},
  [899] = {.lex_state = 15, .external_lex_state = 5},
  [900] = {.lex_state = 0, .external_lex_state = 5},
  [901] = {.lex_state = 14, .external_lex_state = 5},
  [902] = {.lex_state = 15, .external_lex_state = 5},
  [903] = {.lex_state = 0, .external_lex_state = 5},
  [904] = {.lex_state = 7, .external_lex_state = 5},
  [905] = {.lex_state = 7, .external_lex_state = 5},
  [906] = {.lex_state = 14, .external_lex_state = 5},
  [907] = {.lex_state = 15, .external_lex_state = 5},
  [908] = {.lex_state = 15, .external_lex_state = 5},
  [909] = {.lex_state = 14, .external_lex_state = 5},
  [910] = {.lex_state = 0, .external_lex_state = 5},
  [911] = {.lex_state = 7, .external_lex_state = 5},
  [912] = {.lex_state = 0, .external_lex_state = 5},
  [913] = {.lex_state = 7, .external_lex_state = 5},
  [914] = {.lex_state = 7, .external_lex_state = 5},
  [915] = {.lex_state = 7, .external_lex_state = 5},
  [916] = {.lex_state = 15, .external_lex_state = 5},
  [917] = {.lex_state = 14, .external_lex_state = 5},
  [918] = {.lex_state = 7, .external_lex_state = 5},
  [919] = {.lex_state = 7, .external_lex_state = 5},
  [920] = {.lex_state = 14, .external_lex_state = 5},
  [921] = {.lex_state = 0, .external_lex_state = 5},
  [922] = {.lex_state = 0, .external_lex_state = 5},
  [923] = {.lex_state = 0, .external_lex_state = 5},
  [924] = {.lex_state = 14, .external_lex_state = 5},
  [925] = {.lex_state = 14, .external_lex_state = 5},
  [926] = {.lex_state = 14, .external_lex_state = 5},
  [927] = {.lex_state = 14, .external_lex_state = 5},
  [928] = {.lex_state = 14, .external_lex_state = 5},
  [929] = {.lex_state = 0, .external_lex_state = 5},
  [930] = {.lex_state = 7, .external_lex_state = 5},
  [931] = {.lex_state = 7, .external_lex_state = 5},
  [932] = {.lex_state = 14, .external_lex_state = 5},
  [933] = {.lex_state = 14, .external_lex_state = 5},
  [934] = {.lex_state = 7, .external_lex_state = 5},
  [935] = {.lex_state = 15, .external_lex_state = 5},
  [936] = {.lex_state = 7, .external_lex_state = 5},
  [937] = {.lex_state = 0, .external_lex_state = 5},
  [938] = {.lex_state = 0, .external_lex_state = 5},
  [939] = {.lex_state = 15, .external_lex_state = 5},
  [940] = {.lex_state = 15, .external_lex_state = 5},
  [941] = {.lex_state = 0, .external_lex_state = 5},
  [942] = {.lex_state = 0, .external_lex_state = 5},
  [943] = {.lex_state = 7, .external_lex_state = 5},
  [944] = {.lex_state = 14, .external_lex_state = 5},
  [945] = {.lex_state = 14, .external_lex_state = 5},
  [946] = {.lex_state = 14, .external_lex_state = 5},
  [947] = {.lex_state = 14, .external_lex_state = 5},
  [948] = {.lex_state = 14, .external_lex_state = 5},
  [949] = {.lex_state = 15, .external_lex_state = 5},
  [950] = {.lex_state = 14, .external_lex_state = 5},
  [951] = {.lex_state = 14, .external_lex_state = 5},
  [952] = {.lex_state = 14, .external_lex_state = 5},
  [953] = {.lex_state = 14, .external_lex_state = 5},
  [954] = {.lex_state = 15, .external_lex_state = 5},
  [955] = {.lex_state = 14, .external_lex_state = 5},
  [956] = {.lex_state = 14, .external_lex_state = 5},
  [957] = {.lex_state = 15, .external_lex_state = 5},
  [958] = {.lex_state = 14, .external_lex_state = 5},
  [959] = {.lex_state = 15, .external_lex_state = 5},
  [960] = {.lex_state = 0, .external_lex_state = 5},
  [961] = {.lex_state = 7, .external_lex_state = 5},
  [962] = {.lex_state = 7, .external_lex_state = 5},
  [963] = {.lex_state = 15, .external_lex_state = 5},
  [964] = {.lex_state = 0, .external_lex_state = 5},
  [965] = {.lex_state = 0, .external_lex_state = 5},
  [966] = {.lex_state = 15, .external_lex_state = 5},
  [967] = {.lex_state = 7, .external_lex_state = 5},
  [968] = {.lex_state = 14, .external_lex_state = 5},
  [969] = {.lex_state = 7, .external_lex_state = 5},
  [970] = {.lex_state = 14, .external_lex_state = 5},
  [971] = {.lex_state = 14, .external_lex_state = 5},
  [972] = {.lex_state = 14, .external_lex_state = 5},
  [973] = {.lex_state = 14, .external_lex_state = 5},
  [974] = {.lex_state = 15, .external_lex_state = 5},
  [975] = {.lex_state = 0, .external_lex_state = 5},
  [976] = {.lex_state = 15, .external_lex_state = 5},
  [977] = {.lex_state = 14, .external_lex_state = 5},
  [978] = {.lex_state = 0, .external_lex_state = 5},
  [979] = {.lex_state = 14, .external_lex_state = 5},
  [980] = {.lex_state = 14, .external_lex_state = 5},
  [981] = {.lex_state = 15, .external_lex_state = 5},
  [982] = {.lex_state = 15, .external_lex_state = 5},
  [983] = {.lex_state = 14, .external_lex_state = 5},
  [984] = {.lex_state = 15, .external_lex_state = 5},
  [985] = {.lex_state = 14, .external_lex_state = 5},
  [986] = {.lex_state = 14, .external_lex_state = 5},
  [987] = {.lex_state = 14, .external_lex_state = 5},
  [988] = {.lex_state = 15, .external_lex_state = 5},
  [989] = {.lex_state = 14, .external_lex_state = 5},
  [990] = {.lex_state = 14, .external_lex_state = 5},
  [991] = {.lex_state = 14, .external_lex_state = 5},
  [992] = {.lex_state = 15, .external_lex_state = 5},
  [993] = {.lex_state = 15, .external_lex_state = 5},
  [994] = {.lex_state = 14, .external_lex_state = 5},
  [995] = {.lex_state = 15, .external_lex_state = 5},
  [996] = {.lex_state = 14, .external_lex_state = 5},
  [997] = {.lex_state = 14, .external_lex_state = 5},
  [998] = {.lex_state = 0, .external_lex_state = 5},
  [999] = {.lex_state = 15, .external_lex_state = 5},
  [1000] = {.lex_state = 14, .external_lex_state = 5},
  [1001] = {.lex_state = 14, .external_lex_state = 5},
  [1002] = {.lex_state = 15, .external_lex_state = 5},
  [1003] = {.lex_state = 14, .external_lex_state = 5},
  [1004] = {.lex_state = 14, .external_lex_state = 5},
  [1005] = {.lex_state = 15, .external_lex_state = 5},
  [1006] = {.lex_state = 15, .external_lex_state = 5},
  [1007] = {.lex_state = 15, .external_lex_state = 5},
  [1008] = {.lex_state = 14, .external_lex_state = 5},
  [1009] = {.lex_state = 0, .external_lex_state = 5},
  [1010] = {.lex_state = 0, .external_lex_state = 5},
  [1011] = {.lex_state = 15, .external_lex_state = 5},
  [1012] = {.lex_state = 0, .external_lex_state = 5},
  [1013] = {.lex_state = 15, .external_lex_state = 5},
  [1014] = {.lex_state = 15, .external_lex_state = 5},
  [1015] = {.lex_state = 15, .external_lex_state = 5},
  [1016] = {.lex_state = 15, .external_lex_state = 5},
  [1017] = {.lex_state = 0, .external_lex_state = 5},
  [1018] = {.lex_state = 15, .external_lex_state = 5},
  [1019] = {.lex_state = 0, .external_lex_state = 5},
  [1020] = {.lex_state = 15, .external_lex_state = 5},
  [1021] = {.lex_state = 15, .external_lex_state = 5},
  [1022] = {.lex_state = 15, .external_lex_state = 5},
  [1023] = {.lex_state = 15, .external_lex_state = 5},
  [1024] = {.lex_state = 15, .external_lex_state = 5},
  [1025] = {.lex_state = 0, .external_lex_state = 5},
  [1026] = {.lex_state = 15, .external_lex_state = 5},
  [1027] = {.lex_state = 0, .external_lex_state = 5},
  [1028] = {.lex_state = 0, .external_lex_state = 5},
  [1029] = {.lex_state = 0, .external_lex_state = 5},
  [1030] = {.lex_state = 15, .external_lex_state = 5},
  [1031] = {.lex_state = 15, .external_lex_state = 5},
  [1032] = {.lex_state = 15, .external_lex_state = 5},
  [1033] = {.lex_state = 15, .external_lex_state = 5},
  [1034] = {.lex_state = 0, .external_lex_state = 5},
  [1035] = {.lex_state = 0, .external_lex_state = 5},
  [1036] = {.lex_state = 0, .external_lex_state = 5},
  [1037] = {.lex_state = 15, .external_lex_state = 5},
  [1038] = {.lex_state = 0, .external_lex_state = 5},
  [1039] = {.lex_state = 0, .external_lex_state = 5},
  [1040] = {.lex_state = 0, .external_lex_state = 5},
  [1041] = {.lex_state = 0, .external_lex_state = 5},
  [1042] = {.lex_state = 15, .external_lex_state = 5},
  [1043] = {.lex_state = 15, .external_lex_state = 5},
  [1044] = {.lex_state = 0, .external_lex_state = 5},
  [1045] = {.lex_state = 0, .external_lex_state = 5},
  [1046] = {.lex_state = 15, .external_lex_state = 5},
  [1047] = {.lex_state = 15, .external_lex_state = 5},
  [1048] = {.lex_state = 0, .external_lex_state = 5},
  [1049] = {.lex_state = 15, .external_lex_state = 5},
  [1050] = {.lex_state = 0, .external_lex_state = 5},
  [1051] = {.lex_state = 0, .external_lex_state = 5},
  [1052] = {.lex_state = 0, .external_lex_state = 5},
  [1053] = {.lex_state = 0, .external_lex_state = 5},
  [1054] = {.lex_state = 0, .external_lex_state = 5},
  [1055] = {.lex_state = 15, .external_lex_state = 5},
  [1056] = {.lex_state = 0, .external_lex_state = 5},
  [1057] = {.lex_state = 0, .external_lex_state = 5},
  [1058] = {.lex_state = 15, .external_lex_state = 5},
  [1059] = {.lex_state = 0, .external_lex_state = 5},
  [1060] = {.lex_state = 15, .external_lex_state = 5},
  [1061] = {.lex_state = 15, .external_lex_state = 5},
  [1062] = {.lex_state = 15, .external_lex_state = 5},
  [1063] = {.lex_state = 0, .external_lex_state = 5},
  [1064] = {.lex_state = 15, .external_lex_state = 5},
  [1065] = {.lex_state = 0, .external_lex_state = 5},
  [1066] = {.lex_state = 0, .external_lex_state = 5},
  [1067] = {.lex_state = 15, .external_lex_state = 5},
  [1068] = {.lex_state = 0, .external_lex_state = 5},
  [1069] = {.lex_state = 15, .external_lex_state = 5},
  [1070] = {.lex_state = 0, .external_lex_state = 5},
  [1071] = {.lex_state = 0, .external_lex_state = 5},
  [1072] = {.lex_state = 0, .external_lex_state = 5},
  [1073] = {.lex_state = 0, .external_lex_state = 5},
  [1074] = {.lex_state = 0, .external_lex_state = 5},
  [1075] = {.lex_state = 0, .external_lex_state = 5},
  [1076] = {.lex_state = 0, .external_lex_state = 5},
  [1077] = {.lex_state = 0, .external_lex_state = 5},
  [1078] = {.lex_state = 0, .external_lex_state = 5},
  [1079] = {.lex_state = 0, .external_lex_state = 5},
  [1080] = {.lex_state = 15, .external_lex_state = 5},
  [1081] = {.lex_state = 15, .external_lex_state = 5},
  [1082] = {.lex_state = 15, .external_lex_state = 5},
  [1083] = {.lex_state = 15, .external_lex_state = 5},
  [1084] = {.lex_state = 15, .external_lex_state = 5},
  [1085] = {.lex_state = 15, .external_lex_state = 5},
  [1086] = {.lex_state = 15, .external_lex_state = 5},
  [1087] = {.lex_state = 15, .external_lex_state = 5},
  [1088] = {.lex_state = 15, .external_lex_state = 5},
  [1089] = {.lex_state = 15, .external_lex_state = 5},
  [1090] = {.lex_state = 15, .external_lex_state = 5},
  [1091] = {.lex_state = 15, .external_lex_state = 5},
  [1092] = {.lex_state = 15, .external_lex_state = 5},
  [1093] = {.lex_state = 15, .external_lex_state = 5},
  [1094] = {.lex_state = 15, .external_lex_state = 5},
  [1095] = {.lex_state = 15, .external_lex_state = 5},
  [1096] = {.lex_state = 15, .external_lex_state = 5},
  [1097] = {.lex_state = 15, .external_lex_state = 5},
  [1098] = {.lex_state = 15, .external_lex_state = 5},
  [1099] = {.lex_state = 15, .external_lex_state = 5},
  [1100] = {.lex_state = 15, .external_lex_state = 5},
  [1101] = {.lex_state = 15, .external_lex_state = 5},
  [1102] = {.lex_state = 15, .external_lex_state = 5},
  [1103] = {.lex_state = 15, .external_lex_state = 5},
  [1104] = {.lex_state = 15, .external_lex_state = 5},
  [1105] = {.lex_state = 15, .external_lex_state = 5},
  [1106] = {.lex_state = 0, .external_lex_state = 5},
  [1107] = {.lex_state = 15, .external_lex_state = 5},
  [1108] = {.lex_state = 15, .external_lex_state = 5},
  [1109] = {.lex_state = 15, .external_lex_state = 5},
  [1110] = {.lex_state = 15, .external_lex_state = 5},
  [1111] = {.lex_state = 15, .external_lex_state = 5},
  [1112] = {.lex_state = 15, .external_lex_state = 5},
  [1113] = {.lex_state = 0, .external_lex_state = 5},
  [1114] = {.lex_state = 15, .external_lex_state = 5},
  [1115] = {.lex_state = 15, .external_lex_state = 5},
  [1116] = {.lex_state = 15, .external_lex_state = 5},
  [1117] = {.lex_state = 15, .external_lex_state = 5},
  [1118] = {.lex_state = 15, .external_lex_state = 5},
  [1119] = {.lex_state = 15, .external_lex_state = 5},
  [1120] = {.lex_state = 15, .external_lex_state = 5},
  [1121] = {.lex_state = 15, .external_lex_state = 5},
  [1122] = {.lex_state = 15, .external_lex_state = 5},
  [1123] = {.lex_state = 15, .external_lex_state = 5},
  [1124] = {.lex_state = 15, .external_lex_state = 5},
  [1125] = {.lex_state = 15, .external_lex_state = 5},
  [1126] = {.lex_state = 15, .external_lex_state = 5},
  [1127] = {.lex_state = 15, .external_lex_state = 5},
  [1128] = {.lex_state = 15, .external_lex_state = 5},
  [1129] = {.lex_state = 15, .external_lex_state = 5},
  [1130] = {.lex_state = 15, .external_lex_state = 5},
  [1131] = {.lex_state = 15, .external_lex_state = 5},
  [1132] = {.lex_state = 0, .external_lex_state = 5},
  [1133] = {.lex_state = 15, .external_lex_state = 5},
  [1134] = {.lex_state = 15, .external_lex_state = 5},
  [1135] = {.lex_state = 15, .external_lex_state = 5},
  [1136] = {.lex_state = 15, .external_lex_state = 5},
  [1137] = {.lex_state = 0, .external_lex_state = 5},
  [1138] = {.lex_state = 15, .external_lex_state = 5},
  [1139] = {.lex_state = 15, .external_lex_state = 5},
  [1140] = {.lex_state = 15, .external_lex_state = 5},
  [1141] = {.lex_state = 15, .external_lex_state = 5},
  [1142] = {.lex_state = 15, .external_lex_state = 5},
  [1143] = {.lex_state = 0, .external_lex_state = 5},
  [1144] = {.lex_state = 0, .external_lex_state = 5},
  [1145] = {.lex_state = 15, .external_lex_state = 5},
  [1146] = {.lex_state = 15, .external_lex_state = 5},
  [1147] = {.lex_state = 0, .external_lex_state = 5},
  [1148] = {.lex_state = 15, .external_lex_state = 5},
  [1149] = {.lex_state = 15, .external_lex_state = 5},
  [1150] = {.lex_state = 15, .external_lex_state = 5},
  [1151] = {.lex_state = 15, .external_lex_state = 5},
  [1152] = {.lex_state = 15, .external_lex_state = 5},
  [1153] = {.lex_state = 15, .external_lex_state = 5},
  [1154] = {.lex_state = 15, .external_lex_state = 5},
  [1155] = {.lex_state = 15, .external_lex_state = 5},
  [1156] = {.lex_state = 15, .external_lex_state = 5},
  [1157] = {.lex_state = 0, .external_lex_state = 5},
  [1158] = {.lex_state = 15, .external_lex_state = 5},
  [1159] = {.lex_state = 15, .external_lex_state = 5},
  [1160] = {.lex_state = 15, .external_lex_state = 5},
  [1161] = {.lex_state = 0, .external_lex_state = 5},
  [1162] = {.lex_state = 15, .external_lex_state = 5},
  [1163] = {.lex_state = 15, .external_lex_state = 5},
  [1164] = {.lex_state = 15, .external_lex_state = 5},
  [1165] = {.lex_state = 0, .external_lex_state = 5},
  [1166] = {.lex_state = 0, .external_lex_state = 5},
  [1167] = {.lex_state = 15, .external_lex_state = 5},
  [1168] = {.lex_state = 0, .external_lex_state = 5},
  [1169] = {.lex_state = 15, .external_lex_state = 5},
  [1170] = {.lex_state = 0, .external_lex_state = 5},
  [1171] = {.lex_state = 15, .external_lex_state = 5},
  [1172] = {.lex_state = 15, .external_lex_state = 5},
  [1173] = {.lex_state = 15, .external_lex_state = 5},
  [1174] = {.lex_state = 15, .external_lex_state = 5},
  [1175] = {.lex_state = 15, .external_lex_state = 5},
  [1176] = {.lex_state = 0, .external_lex_state = 5},
  [1177] = {.lex_state = 0, .external_lex_state = 5},
  [1178] = {.lex_state = 15, .external_lex_state = 5},
  [1179] = {.lex_state = 15, .external_lex_state = 5},
  [1180] = {.lex_state = 0, .external_lex_state = 5},
  [1181] = {.lex_state = 0, .external_lex_state = 5},
  [1182] = {.lex_state = 15, .external_lex_state = 5},
  [1183] = {.lex_state = 0, .external_lex_state = 5},
  [1184] = {.lex_state = 0, .external_lex_state = 5},
  [1185] = {.lex_state = 15, .external_lex_state = 5},
  [1186] = {.lex_state = 0, .external_lex_state = 5},
  [1187] = {.lex_state = 0, .external_lex_state = 5},
  [1188] = {.lex_state = 15, .external_lex_state = 5},
  [1189] = {.lex_state = 15, .external_lex_state = 5},
  [1190] = {.lex_state = 0, .external_lex_state = 5},
  [1191] = {.lex_state = 15, .external_lex_state = 5},
  [1192] = {.lex_state = 0, .external_lex_state = 5},
  [1193] = {.lex_state = 15, .external_lex_state = 5},
  [1194] = {.lex_state = 15, .external_lex_state = 5},
  [1195] = {.lex_state = 0, .external_lex_state = 5},
  [1196] = {.lex_state = 15, .external_lex_state = 5},
  [1197] = {.lex_state = 0, .external_lex_state = 5},
  [1198] = {.lex_state = 15, .external_lex_state = 5},
  [1199] = {.lex_state = 15, .external_lex_state = 5},
  [1200] = {.lex_state = 0, .external_lex_state = 5},
  [1201] = {.lex_state = 15, .external_lex_state = 5},
  [1202] = {.lex_state = 0, .external_lex_state = 5},
  [1203] = {.lex_state = 15, .external_lex_state = 5},
  [1204] = {.lex_state = 0, .external_lex_state = 5},
  [1205] = {.lex_state = 0, .external_lex_state = 5},
  [1206] = {.lex_state = 0, .external_lex_state = 5},
  [1207] = {.lex_state = 15, .external_lex_state = 5},
  [1208] = {.lex_state = 15, .external_lex_state = 5},
  [1209] = {.lex_state = 0, .external_lex_state = 5},
  [1210] = {.lex_state = 15, .external_lex_state = 5},
  [1211] = {.lex_state = 0, .external_lex_state = 5},
  [1212] = {.lex_state = 15, .external_lex_state = 5},
  [1213] = {.lex_state = 0, .external_lex_state = 5},
  [1214] = {.lex_state = 15, .external_lex_state = 5},
  [1215] = {.lex_state = 15, .external_lex_state = 5},
  [1216] = {.lex_state = 15, .external_lex_state = 5},
  [1217] = {.lex_state = 15, .external_lex_state = 5},
  [1218] = {.lex_state = 0, .external_lex_state = 5},
  [1219] = {.lex_state = 15, .external_lex_state = 5},
  [1220] = {.lex_state = 15, .external_lex_state = 5},
  [1221] = {.lex_state = 0, .external_lex_state = 5},
  [1222] = {.lex_state = 15, .external_lex_state = 5},
  [1223] = {.lex_state = 0, .external_lex_state = 5},
  [1224] = {.lex_state = 15, .external_lex_state = 5},
  [1225] = {.lex_state = 0, .external_lex_state = 5},
  [1226] = {.lex_state = 15, .external_lex_state = 5},
  [1227] = {.lex_state = 0, .external_lex_state = 5},
  [1228] = {.lex_state = 0, .external_lex_state = 5},
  [1229] = {.lex_state = 0, .external_lex_state = 5},
  [1230] = {.lex_state = 0, .external_lex_state = 5},
  [1231] = {.lex_state = 0, .external_lex_state = 5},
  [1232] = {.lex_state = 15, .external_lex_state = 5},
  [1233] = {.lex_state = 15, .external_lex_state = 5},
  [1234] = {.lex_state = 15, .external_lex_state = 5},
  [1235] = {.lex_state = 0, .external_lex_state = 5},
  [1236] = {.lex_state = 15, .external_lex_state = 5},
  [1237] = {.lex_state = 15, .external_lex_state = 5},
  [1238] = {.lex_state = 0, .external_lex_state = 5},
  [1239] = {.lex_state = 15, .external_lex_state = 5},
  [1240] = {.lex_state = 0, .external_lex_state = 5},
  [1241] = {.lex_state = 0, .external_lex_state = 5},
  [1242] = {.lex_state = 15, .external_lex_state = 5},
  [1243] = {.lex_state = 0, .external_lex_state = 5},
  [1244] = {.lex_state = 0, .external_lex_state = 5},
  [1245] = {.lex_state = 15, .external_lex_state = 5},
  [1246] = {.lex_state = 15, .external_lex_state = 5},
  [1247] = {.lex_state = 15, .external_lex_state = 5},
  [1248] = {.lex_state = 15, .external_lex_state = 5},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DOT_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT_SLASH] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_DOT_BSLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DOT_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_TILDE_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_DOT_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym_return_statement] = ACTIONS(1),
    [sym_continue_statement] = ACTIONS(1),
    [sym_break_statement] = ACTIONS(1),
    [anon_sym_elseif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_parfor] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_otherwise] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_persistent] = ACTIONS(1),
    [anon_sym_arguments] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_get_DOT] = ACTIONS(1),
    [anon_sym_set_DOT] = ACTIONS(1),
    [anon_sym_endfunction] = ACTIONS(1),
    [anon_sym_vector] = ACTIONS(1),
    [anon_sym_matrix] = ACTIONS(1),
    [anon_sym_scalar] = ACTIONS(1),
    [anon_sym_properties] = ACTIONS(1),
    [anon_sym_methods] = ACTIONS(1),
    [anon_sym_events] = ACTIONS(1),
    [anon_sym_enumeration] = ACTIONS(1),
    [anon_sym_classdef] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(1),
    [sym_command_argument] = ACTIONS(1),
    [sym__single_quote_string_start] = ACTIONS(1),
    [sym__single_quote_string_end] = ACTIONS(1),
    [sym__double_quote_string_start] = ACTIONS(1),
    [sym__double_quote_string_end] = ACTIONS(1),
    [sym_formatting_sequence] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_string_content] = ACTIONS(1),
    [sym__entry_delimiter] = ACTIONS(1),
    [sym__multioutput_variable_start] = ACTIONS(1),
    [sym_error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(1235),
    [aux_sym__block] = STATE(71),
    [sym__statement] = STATE(844),
    [sym__expression] = STATE(625),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(625),
    [sym_handle_operator] = STATE(625),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(844),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(844),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(625),
    [sym_if_statement] = STATE(844),
    [sym_for_statement] = STATE(844),
    [sym_while_statement] = STATE(844),
    [sym_switch_statement] = STATE(844),
    [sym_lambda] = STATE(625),
    [sym_global_operator] = STATE(844),
    [sym_persistent_operator] = STATE(844),
    [sym_function_definition] = STATE(902),
    [sym__function_definition_with_end] = STATE(825),
    [sym_class_definition] = STATE(844),
    [sym_try_statement] = STATE(844),
    [sym_boolean] = STATE(216),
    [aux_sym_source_file_repeat1] = STATE(902),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [2] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(815),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_elseif_clause] = STATE(818),
    [sym_else_clause] = STATE(1164),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(5),
    [aux_sym_elseif_clause_repeat1] = STATE(5),
    [aux_sym_if_statement_repeat1] = STATE(818),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(57),
    [anon_sym_COMMA] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [anon_sym_LT_EQ] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(69),
    [anon_sym_TILDE_EQ] = ACTIONS(69),
    [anon_sym_GT_EQ] = ACTIONS(69),
    [anon_sym_GT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_elseif] = ACTIONS(81),
    [anon_sym_else] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(57),
    [anon_sym_CR] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [3] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1058),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(9),
    [aux_sym_elseif_clause_repeat1] = STATE(9),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [anon_sym_LT_EQ] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(69),
    [anon_sym_TILDE_EQ] = ACTIONS(69),
    [anon_sym_GT_EQ] = ACTIONS(69),
    [anon_sym_GT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_elseif] = ACTIONS(93),
    [anon_sym_else] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(93),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(91),
    [anon_sym_CR] = ACTIONS(91),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [4] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1159),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(13),
    [aux_sym_elseif_clause_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [anon_sym_LT_EQ] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(69),
    [anon_sym_TILDE_EQ] = ACTIONS(69),
    [anon_sym_GT_EQ] = ACTIONS(69),
    [anon_sym_GT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(95),
    [anon_sym_CR] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [5] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(770),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_elseif_clause] = STATE(769),
    [sym_else_clause] = STATE(1216),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [aux_sym_if_statement_repeat1] = STATE(769),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_elseif] = ACTIONS(81),
    [anon_sym_else] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [6] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1026),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_catch_clause] = STATE(1207),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(8),
    [aux_sym_elseif_clause_repeat1] = STATE(8),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_catch] = ACTIONS(107),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(103),
    [anon_sym_CR] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [7] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1020),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(109),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_case] = ACTIONS(109),
    [anon_sym_otherwise] = ACTIONS(109),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [8] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1062),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_catch_clause] = STATE(1154),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(111),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_catch] = ACTIONS(107),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [9] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1023),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_elseif] = ACTIONS(113),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [10] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1194),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [11] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1242),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(18),
    [aux_sym_elseif_clause_repeat1] = STATE(18),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(117),
    [anon_sym_CR] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [12] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1217),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [13] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1220),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [14] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1222),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(16),
    [aux_sym_elseif_clause_repeat1] = STATE(16),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_COMMA] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(125),
    [anon_sym_CR] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [15] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1214),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(10),
    [aux_sym_elseif_clause_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(129),
    [anon_sym_CR] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [16] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1158),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(133),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [17] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1162),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(12),
    [aux_sym_elseif_clause_repeat1] = STATE(12),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(135),
    [anon_sym_CR] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [18] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1232),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [19] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1237),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [20] = {
    [aux_sym__block] = STATE(55),
    [sym_block] = STATE(1208),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym__end_of_line] = STATE(160),
    [aux_sym_elseif_clause_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(75),
    [anon_sym_LBRACE] = ACTIONS(77),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [anon_sym_LF] = ACTIONS(99),
    [anon_sym_CR] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [21] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(984),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(22),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(22),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_endfunction] = ACTIONS(149),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [22] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(1002),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_endfunction] = ACTIONS(157),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [23] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(24),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(24),
    [ts_builtin_sym_end] = ACTIONS(161),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(163),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_endfunction] = ACTIONS(163),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [24] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(939),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(171),
    [anon_sym_endfunction] = ACTIONS(169),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [25] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(899),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(41),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(41),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(175),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_endfunction] = ACTIONS(175),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [26] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(959),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_endfunction] = ACTIONS(179),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [27] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(957),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(40),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(40),
    [ts_builtin_sym_end] = ACTIONS(181),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(183),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(185),
    [anon_sym_endfunction] = ACTIONS(183),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [28] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(984),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_endfunction] = ACTIONS(149),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [29] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(954),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(28),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(28),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_endfunction] = ACTIONS(187),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [30] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(1007),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(39),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(161),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_endfunction] = ACTIONS(189),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [31] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(1007),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(161),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_endfunction] = ACTIONS(189),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [32] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(161),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(163),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_endfunction] = ACTIONS(163),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [33] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(999),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(35),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(35),
    [ts_builtin_sym_end] = ACTIONS(181),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(191),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(185),
    [anon_sym_endfunction] = ACTIONS(191),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [34] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(916),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(193),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(195),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_endfunction] = ACTIONS(195),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [35] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(981),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_endfunction] = ACTIONS(201),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [36] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(981),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(37),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(37),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_endfunction] = ACTIONS(201),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [37] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(949),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(193),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_endfunction] = ACTIONS(205),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [38] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(31),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(31),
    [ts_builtin_sym_end] = ACTIONS(207),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(209),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(211),
    [anon_sym_endfunction] = ACTIONS(209),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [39] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(171),
    [anon_sym_endfunction] = ACTIONS(213),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [40] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(935),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(215),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_endfunction] = ACTIONS(215),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [41] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(993),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_endfunction] = ACTIONS(217),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [42] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(935),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(34),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(34),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(215),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_endfunction] = ACTIONS(215),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [43] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(993),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(26),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(26),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_endfunction] = ACTIONS(217),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [44] = {
    [aux_sym__block] = STATE(72),
    [sym_block] = STATE(995),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(32),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(32),
    [ts_builtin_sym_end] = ACTIONS(207),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(211),
    [anon_sym_endfunction] = ACTIONS(219),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [45] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1098),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(52),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(52),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(221),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(221),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [46] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1109),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(223),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(223),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [47] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1105),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(225),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [48] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1104),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(227),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [49] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1084),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(229),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [50] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1104),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(46),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(227),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [51] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1084),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(60),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(229),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [52] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1101),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(231),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [53] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1101),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(47),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(47),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(231),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [54] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1095),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(58),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(233),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(233),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [55] = {
    [aux_sym__block] = STATE(65),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(79),
    [sym_continue_statement] = ACTIONS(79),
    [sym_break_statement] = ACTIONS(79),
    [anon_sym_elseif] = ACTIONS(235),
    [anon_sym_else] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_case] = ACTIONS(235),
    [anon_sym_otherwise] = ACTIONS(235),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_catch] = ACTIONS(235),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [56] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1111),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(237),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(237),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [57] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1150),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(62),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(239),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [58] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1150),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(239),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [59] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1107),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(63),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(241),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(241),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [60] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1082),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(243),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [61] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1085),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(66),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(245),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(245),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [62] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1118),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(247),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [63] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1110),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(249),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(249),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [64] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1110),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(56),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(249),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(249),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [65] = {
    [aux_sym__block] = STATE(65),
    [sym__statement] = STATE(847),
    [sym__expression] = STATE(626),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(626),
    [sym_handle_operator] = STATE(626),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(847),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(847),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(626),
    [sym_if_statement] = STATE(847),
    [sym_for_statement] = STATE(847),
    [sym_while_statement] = STATE(847),
    [sym_switch_statement] = STATE(847),
    [sym_lambda] = STATE(626),
    [sym_global_operator] = STATE(847),
    [sym_persistent_operator] = STATE(847),
    [sym__function_definition_with_end] = STATE(861),
    [sym_class_definition] = STATE(847),
    [sym_try_statement] = STATE(847),
    [sym_boolean] = STATE(216),
    [sym_identifier] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_QMARK] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(272),
    [sym_return_statement] = ACTIONS(275),
    [sym_continue_statement] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(275),
    [anon_sym_elseif] = ACTIONS(278),
    [anon_sym_else] = ACTIONS(278),
    [anon_sym_if] = ACTIONS(280),
    [anon_sym_end] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(283),
    [anon_sym_parfor] = ACTIONS(286),
    [anon_sym_while] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(278),
    [anon_sym_otherwise] = ACTIONS(278),
    [anon_sym_switch] = ACTIONS(292),
    [anon_sym_global] = ACTIONS(295),
    [anon_sym_persistent] = ACTIONS(298),
    [anon_sym_function] = ACTIONS(301),
    [anon_sym_classdef] = ACTIONS(304),
    [anon_sym_catch] = ACTIONS(278),
    [anon_sym_try] = ACTIONS(307),
    [sym_number] = ACTIONS(310),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(316),
    [sym__single_quote_string_start] = ACTIONS(319),
    [sym__double_quote_string_start] = ACTIONS(322),
    [sym__multioutput_variable_start] = ACTIONS(325),
  },
  [66] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1123),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(328),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(328),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [67] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1099),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(48),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(48),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(330),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(330),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [68] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1138),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(49),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(49),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(332),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(332),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [69] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1123),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(70),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(70),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(328),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(328),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [70] = {
    [aux_sym__block] = STATE(74),
    [sym_block] = STATE(1149),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym_arguments_statement] = STATE(343),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [aux_sym_function_definition_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(334),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_arguments] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(334),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [71] = {
    [aux_sym__block] = STATE(75),
    [sym__statement] = STATE(844),
    [sym__expression] = STATE(625),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(625),
    [sym_handle_operator] = STATE(625),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(844),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(844),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(625),
    [sym_if_statement] = STATE(844),
    [sym_for_statement] = STATE(844),
    [sym_while_statement] = STATE(844),
    [sym_switch_statement] = STATE(844),
    [sym_lambda] = STATE(625),
    [sym_global_operator] = STATE(844),
    [sym_persistent_operator] = STATE(844),
    [sym_function_definition] = STATE(907),
    [sym__function_definition_with_end] = STATE(825),
    [sym_class_definition] = STATE(844),
    [sym_try_statement] = STATE(844),
    [sym_boolean] = STATE(216),
    [aux_sym_source_file_repeat1] = STATE(907),
    [ts_builtin_sym_end] = ACTIONS(336),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [72] = {
    [aux_sym__block] = STATE(73),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [ts_builtin_sym_end] = ACTIONS(338),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_endfunction] = ACTIONS(235),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [73] = {
    [aux_sym__block] = STATE(73),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_QMARK] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(272),
    [sym_return_statement] = ACTIONS(345),
    [sym_continue_statement] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(280),
    [anon_sym_end] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(283),
    [anon_sym_parfor] = ACTIONS(286),
    [anon_sym_while] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(292),
    [anon_sym_global] = ACTIONS(295),
    [anon_sym_persistent] = ACTIONS(298),
    [anon_sym_function] = ACTIONS(301),
    [anon_sym_endfunction] = ACTIONS(278),
    [anon_sym_classdef] = ACTIONS(304),
    [anon_sym_try] = ACTIONS(307),
    [sym_number] = ACTIONS(310),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(316),
    [sym__single_quote_string_start] = ACTIONS(319),
    [sym__double_quote_string_start] = ACTIONS(322),
    [sym__multioutput_variable_start] = ACTIONS(325),
  },
  [74] = {
    [aux_sym__block] = STATE(73),
    [sym__statement] = STATE(826),
    [sym__expression] = STATE(619),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(619),
    [sym_handle_operator] = STATE(619),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(826),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(826),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(619),
    [sym_if_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_lambda] = STATE(619),
    [sym_global_operator] = STATE(826),
    [sym_persistent_operator] = STATE(826),
    [sym__function_definition_with_end] = STATE(876),
    [sym_class_definition] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_boolean] = STATE(216),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(21),
    [sym_return_statement] = ACTIONS(147),
    [sym_continue_statement] = ACTIONS(147),
    [sym_break_statement] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(27),
    [anon_sym_parfor] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_global] = ACTIONS(35),
    [anon_sym_persistent] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(87),
    [anon_sym_endfunction] = ACTIONS(235),
    [anon_sym_classdef] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [anon_sym_true] = ACTIONS(47),
    [anon_sym_false] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(49),
    [sym__single_quote_string_start] = ACTIONS(51),
    [sym__double_quote_string_start] = ACTIONS(53),
    [sym__multioutput_variable_start] = ACTIONS(55),
  },
  [75] = {
    [aux_sym__block] = STATE(75),
    [sym__statement] = STATE(844),
    [sym__expression] = STATE(625),
    [sym_parenthesis] = STATE(397),
    [sym__binary_expression] = STATE(614),
    [sym_binary_operator] = STATE(416),
    [sym_unary_operator] = STATE(417),
    [sym_indirect_access] = STATE(900),
    [sym_field_expression] = STATE(471),
    [sym_not_operator] = STATE(470),
    [sym_metaclass_operator] = STATE(625),
    [sym_handle_operator] = STATE(625),
    [sym_comparison_operator] = STATE(418),
    [sym_boolean_operator] = STATE(418),
    [sym_postfix_operator] = STATE(397),
    [sym_string] = STATE(397),
    [sym_matrix] = STATE(397),
    [sym_cell] = STATE(419),
    [sym_ignored_argument] = STATE(1230),
    [sym_assignment] = STATE(844),
    [sym_multioutput_variable] = STATE(1230),
    [sym_function_call] = STATE(206),
    [sym_command] = STATE(844),
    [sym__range_element] = STATE(1228),
    [sym_range] = STATE(625),
    [sym_if_statement] = STATE(844),
    [sym_for_statement] = STATE(844),
    [sym_while_statement] = STATE(844),
    [sym_switch_statement] = STATE(844),
    [sym_lambda] = STATE(625),
    [sym_global_operator] = STATE(844),
    [sym_persistent_operator] = STATE(844),
    [sym__function_definition_with_end] = STATE(825),
    [sym_class_definition] = STATE(844),
    [sym_try_statement] = STATE(844),
    [sym_boolean] = STATE(216),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_QMARK] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(272),
    [sym_return_statement] = ACTIONS(348),
    [sym_continue_statement] = ACTIONS(348),
    [sym_break_statement] = ACTIONS(348),
    [anon_sym_if] = ACTIONS(280),
    [anon_sym_for] = ACTIONS(283),
    [anon_sym_parfor] = ACTIONS(286),
    [anon_sym_while] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(292),
    [anon_sym_global] = ACTIONS(295),
    [anon_sym_persistent] = ACTIONS(298),
    [anon_sym_function] = ACTIONS(301),
    [anon_sym_classdef] = ACTIONS(304),
    [anon_sym_try] = ACTIONS(307),
    [sym_number] = ACTIONS(310),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_command_name] = ACTIONS(316),
    [sym__single_quote_string_start] = ACTIONS(319),
    [sym__double_quote_string_start] = ACTIONS(322),
    [sym__multioutput_variable_start] = ACTIONS(325),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(357), 1,
      anon_sym_DOT,
    ACTIONS(359), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(365), 1,
      anon_sym_COLON,
    STATE(81), 1,
      aux_sym_field_expression_repeat1,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [89] = 12,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(357), 1,
      anon_sym_DOT,
    ACTIONS(359), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    STATE(81), 1,
      aux_sym_field_expression_repeat1,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(372), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(370), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [178] = 10,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(357), 1,
      anon_sym_DOT,
    ACTIONS(359), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    STATE(81), 1,
      aux_sym_field_expression_repeat1,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(376), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(374), 50,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [263] = 10,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(357), 1,
      anon_sym_DOT,
    ACTIONS(359), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    STATE(81), 1,
      aux_sym_field_expression_repeat1,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 50,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [348] = 12,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(357), 1,
      anon_sym_DOT,
    ACTIONS(359), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(370), 1,
      anon_sym_COLON,
    STATE(81), 1,
      aux_sym_field_expression_repeat1,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [437] = 5,
    ACTIONS(357), 1,
      anon_sym_DOT,
    STATE(88), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(382), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(380), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [511] = 5,
    ACTIONS(386), 1,
      anon_sym_DOT,
    STATE(86), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(388), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(384), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [585] = 5,
    ACTIONS(386), 1,
      anon_sym_DOT,
    STATE(85), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(392), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(390), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [659] = 7,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(359), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(396), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(394), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [737] = 5,
    ACTIONS(386), 1,
      anon_sym_DOT,
    STATE(87), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(400), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(398), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [811] = 5,
    ACTIONS(386), 1,
      anon_sym_DOT,
    STATE(87), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(404), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(402), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [885] = 5,
    ACTIONS(408), 1,
      anon_sym_DOT,
    STATE(87), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(406), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [959] = 5,
    ACTIONS(415), 1,
      anon_sym_DOT,
    STATE(88), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(418), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(413), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(406), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(422), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(420), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1171] = 10,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(424), 1,
      anon_sym_AT,
    STATE(98), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(372), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(370), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1254] = 8,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(424), 1,
      anon_sym_AT,
    STATE(98), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 50,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1333] = 8,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(424), 1,
      anon_sym_AT,
    STATE(98), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(376), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(374), 50,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(428), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(426), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(432), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(430), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(436), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(434), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(440), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(438), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(444), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(442), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(448), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(446), 56,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1826] = 10,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(424), 1,
      anon_sym_AT,
    STATE(98), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1909] = 10,
    ACTIONS(353), 1,
      anon_sym_LPAREN,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(424), 1,
      anon_sym_AT,
    STATE(98), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [1992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(452), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(450), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2060] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2130] = 6,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2204] = 5,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2276] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(376), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(374), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(456), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(454), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2414] = 5,
    ACTIONS(463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(465), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(460), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(458), 46,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2486] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(469), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 49,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(475), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(473), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2624] = 5,
    ACTIONS(477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(469), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 48,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(481), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(479), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2764] = 4,
    ACTIONS(485), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(487), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(483), 54,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2834] = 6,
    ACTIONS(477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(493), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(469), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(489), 47,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2908] = 6,
    ACTIONS(477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(497), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(469), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(495), 47,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [2982] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(372), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(370), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3054] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(504), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(501), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(499), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3128] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(512), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(508), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(514), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(510), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 43,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3202] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3272] = 7,
    ACTIONS(516), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(512), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(508), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(514), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(510), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 42,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3348] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(512), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(514), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(506), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3418] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(512), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(514), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(506), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3488] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(512), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(514), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(510), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 47,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(520), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(518), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(524), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(522), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3696] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3766] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(528), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(526), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3906] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(372), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(370), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [3980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(532), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(530), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4048] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4118] = 6,
    ACTIONS(499), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(536), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(534), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4260] = 6,
    ACTIONS(538), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4334] = 6,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4408] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(376), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(374), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(543), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(541), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(374), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(547), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(545), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4682] = 6,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4756] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(551), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(538), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(549), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4830] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4900] = 6,
    ACTIONS(501), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [4974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(553), 55,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5042] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(361), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(376), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(374), 53,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5112] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(559), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(469), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(557), 49,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5182] = 5,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5252] = 6,
    ACTIONS(71), 1,
      anon_sym_AMP_AMP,
    ACTIONS(73), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(497), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(69), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(495), 44,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5323] = 6,
    ACTIONS(71), 1,
      anon_sym_AMP_AMP,
    ACTIONS(73), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(493), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(69), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(489), 44,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5394] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(69), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 46,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5461] = 5,
    ACTIONS(71), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(69), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 45,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5530] = 5,
    ACTIONS(561), 1,
      anon_sym_DOT,
    STATE(154), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(388), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(384), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5589] = 5,
    ACTIONS(561), 1,
      anon_sym_DOT,
    STATE(156), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(392), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(390), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5648] = 5,
    ACTIONS(561), 1,
      anon_sym_DOT,
    STATE(155), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(404), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(402), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5707] = 5,
    ACTIONS(563), 1,
      anon_sym_DOT,
    STATE(155), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(406), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5766] = 5,
    ACTIONS(561), 1,
      anon_sym_DOT,
    STATE(155), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(400), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(398), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(406), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [5879] = 30,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_LPAREN,
    ACTIONS(576), 1,
      anon_sym_TILDE,
    ACTIONS(578), 1,
      anon_sym_QMARK,
    ACTIONS(580), 1,
      anon_sym_AT,
    ACTIONS(582), 1,
      anon_sym_LBRACK,
    ACTIONS(584), 1,
      aux_sym_matrix_token1,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(588), 1,
      sym_number,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(943), 1,
      sym_row,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    ACTIONS(568), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [5984] = 6,
    ACTIONS(71), 1,
      anon_sym_AMP_AMP,
    ACTIONS(73), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(598), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(69), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [6041] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(160), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    ACTIONS(602), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(605), 4,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
    ACTIONS(600), 31,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_catch,
      anon_sym_try,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [6095] = 28,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_LPAREN,
    ACTIONS(576), 1,
      anon_sym_TILDE,
    ACTIONS(578), 1,
      anon_sym_QMARK,
    ACTIONS(580), 1,
      anon_sym_AT,
    ACTIONS(582), 1,
      anon_sym_LBRACK,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(588), 1,
      sym_number,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(609), 1,
      aux_sym_matrix_token1,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(895), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    ACTIONS(607), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(627), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6194] = 28,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_LPAREN,
    ACTIONS(576), 1,
      anon_sym_TILDE,
    ACTIONS(578), 1,
      anon_sym_QMARK,
    ACTIONS(580), 1,
      anon_sym_AT,
    ACTIONS(582), 1,
      anon_sym_LBRACK,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(588), 1,
      sym_number,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(613), 1,
      aux_sym_matrix_token1,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(895), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    ACTIONS(611), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(627), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6293] = 27,
    ACTIONS(572), 1,
      anon_sym_LPAREN,
    ACTIONS(582), 1,
      anon_sym_LBRACK,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(619), 1,
      anon_sym_TILDE,
    ACTIONS(621), 1,
      anon_sym_QMARK,
    ACTIONS(623), 1,
      anon_sym_AT,
    ACTIONS(627), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(625), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    ACTIONS(617), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(492), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6390] = 28,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_LPAREN,
    ACTIONS(576), 1,
      anon_sym_TILDE,
    ACTIONS(578), 1,
      anon_sym_QMARK,
    ACTIONS(580), 1,
      anon_sym_AT,
    ACTIONS(582), 1,
      anon_sym_LBRACK,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(588), 1,
      sym_number,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(631), 1,
      aux_sym_matrix_token1,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(895), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    ACTIONS(629), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(627), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6489] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_RBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    STATE(1240), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6589] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(661), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1170), 1,
      sym_arguments,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6689] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(679), 1,
      anon_sym_RBRACE,
    ACTIONS(681), 1,
      sym_number,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(934), 1,
      sym_row,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6789] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(683), 1,
      anon_sym_RBRACE,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(918), 1,
      sym_row,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6889] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(685), 1,
      anon_sym_RPAREN,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    STATE(1204), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [6989] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(661), 1,
      anon_sym_RPAREN,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1168), 1,
      sym_arguments,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7089] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    STATE(1205), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7189] = 5,
    STATE(186), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(691), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(687), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(689), 22,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_catch,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [7241] = 29,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_RPAREN,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(693), 1,
      sym_identifier,
    STATE(378), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(521), 1,
      sym_cell,
    STATE(556), 1,
      sym_unary_operator,
    STATE(559), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    STATE(1241), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(558), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7341] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(695), 1,
      anon_sym_RBRACK,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(919), 1,
      sym_row,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7441] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(697), 1,
      anon_sym_RBRACK,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(969), 1,
      sym_row,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7541] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(699), 1,
      anon_sym_RPAREN,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1190), 1,
      sym_arguments,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7641] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(701), 1,
      anon_sym_RBRACE,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(967), 1,
      sym_row,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7741] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(703), 1,
      anon_sym_RBRACK,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(936), 1,
      sym_row,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7841] = 5,
    STATE(187), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(705), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(343), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(278), 22,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_catch,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [7893] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(707), 1,
      anon_sym_RPAREN,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1184), 1,
      sym_arguments,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [7993] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(709), 1,
      anon_sym_RBRACK,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(904), 1,
      sym_row,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [8093] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_RPAREN,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    STATE(1241), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [8193] = 29,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(663), 1,
      anon_sym_COMMA,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(711), 1,
      anon_sym_RBRACE,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(790), 1,
      sym_ignored_argument,
    STATE(905), 1,
      sym_row,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(613), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [8293] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1187), 1,
      sym_arguments,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [8393] = 5,
    STATE(172), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(713), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(715), 22,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_catch,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [8445] = 5,
    STATE(186), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(723), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(719), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(721), 22,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_catch,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [8497] = 5,
    STATE(186), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(691), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(726), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(728), 22,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_classdef,
      anon_sym_catch,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [8549] = 29,
    ACTIONS(633), 1,
      sym_identifier,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(707), 1,
      anon_sym_RBRACE,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(937), 1,
      sym_spread_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1186), 1,
      sym_arguments,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(637), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [8649] = 11,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      anon_sym_DOT,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    STATE(338), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [8712] = 9,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      anon_sym_DOT,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    STATE(338), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [8771] = 6,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(394), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [8824] = 11,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      anon_sym_DOT,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    STATE(338), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [8887] = 9,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      anon_sym_DOT,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    STATE(338), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [8946] = 11,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      anon_sym_DOT,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    STATE(338), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9009] = 27,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(740), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1027), 1,
      sym_spread_operator,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(653), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [9103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(438), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9147] = 27,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(742), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1027), 1,
      sym_spread_operator,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(653), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [9241] = 27,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(744), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1027), 1,
      sym_spread_operator,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(653), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [9335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(420), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9379] = 27,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1027), 1,
      sym_spread_operator,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(653), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [9473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(426), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(446), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9561] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(442), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(434), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(430), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9693] = 12,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      anon_sym_DOT,
    ACTIONS(734), 1,
      anon_sym_AT,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    ACTIONS(748), 1,
      anon_sym_EQ,
    STATE(196), 1,
      sym__args,
    STATE(338), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [9756] = 7,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    ACTIONS(750), 1,
      anon_sym_AT,
    STATE(203), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9809] = 12,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      anon_sym_DOT,
    ACTIONS(756), 1,
      anon_sym_AT,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym__args,
    STATE(411), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [9872] = 7,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    ACTIONS(750), 1,
      anon_sym_AT,
    STATE(203), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [9925] = 10,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      anon_sym_DOT,
    ACTIONS(756), 1,
      anon_sym_AT,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym__args,
    STATE(411), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(378), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [9984] = 26,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(895), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(627), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10075] = 26,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(625), 1,
      anon_sym_EQ,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(403), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10166] = 26,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      anon_sym_TILDE,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(812), 1,
      sym_ignored_argument,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(610), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10257] = 9,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    ACTIONS(750), 1,
      anon_sym_AT,
    STATE(203), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [10314] = 12,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      anon_sym_DOT,
    ACTIONS(756), 1,
      anon_sym_AT,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym__args,
    STATE(411), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(372), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(370), 4,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [10377] = 9,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    ACTIONS(750), 1,
      anon_sym_AT,
    STATE(203), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [10434] = 9,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(730), 1,
      anon_sym_LPAREN,
    ACTIONS(738), 1,
      anon_sym_LBRACE,
    ACTIONS(750), 1,
      anon_sym_AT,
    STATE(203), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [10491] = 27,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(772), 1,
      sym_identifier,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(776), 1,
      sym_number,
    STATE(371), 1,
      sym_function_call,
    STATE(448), 1,
      sym_boolean,
    STATE(512), 1,
      sym_parenthesis,
    STATE(515), 1,
      sym_binary_operator,
    STATE(562), 1,
      sym_unary_operator,
    STATE(567), 1,
      sym_cell,
    STATE(588), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1078), 1,
      sym__enum_value,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(563), 4,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10584] = 12,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      anon_sym_DOT,
    ACTIONS(756), 1,
      anon_sym_AT,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym__args,
    STATE(411), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [10647] = 10,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      anon_sym_DOT,
    ACTIONS(756), 1,
      anon_sym_AT,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym__args,
    STATE(411), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [10706] = 27,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(772), 1,
      sym_identifier,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(776), 1,
      sym_number,
    STATE(371), 1,
      sym_function_call,
    STATE(448), 1,
      sym_boolean,
    STATE(512), 1,
      sym_parenthesis,
    STATE(515), 1,
      sym_binary_operator,
    STATE(562), 1,
      sym_unary_operator,
    STATE(567), 1,
      sym_cell,
    STATE(588), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1143), 1,
      sym__enum_value,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(563), 4,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10799] = 23,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(780), 1,
      sym_number,
    STATE(348), 1,
      sym_function_call,
    STATE(429), 1,
      sym_boolean,
    STATE(534), 1,
      sym_unary_operator,
    STATE(539), 1,
      sym_cell,
    STATE(547), 1,
      sym_binary_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(554), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(531), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(690), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10883] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(560), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [10971] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(784), 1,
      sym_identifier,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(584), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11059] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(788), 1,
      anon_sym_AT,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(561), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11147] = 5,
    STATE(252), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(790), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(713), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(715), 18,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [11195] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      sym_number,
    STATE(368), 1,
      sym_function_call,
    STATE(408), 1,
      sym_boolean,
    STATE(514), 1,
      sym__range_element,
    STATE(521), 1,
      sym_cell,
    STATE(538), 1,
      sym_unary_operator,
    STATE(540), 1,
      sym_not_operator,
    STATE(553), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(536), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11283] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(804), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_AT,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(3), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [11371] = 23,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(780), 1,
      sym_number,
    STATE(348), 1,
      sym_function_call,
    STATE(429), 1,
      sym_boolean,
    STATE(534), 1,
      sym_unary_operator,
    STATE(539), 1,
      sym_cell,
    STATE(547), 1,
      sym_binary_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(522), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(531), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(690), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11455] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_QMARK,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(820), 1,
      sym_identifier,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(505), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11543] = 23,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(780), 1,
      sym_number,
    STATE(348), 1,
      sym_function_call,
    STATE(429), 1,
      sym_boolean,
    STATE(534), 1,
      sym_unary_operator,
    STATE(539), 1,
      sym_cell,
    STATE(547), 1,
      sym_binary_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(520), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(531), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(690), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11627] = 23,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(780), 1,
      sym_number,
    STATE(348), 1,
      sym_function_call,
    STATE(429), 1,
      sym_boolean,
    STATE(534), 1,
      sym_unary_operator,
    STATE(539), 1,
      sym_cell,
    STATE(547), 1,
      sym_binary_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(552), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(531), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(690), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11711] = 23,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(780), 1,
      sym_number,
    STATE(348), 1,
      sym_function_call,
    STATE(429), 1,
      sym_boolean,
    STATE(534), 1,
      sym_unary_operator,
    STATE(539), 1,
      sym_cell,
    STATE(547), 1,
      sym_binary_operator,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(550), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(531), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(690), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11795] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(784), 1,
      sym_identifier,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(824), 1,
      anon_sym_AT,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(586), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11883] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(784), 1,
      sym_identifier,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(824), 1,
      anon_sym_AT,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(583), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [11971] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(826), 1,
      sym_identifier,
    ACTIONS(828), 1,
      sym_number,
    STATE(220), 1,
      sym_function_call,
    STATE(352), 1,
      sym_boolean,
    STATE(481), 1,
      sym_cell,
    STATE(496), 1,
      sym_not_operator,
    STATE(497), 1,
      sym_unary_operator,
    STATE(582), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(502), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12059] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_QMARK,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(820), 1,
      sym_identifier,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(506), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12147] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(784), 1,
      sym_identifier,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(824), 1,
      anon_sym_AT,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(549), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12235] = 5,
    STATE(301), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(830), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(343), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(278), 18,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [12283] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(832), 1,
      sym_identifier,
    ACTIONS(834), 1,
      anon_sym_AT,
    ACTIONS(836), 1,
      sym_number,
    STATE(346), 1,
      sym_function_call,
    STATE(393), 1,
      sym_boolean,
    STATE(511), 1,
      sym_not_operator,
    STATE(521), 1,
      sym_cell,
    STATE(537), 1,
      sym_unary_operator,
    STATE(551), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(513), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(528), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12371] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(848), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [12437] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(403), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12525] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(852), 1,
      anon_sym_AT,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(124), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [12613] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(854), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(436), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(556), 1,
      sym_unary_operator,
    STATE(559), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(558), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(675), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12701] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(852), 1,
      anon_sym_AT,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(150), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12789] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(856), 1,
      sym_identifier,
    ACTIONS(858), 1,
      sym_number,
    STATE(193), 1,
      sym_function_call,
    STATE(209), 1,
      sym_boolean,
    STATE(407), 1,
      sym_cell,
    STATE(409), 1,
      sym_not_operator,
    STATE(410), 1,
      sym_unary_operator,
    STATE(585), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(412), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12877] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      sym_identifier,
    ACTIONS(862), 1,
      sym_number,
    STATE(215), 1,
      sym_function_call,
    STATE(367), 1,
      sym_boolean,
    STATE(461), 1,
      sym__range_element,
    STATE(464), 1,
      sym_binary_operator,
    STATE(491), 1,
      sym_not_operator,
    STATE(495), 1,
      sym_unary_operator,
    STATE(590), 1,
      sym_cell,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(452), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [12965] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(852), 1,
      anon_sym_AT,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(151), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13053] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(804), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_AT,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(149), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13141] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(864), 1,
      sym_identifier,
    STATE(401), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(521), 1,
      sym_cell,
    STATE(564), 1,
      sym_unary_operator,
    STATE(572), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(570), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13229] = 25,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      sym_number,
    STATE(77), 1,
      sym_function_call,
    STATE(91), 1,
      sym_boolean,
    STATE(108), 1,
      sym__range_element,
    STATE(116), 1,
      sym_not_operator,
    STATE(117), 1,
      sym_unary_operator,
    STATE(141), 1,
      sym_binary_operator,
    STATE(589), 1,
      sym_cell,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(129), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13317] = 5,
    STATE(259), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(870), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(687), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(689), 18,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [13365] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(784), 1,
      sym_identifier,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(581), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13453] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(804), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_AT,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(148), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13541] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(788), 1,
      anon_sym_AT,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(560), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13629] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(581), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13717] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(584), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13805] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(804), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_AT,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(159), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [13893] = 5,
    STATE(259), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(872), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(719), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(721), 18,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [13941] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(384), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14029] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(854), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(436), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(556), 1,
      sym_unary_operator,
    STATE(559), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(558), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(676), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14117] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_QMARK,
    ACTIONS(673), 1,
      anon_sym_AT,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(561), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14205] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      sym_number,
    STATE(368), 1,
      sym_function_call,
    STATE(408), 1,
      sym_boolean,
    STATE(521), 1,
      sym_cell,
    STATE(538), 1,
      sym_unary_operator,
    STATE(540), 1,
      sym_not_operator,
    STATE(544), 1,
      sym__range_element,
    STATE(553), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(536), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14293] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(832), 1,
      sym_identifier,
    ACTIONS(834), 1,
      anon_sym_AT,
    ACTIONS(836), 1,
      sym_number,
    STATE(346), 1,
      sym_function_call,
    STATE(393), 1,
      sym_boolean,
    STATE(511), 1,
      sym_not_operator,
    STATE(521), 1,
      sym_cell,
    STATE(537), 1,
      sym_unary_operator,
    STATE(551), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(513), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(549), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14381] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(832), 1,
      sym_identifier,
    ACTIONS(834), 1,
      anon_sym_AT,
    ACTIONS(836), 1,
      sym_number,
    STATE(346), 1,
      sym_function_call,
    STATE(393), 1,
      sym_boolean,
    STATE(511), 1,
      sym_not_operator,
    STATE(521), 1,
      sym_cell,
    STATE(537), 1,
      sym_unary_operator,
    STATE(551), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(513), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(532), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14469] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(832), 1,
      sym_identifier,
    ACTIONS(834), 1,
      anon_sym_AT,
    ACTIONS(836), 1,
      sym_number,
    STATE(346), 1,
      sym_function_call,
    STATE(393), 1,
      sym_boolean,
    STATE(511), 1,
      sym_not_operator,
    STATE(521), 1,
      sym_cell,
    STATE(537), 1,
      sym_unary_operator,
    STATE(551), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(513), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(533), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14557] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(832), 1,
      sym_identifier,
    ACTIONS(834), 1,
      anon_sym_AT,
    ACTIONS(836), 1,
      sym_number,
    STATE(346), 1,
      sym_function_call,
    STATE(393), 1,
      sym_boolean,
    STATE(511), 1,
      sym_not_operator,
    STATE(521), 1,
      sym_cell,
    STATE(537), 1,
      sym_unary_operator,
    STATE(551), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(513), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(542), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14645] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(668), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14733] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(832), 1,
      sym_identifier,
    ACTIONS(834), 1,
      anon_sym_AT,
    ACTIONS(836), 1,
      sym_number,
    STATE(346), 1,
      sym_function_call,
    STATE(393), 1,
      sym_boolean,
    STATE(511), 1,
      sym_not_operator,
    STATE(521), 1,
      sym_cell,
    STATE(537), 1,
      sym_unary_operator,
    STATE(551), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(513), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(548), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14821] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(875), 1,
      sym_identifier,
    STATE(414), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(521), 1,
      sym_cell,
    STATE(569), 1,
      sym_unary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(579), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(566), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14909] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(852), 1,
      anon_sym_AT,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(149), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [14997] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(670), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [15085] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(405), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [15173] = 4,
    ACTIONS(877), 1,
      anon_sym_DOT,
    STATE(274), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(413), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [15219] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(635), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [15307] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(804), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_AT,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(2), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [15395] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(880), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [15461] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(784), 1,
      sym_identifier,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(824), 1,
      anon_sym_AT,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(581), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [15549] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(804), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_AT,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(4), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [15637] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_QMARK,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(820), 1,
      sym_identifier,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(594), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [15725] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(882), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [15791] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(884), 1,
      anon_sym_AT,
    ACTIONS(886), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(463), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [15879] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(884), 1,
      anon_sym_AT,
    ACTIONS(886), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(455), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [15967] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(884), 1,
      anon_sym_AT,
    ACTIONS(886), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(456), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [16055] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(884), 1,
      anon_sym_AT,
    ACTIONS(886), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(476), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16143] = 7,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_AT,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(396), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(394), 29,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [16195] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      sym_identifier,
    ACTIONS(890), 1,
      sym_number,
    STATE(192), 1,
      sym_function_call,
    STATE(214), 1,
      sym_boolean,
    STATE(382), 1,
      sym__range_element,
    STATE(404), 1,
      sym_binary_operator,
    STATE(441), 1,
      sym_not_operator,
    STATE(442), 1,
      sym_unary_operator,
    STATE(591), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(447), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16283] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(784), 1,
      sym_identifier,
    ACTIONS(822), 1,
      anon_sym_QMARK,
    ACTIONS(824), 1,
      anon_sym_AT,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(584), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16371] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(639), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16459] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(892), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(434), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(573), 1,
      sym_binary_operator,
    STATE(575), 1,
      sym_unary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(577), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16547] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(884), 1,
      anon_sym_AT,
    ACTIONS(886), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(492), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16635] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(820), 1,
      sym_identifier,
    ACTIONS(894), 1,
      anon_sym_AT,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(506), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16723] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(784), 1,
      sym_identifier,
    STATE(360), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(677), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16811] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(638), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16899] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(643), 1,
      anon_sym_AT,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(746), 1,
      sym_identifier,
    STATE(355), 1,
      sym_function_call,
    STATE(424), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(518), 1,
      sym_unary_operator,
    STATE(521), 1,
      sym_cell,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(512), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(640), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [16987] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(820), 1,
      sym_identifier,
    ACTIONS(894), 1,
      anon_sym_AT,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(505), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17075] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(896), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [17141] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(615), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(884), 1,
      anon_sym_AT,
    ACTIONS(886), 1,
      sym_number,
    STATE(219), 1,
      sym_function_call,
    STATE(358), 1,
      sym_boolean,
    STATE(458), 1,
      sym_binary_operator,
    STATE(482), 1,
      sym_not_operator,
    STATE(490), 1,
      sym_cell,
    STATE(499), 1,
      sym_unary_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(472), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(504), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17229] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(898), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(428), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(565), 1,
      sym_unary_operator,
    STATE(571), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(568), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17317] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(854), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(436), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(556), 1,
      sym_unary_operator,
    STATE(559), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(558), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(681), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17405] = 5,
    STATE(259), 1,
      aux_sym__block_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(870), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(726), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(728), 18,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [17453] = 25,
    ACTIONS(796), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      sym_number,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(852), 1,
      anon_sym_AT,
    STATE(80), 1,
      sym_function_call,
    STATE(101), 1,
      sym_boolean,
    STATE(127), 1,
      sym_cell,
    STATE(132), 1,
      sym_unary_operator,
    STATE(140), 1,
      sym_binary_operator,
    STATE(147), 1,
      sym_not_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(135), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(148), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17541] = 25,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_AT,
    ACTIONS(904), 1,
      sym_number,
    STATE(76), 1,
      sym_function_call,
    STATE(100), 1,
      sym_boolean,
    STATE(105), 1,
      sym_not_operator,
    STATE(127), 1,
      sym_cell,
    STATE(134), 1,
      sym_binary_operator,
    STATE(143), 1,
      sym_unary_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(104), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(124), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17629] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      sym_identifier,
    ACTIONS(890), 1,
      sym_number,
    STATE(192), 1,
      sym_function_call,
    STATE(214), 1,
      sym_boolean,
    STATE(394), 1,
      sym__range_element,
    STATE(404), 1,
      sym_binary_operator,
    STATE(441), 1,
      sym_not_operator,
    STATE(442), 1,
      sym_unary_operator,
    STATE(591), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(447), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17717] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(534), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [17759] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(854), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(436), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(556), 1,
      sym_unary_operator,
    STATE(559), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(558), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(679), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17847] = 23,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(906), 1,
      sym_identifier,
    ACTIONS(908), 1,
      sym_number,
    STATE(190), 1,
      sym_function_call,
    STATE(207), 1,
      sym_boolean,
    STATE(421), 1,
      sym_cell,
    STATE(423), 1,
      sym_binary_operator,
    STATE(433), 1,
      sym_unary_operator,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(396), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(379), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(694), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [17931] = 25,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_AT,
    ACTIONS(904), 1,
      sym_number,
    STATE(76), 1,
      sym_function_call,
    STATE(100), 1,
      sym_boolean,
    STATE(105), 1,
      sym_not_operator,
    STATE(127), 1,
      sym_cell,
    STATE(134), 1,
      sym_binary_operator,
    STATE(143), 1,
      sym_unary_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(104), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(109), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18019] = 25,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      sym_number,
    STATE(77), 1,
      sym_function_call,
    STATE(91), 1,
      sym_boolean,
    STATE(113), 1,
      sym__range_element,
    STATE(116), 1,
      sym_not_operator,
    STATE(117), 1,
      sym_unary_operator,
    STATE(141), 1,
      sym_binary_operator,
    STATE(589), 1,
      sym_cell,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(129), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18107] = 23,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      sym_number,
    STATE(79), 1,
      sym_function_call,
    STATE(92), 1,
      sym_boolean,
    STATE(119), 1,
      sym_cell,
    STATE(126), 1,
      sym_binary_operator,
    STATE(142), 1,
      sym_unary_operator,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(118), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(103), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(693), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18191] = 23,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(906), 1,
      sym_identifier,
    ACTIONS(908), 1,
      sym_number,
    STATE(190), 1,
      sym_function_call,
    STATE(207), 1,
      sym_boolean,
    STATE(421), 1,
      sym_cell,
    STATE(423), 1,
      sym_binary_operator,
    STATE(433), 1,
      sym_unary_operator,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(395), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(379), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(694), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18275] = 25,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      sym_identifier,
    ACTIONS(862), 1,
      sym_number,
    STATE(215), 1,
      sym_function_call,
    STATE(367), 1,
      sym_boolean,
    STATE(464), 1,
      sym_binary_operator,
    STATE(480), 1,
      sym__range_element,
    STATE(491), 1,
      sym_not_operator,
    STATE(495), 1,
      sym_unary_operator,
    STATE(590), 1,
      sym_cell,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(452), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18363] = 23,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(906), 1,
      sym_identifier,
    ACTIONS(908), 1,
      sym_number,
    STATE(190), 1,
      sym_function_call,
    STATE(207), 1,
      sym_boolean,
    STATE(421), 1,
      sym_cell,
    STATE(423), 1,
      sym_binary_operator,
    STATE(433), 1,
      sym_unary_operator,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(389), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(379), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(694), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18447] = 25,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_AT,
    ACTIONS(904), 1,
      sym_number,
    STATE(76), 1,
      sym_function_call,
    STATE(100), 1,
      sym_boolean,
    STATE(105), 1,
      sym_not_operator,
    STATE(127), 1,
      sym_cell,
    STATE(134), 1,
      sym_binary_operator,
    STATE(143), 1,
      sym_unary_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(104), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(111), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18535] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_QMARK,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(820), 1,
      sym_identifier,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(611), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18623] = 23,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      sym_number,
    STATE(79), 1,
      sym_function_call,
    STATE(92), 1,
      sym_boolean,
    STATE(119), 1,
      sym_cell,
    STATE(126), 1,
      sym_binary_operator,
    STATE(142), 1,
      sym_unary_operator,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(120), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(103), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(693), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18707] = 23,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(906), 1,
      sym_identifier,
    ACTIONS(908), 1,
      sym_number,
    STATE(190), 1,
      sym_function_call,
    STATE(207), 1,
      sym_boolean,
    STATE(421), 1,
      sym_cell,
    STATE(423), 1,
      sym_binary_operator,
    STATE(433), 1,
      sym_unary_operator,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(432), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(379), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(694), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18791] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(387), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18879] = 25,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_AT,
    ACTIONS(904), 1,
      sym_number,
    STATE(76), 1,
      sym_function_call,
    STATE(100), 1,
      sym_boolean,
    STATE(105), 1,
      sym_not_operator,
    STATE(127), 1,
      sym_cell,
    STATE(134), 1,
      sym_binary_operator,
    STATE(143), 1,
      sym_unary_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(104), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(146), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [18967] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      sym_number,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(914), 1,
      sym_identifier,
    STATE(424), 1,
      sym_boolean,
    STATE(435), 1,
      sym_function_call,
    STATE(521), 1,
      sym_cell,
    STATE(574), 1,
      sym_unary_operator,
    STATE(576), 1,
      sym_binary_operator,
    STATE(578), 1,
      sym_not_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(580), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19055] = 23,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      sym_number,
    STATE(79), 1,
      sym_function_call,
    STATE(92), 1,
      sym_boolean,
    STATE(119), 1,
      sym_cell,
    STATE(126), 1,
      sym_binary_operator,
    STATE(142), 1,
      sym_unary_operator,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(121), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(103), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(693), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19139] = 23,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      sym_number,
    STATE(79), 1,
      sym_function_call,
    STATE(92), 1,
      sym_boolean,
    STATE(119), 1,
      sym_cell,
    STATE(126), 1,
      sym_binary_operator,
    STATE(142), 1,
      sym_unary_operator,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(122), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(103), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(693), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19223] = 23,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      sym_number,
    STATE(79), 1,
      sym_function_call,
    STATE(92), 1,
      sym_boolean,
    STATE(119), 1,
      sym_cell,
    STATE(126), 1,
      sym_binary_operator,
    STATE(142), 1,
      sym_unary_operator,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(123), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(103), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(693), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19307] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(788), 1,
      anon_sym_AT,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(557), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19395] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(788), 1,
      anon_sym_AT,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(555), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19483] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(422), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19571] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(768), 1,
      anon_sym_AT,
    ACTIONS(770), 1,
      sym_number,
    STATE(194), 1,
      sym_function_call,
    STATE(217), 1,
      sym_boolean,
    STATE(388), 1,
      sym_binary_operator,
    STATE(399), 1,
      sym_not_operator,
    STATE(415), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(383), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(420), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19659] = 25,
    ACTIONS(566), 1,
      sym_identifier,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      sym_number,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(786), 1,
      anon_sym_QMARK,
    ACTIONS(788), 1,
      anon_sym_AT,
    STATE(208), 1,
      sym_function_call,
    STATE(354), 1,
      sym_boolean,
    STATE(479), 1,
      sym_binary_operator,
    STATE(490), 1,
      sym_cell,
    STATE(500), 1,
      sym_unary_operator,
    STATE(524), 1,
      sym_not_operator,
    STATE(608), 1,
      sym__binary_expression,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1206), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(493), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(463), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(465), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [19747] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_QMARK,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(820), 1,
      sym_identifier,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(633), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19835] = 25,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_AT,
    ACTIONS(904), 1,
      sym_number,
    STATE(76), 1,
      sym_function_call,
    STATE(100), 1,
      sym_boolean,
    STATE(105), 1,
      sym_not_operator,
    STATE(127), 1,
      sym_cell,
    STATE(134), 1,
      sym_binary_operator,
    STATE(143), 1,
      sym_unary_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(104), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(115), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [19923] = 25,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(916), 1,
      sym_identifier,
    ACTIONS(918), 1,
      sym_number,
    STATE(78), 1,
      sym_function_call,
    STATE(93), 1,
      sym_boolean,
    STATE(136), 1,
      sym_unary_operator,
    STATE(138), 1,
      sym_not_operator,
    STATE(145), 1,
      sym_cell,
    STATE(587), 1,
      sym_binary_operator,
    STATE(616), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(106), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20011] = 23,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(920), 1,
      sym_identifier,
    ACTIONS(922), 1,
      sym_number,
    STATE(210), 1,
      sym_function_call,
    STATE(364), 1,
      sym_boolean,
    STATE(478), 1,
      sym_binary_operator,
    STATE(485), 1,
      sym_unary_operator,
    STATE(501), 1,
      sym_cell,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(468), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(484), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(696), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20095] = 25,
    ACTIONS(798), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_TILDE,
    ACTIONS(808), 1,
      anon_sym_LBRACK,
    ACTIONS(810), 1,
      anon_sym_LBRACE,
    ACTIONS(816), 1,
      sym__single_quote_string_start,
    ACTIONS(818), 1,
      sym__double_quote_string_start,
    ACTIONS(850), 1,
      anon_sym_QMARK,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_AT,
    ACTIONS(904), 1,
      sym_number,
    STATE(76), 1,
      sym_function_call,
    STATE(100), 1,
      sym_boolean,
    STATE(105), 1,
      sym_not_operator,
    STATE(127), 1,
      sym_cell,
    STATE(134), 1,
      sym_binary_operator,
    STATE(143), 1,
      sym_unary_operator,
    STATE(612), 1,
      sym__binary_expression,
    STATE(912), 1,
      sym_indirect_access,
    STATE(1157), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(800), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(814), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(131), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(104), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(114), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20183] = 25,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_TILDE,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(645), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(924), 1,
      sym_identifier,
    ACTIONS(926), 1,
      sym_number,
    STATE(359), 1,
      sym_function_call,
    STATE(443), 1,
      sym_boolean,
    STATE(515), 1,
      sym_binary_operator,
    STATE(525), 1,
      sym_unary_operator,
    STATE(526), 1,
      sym_not_operator,
    STATE(527), 1,
      sym_cell,
    STATE(616), 1,
      sym__binary_expression,
    STATE(941), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(516), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(523), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(689), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20271] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_QMARK,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(820), 1,
      sym_identifier,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(644), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20359] = 23,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(920), 1,
      sym_identifier,
    ACTIONS(922), 1,
      sym_number,
    STATE(210), 1,
      sym_function_call,
    STATE(364), 1,
      sym_boolean,
    STATE(478), 1,
      sym_binary_operator,
    STATE(485), 1,
      sym_unary_operator,
    STATE(501), 1,
      sym_cell,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(469), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(484), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(696), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20443] = 23,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(906), 1,
      sym_identifier,
    ACTIONS(908), 1,
      sym_number,
    STATE(190), 1,
      sym_function_call,
    STATE(207), 1,
      sym_boolean,
    STATE(421), 1,
      sym_cell,
    STATE(423), 1,
      sym_binary_operator,
    STATE(433), 1,
      sym_unary_operator,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(446), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(379), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(694), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20527] = 4,
    ACTIONS(732), 1,
      anon_sym_DOT,
    STATE(274), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(380), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [20573] = 23,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(920), 1,
      sym_identifier,
    ACTIONS(922), 1,
      sym_number,
    STATE(210), 1,
      sym_function_call,
    STATE(364), 1,
      sym_boolean,
    STATE(478), 1,
      sym_binary_operator,
    STATE(485), 1,
      sym_unary_operator,
    STATE(501), 1,
      sym_cell,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(484), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(696), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20657] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(820), 1,
      sym_identifier,
    ACTIONS(894), 1,
      anon_sym_AT,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(387), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
  [20745] = 23,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(920), 1,
      sym_identifier,
    ACTIONS(922), 1,
      sym_number,
    STATE(210), 1,
      sym_function_call,
    STATE(364), 1,
      sym_boolean,
    STATE(478), 1,
      sym_binary_operator,
    STATE(485), 1,
      sym_unary_operator,
    STATE(501), 1,
      sym_cell,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(484), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(696), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20829] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(820), 1,
      sym_identifier,
    ACTIONS(894), 1,
      anon_sym_AT,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(509), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [20917] = 5,
    ACTIONS(932), 1,
      anon_sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(343), 2,
      sym_arguments_statement,
      aux_sym_function_definition_repeat1,
    ACTIONS(928), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(930), 18,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [20965] = 23,
    ACTIONS(592), 1,
      sym__single_quote_string_start,
    ACTIONS(594), 1,
      sym__double_quote_string_start,
    ACTIONS(641), 1,
      anon_sym_QMARK,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(782), 1,
      anon_sym_TILDE,
    ACTIONS(920), 1,
      sym_identifier,
    ACTIONS(922), 1,
      sym_number,
    STATE(210), 1,
      sym_function_call,
    STATE(364), 1,
      sym_boolean,
    STATE(478), 1,
      sym_binary_operator,
    STATE(485), 1,
      sym_unary_operator,
    STATE(501), 1,
      sym_cell,
    STATE(929), 1,
      sym_indirect_access,
    STATE(1200), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(590), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(451), 4,
      sym__binary_expression,
      sym_not_operator,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(484), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(696), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [21049] = 25,
    ACTIONS(9), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_LBRACE,
    ACTIONS(45), 1,
      sym_number,
    ACTIONS(51), 1,
      sym__single_quote_string_start,
    ACTIONS(53), 1,
      sym__double_quote_string_start,
    ACTIONS(764), 1,
      anon_sym_TILDE,
    ACTIONS(766), 1,
      anon_sym_QMARK,
    ACTIONS(820), 1,
      sym_identifier,
    ACTIONS(894), 1,
      anon_sym_AT,
    STATE(189), 1,
      sym_function_call,
    STATE(216), 1,
      sym_boolean,
    STATE(416), 1,
      sym_binary_operator,
    STATE(417), 1,
      sym_unary_operator,
    STATE(419), 1,
      sym_cell,
    STATE(470), 1,
      sym_not_operator,
    STATE(614), 1,
      sym__binary_expression,
    STATE(900), 1,
      sym_indirect_access,
    STATE(1228), 1,
      sym__range_element,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(11), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(418), 2,
      sym_comparison_operator,
      sym_boolean_operator,
    STATE(397), 5,
      sym_parenthesis,
      sym_field_expression,
      sym_postfix_operator,
      sym_string,
      sym_matrix,
    STATE(508), 5,
      sym__expression,
      sym_metaclass_operator,
      sym_handle_operator,
      sym_range,
      sym_lambda,
  [21137] = 13,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_COLON,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [21200] = 4,
    ACTIONS(938), 1,
      anon_sym_DOT,
    STATE(366), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(398), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [21245] = 10,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(378), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [21302] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(896), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [21367] = 4,
    ACTIONS(938), 1,
      anon_sym_DOT,
    STATE(347), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(390), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [21412] = 4,
    ACTIONS(938), 1,
      anon_sym_DOT,
    STATE(361), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(384), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [21457] = 8,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    ACTIONS(940), 1,
      anon_sym_AT,
    STATE(353), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [21510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(444), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(442), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [21553] = 10,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    ACTIONS(940), 1,
      anon_sym_AT,
    STATE(353), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [21610] = 13,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(489), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [21673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(422), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(420), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [21716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(448), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(446), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [21759] = 10,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    ACTIONS(940), 1,
      anon_sym_AT,
    STATE(353), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [21816] = 10,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(376), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [21873] = 13,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [21936] = 4,
    ACTIONS(938), 1,
      anon_sym_DOT,
    STATE(366), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(402), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [21981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(440), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(438), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(436), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(434), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22067] = 8,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    ACTIONS(940), 1,
      anon_sym_AT,
    STATE(353), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(378), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(428), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(426), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22163] = 4,
    ACTIONS(942), 1,
      anon_sym_DOT,
    STATE(366), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [22208] = 10,
    ACTIONS(752), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACE,
    ACTIONS(940), 1,
      anon_sym_AT,
    STATE(353), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(372), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(370), 4,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [22265] = 13,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(372), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(935), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [22328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(432), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(430), 32,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(945), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(947), 19,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_arguments,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [22413] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [22477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(536), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(534), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22519] = 7,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(394), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(396), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [22609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(951), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(953), 19,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_arguments,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [22651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(955), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(957), 19,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_arguments,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [22693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 14,
      sym_command_name,
      sym__single_quote_string_start,
      sym__double_quote_string_start,
      sym__multioutput_variable_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_number,
    ACTIONS(961), 19,
      sym_return_statement,
      sym_continue_statement,
      sym_break_statement,
      anon_sym_if,
      anon_sym_end,
      anon_sym_for,
      anon_sym_parfor,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_global,
      anon_sym_persistent,
      anon_sym_arguments,
      anon_sym_function,
      anon_sym_endfunction,
      anon_sym_classdef,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [22735] = 13,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(489), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [22797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [22838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(446), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(448), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22879] = 5,
    ACTIONS(963), 1,
      anon_sym_DOT,
    STATE(381), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(406), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [22924] = 3,
    ACTIONS(966), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(483), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [22965] = 5,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23010] = 5,
    ACTIONS(970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(968), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(495), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(434), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(436), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [23096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(430), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(432), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [23137] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(518), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23176] = 5,
    ACTIONS(538), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(974), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(426), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(428), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [23303] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(522), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(450), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23381] = 11,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_COLON,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [23438] = 4,
    ACTIONS(463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(460), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(458), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23481] = 6,
    ACTIONS(982), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(974), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(978), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(980), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23528] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(974), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(978), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(980), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23573] = 5,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23618] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(541), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23657] = 4,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23700] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(545), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23739] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [23802] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(553), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(968), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(557), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23882] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(538), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(549), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [23927] = 5,
    ACTIONS(970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(968), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(489), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [23972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(438), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(440), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [24013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24054] = 11,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(372), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(935), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [24111] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(374), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24191] = 5,
    ACTIONS(754), 1,
      anon_sym_DOT,
    STATE(430), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(382), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(380), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [24236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(473), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24316] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [24379] = 5,
    ACTIONS(501), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24424] = 5,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24469] = 5,
    ACTIONS(499), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24555] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24598] = 4,
    ACTIONS(970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(968), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(968), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24764] = 11,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [24821] = 5,
    ACTIONS(988), 1,
      anon_sym_DOT,
    STATE(439), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(388), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(384), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [24866] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(479), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [24905] = 5,
    ACTIONS(988), 1,
      anon_sym_DOT,
    STATE(444), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(392), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(390), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [24950] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [25013] = 8,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(378), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25064] = 5,
    ACTIONS(992), 1,
      anon_sym_DOT,
    STATE(430), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(418), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(413), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(420), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(422), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(974), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [25191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [25232] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [25295] = 14,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [25358] = 13,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_DOT,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    STATE(483), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 7,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [25419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(526), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [25458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(442), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(444), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25499] = 5,
    ACTIONS(988), 1,
      anon_sym_DOT,
    STATE(381), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(404), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(402), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25544] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(454), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [25583] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [25626] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(499), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(501), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [25671] = 8,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(376), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25722] = 5,
    ACTIONS(988), 1,
      anon_sym_DOT,
    STATE(381), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(400), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(398), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(530), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [25806] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(974), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(980), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [25849] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [25894] = 12,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [25952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(406), 29,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [25992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(534), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(536), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26032] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(514), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1003), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(999), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1001), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26077] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(372), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(370), 4,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [26122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(532), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(530), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26161] = 5,
    ACTIONS(1005), 1,
      anon_sym_DOT,
    STATE(494), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(398), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(400), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26204] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1007), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 22,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26245] = 5,
    ACTIONS(1009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1007), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 21,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(452), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(450), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26327] = 6,
    ACTIONS(538), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [26372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(524), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(522), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26411] = 5,
    ACTIONS(1005), 1,
      anon_sym_DOT,
    STATE(454), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(390), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(392), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26454] = 5,
    ACTIONS(463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(465), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(460), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(458), 19,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [26497] = 5,
    ACTIONS(1011), 1,
      anon_sym_DOT,
    STATE(462), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(413), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(418), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(520), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(518), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26579] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(551), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(549), 4,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(538), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [26624] = 6,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [26669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(456), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(454), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26708] = 5,
    ACTIONS(1005), 1,
      anon_sym_DOT,
    STATE(475), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(384), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(388), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26751] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(514), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1003), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(1001), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 20,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26794] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(514), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1003), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [26835] = 4,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(351), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [26876] = 6,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(748), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(736), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [26921] = 6,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [26966] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(514), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1003), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27007] = 7,
    ACTIONS(1014), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(514), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1003), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(999), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1001), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(506), 15,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27054] = 5,
    ACTIONS(1005), 1,
      anon_sym_DOT,
    STATE(494), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(402), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(404), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27097] = 6,
    ACTIONS(1009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1016), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(493), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1007), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(489), 20,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(528), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(526), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27181] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(378), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27222] = 6,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [27267] = 4,
    ACTIONS(1018), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(487), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(483), 27,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [27308] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27349] = 5,
    ACTIONS(365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(351), 13,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [27392] = 5,
    ACTIONS(840), 1,
      anon_sym_DOT,
    STATE(462), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(380), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(382), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27435] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(378), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27476] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(378), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(543), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(541), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(547), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(545), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27595] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(553), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27634] = 5,
    ACTIONS(840), 1,
      anon_sym_DOT,
    STATE(462), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(380), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(382), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27677] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 12,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [27720] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(372), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(370), 6,
      anon_sym_SEMI,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(365), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [27763] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(559), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1007), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(557), 22,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27804] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(351), 14,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [27845] = 5,
    ACTIONS(1020), 1,
      anon_sym_DOT,
    STATE(494), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(411), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27888] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(504), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(499), 4,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(501), 8,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [27933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(374), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [27972] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(481), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(479), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28052] = 6,
    ACTIONS(501), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [28097] = 6,
    ACTIONS(499), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [28142] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(378), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28183] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(376), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(758), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 26,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(475), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(473), 28,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28263] = 6,
    ACTIONS(1009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1016), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(497), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1007), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(495), 20,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28308] = 5,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(489), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [28350] = 5,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(495), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [28392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(411), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28430] = 4,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [28470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [28508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(454), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(456), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28545] = 6,
    ACTIONS(935), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(368), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [28588] = 7,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [28633] = 7,
    ACTIONS(935), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [28678] = 4,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(483), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(487), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
  [28717] = 7,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [28762] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(368), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [28803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(479), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(481), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28840] = 7,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [28885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(473), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(475), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28922] = 7,
    ACTIONS(1037), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1035), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1033), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(514), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [28967] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [29010] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1035), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1033), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(514), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29053] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(376), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29092] = 5,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(368), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(351), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(355), 14,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
  [29133] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(376), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(374), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(376), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29209] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(376), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29248] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(557), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1039), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1041), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(559), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(553), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(555), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(545), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(547), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29363] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(378), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29402] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(467), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1039), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1041), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(471), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29443] = 6,
    ACTIONS(1043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(467), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1039), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1041), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(471), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29486] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(378), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(541), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(543), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29562] = 7,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(372), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(935), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [29607] = 7,
    ACTIONS(1045), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [29652] = 7,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(501), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(504), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(1045), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [29697] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(378), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29736] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(372), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(935), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [29779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(530), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(532), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29816] = 7,
    ACTIONS(1043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1048), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(489), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1039), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1041), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(493), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(526), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(528), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29898] = 6,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(458), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(460), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1050), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(465), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
  [29941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(450), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(452), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [29978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(522), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(524), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30015] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(355), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(378), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30054] = 7,
    ACTIONS(1043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1048), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1039), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1041), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(497), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(518), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(520), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30136] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1035), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1033), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
    ACTIONS(514), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30177] = 7,
    ACTIONS(1053), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30222] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1035), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(514), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30261] = 7,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(538), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(551), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(1053), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30306] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1035), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(506), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(514), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30345] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 19,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [30383] = 7,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30427] = 5,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(471), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(467), 18,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [30467] = 7,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30511] = 7,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30555] = 6,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(493), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(489), 17,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [30597] = 6,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(497), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
    ACTIONS(495), 17,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [30639] = 8,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30685] = 8,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30731] = 8,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30776] = 8,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30821] = 8,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30866] = 7,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30909] = 8,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30954] = 8,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [30999] = 8,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31044] = 8,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31089] = 8,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31134] = 8,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31179] = 8,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31224] = 8,
    ACTIONS(504), 1,
      anon_sym_COLON,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31269] = 8,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31314] = 8,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31359] = 6,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(368), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31400] = 8,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31445] = 8,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(844), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31490] = 7,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(497), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_RBRACE,
  [31532] = 7,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1070), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31574] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(467), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(471), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
  [31612] = 7,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(489), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(493), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_RBRACE,
  [31654] = 7,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1072), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31696] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(467), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
    ACTIONS(471), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
  [31736] = 7,
    ACTIONS(551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1074), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31778] = 7,
    ACTIONS(372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31820] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1074), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31859] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1070), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31898] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(355), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1072), 2,
      anon_sym_DOT_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(368), 6,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(378), 12,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
  [31937] = 4,
    ACTIONS(1076), 1,
      anon_sym_DOT,
    STATE(592), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [31971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [32000] = 11,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1081), 1,
      anon_sym_end,
    ACTIONS(1083), 1,
      anon_sym_case,
    ACTIONS(1085), 1,
      anon_sym_otherwise,
    STATE(1155), 1,
      sym_otherwise_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(641), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    STATE(820), 2,
      sym_case_clause,
      aux_sym_switch_statement_repeat1,
    ACTIONS(1079), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [32045] = 16,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1089), 1,
      anon_sym_COMMA,
    ACTIONS(1091), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1099), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    STATE(643), 1,
      sym__args,
    STATE(645), 1,
      sym_function_call,
    STATE(680), 1,
      aux_sym_field_expression_repeat1,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(621), 3,
      sym_field_expression,
      sym_ignored_argument,
      aux_sym_multioutput_variable_repeat1,
  [32098] = 4,
    ACTIONS(1103), 1,
      anon_sym_DOT,
    STATE(592), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(402), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [32126] = 4,
    ACTIONS(1103), 1,
      anon_sym_DOT,
    STATE(592), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(398), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [32154] = 4,
    ACTIONS(1103), 1,
      anon_sym_DOT,
    STATE(597), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(390), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [32182] = 4,
    ACTIONS(1103), 1,
      anon_sym_DOT,
    STATE(596), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(384), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_LF,
      anon_sym_CR,
  [32210] = 14,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    ACTIONS(1113), 1,
      anon_sym_AT,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(628), 1,
      aux_sym_metaclass_operator_repeat1,
    STATE(646), 1,
      sym_dimensions,
    STATE(684), 1,
      sym_property_name,
    STATE(698), 1,
      sym_validation_functions,
    STATE(879), 1,
      sym_default_value,
    STATE(1046), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [32257] = 5,
    ACTIONS(1119), 1,
      anon_sym_DOT,
    STATE(602), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(404), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(402), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [32285] = 5,
    ACTIONS(1121), 1,
      anon_sym_DOT,
    STATE(602), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(406), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [32313] = 5,
    ACTIONS(1119), 1,
      anon_sym_DOT,
    STATE(601), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(388), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(384), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [32341] = 5,
    ACTIONS(1124), 1,
      anon_sym_DOT,
    STATE(604), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(411), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [32369] = 5,
    ACTIONS(1119), 1,
      anon_sym_DOT,
    STATE(606), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(392), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(390), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [32397] = 5,
    ACTIONS(1119), 1,
      anon_sym_DOT,
    STATE(602), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(400), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(398), 11,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [32425] = 12,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(646), 1,
      sym_dimensions,
    STATE(684), 1,
      sym_property_name,
    STATE(698), 1,
      sym_validation_functions,
    STATE(879), 1,
      sym_default_value,
    STATE(1046), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [32466] = 6,
    ACTIONS(1133), 1,
      anon_sym_PIPE,
    ACTIONS(1135), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1131), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(1127), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1129), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
  [32495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(411), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(406), 12,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [32518] = 8,
    ACTIONS(609), 1,
      aux_sym_matrix_token1,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1137), 1,
      sym__entry_delimiter,
    STATE(762), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(607), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [32551] = 6,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(7), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    ACTIONS(1139), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [32580] = 6,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1145), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(1141), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1143), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
  [32609] = 8,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1153), 1,
      aux_sym_matrix_token1,
    ACTIONS(1155), 1,
      sym__entry_delimiter,
    STATE(773), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1151), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [32642] = 6,
    ACTIONS(1163), 1,
      anon_sym_PIPE,
    ACTIONS(1165), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1161), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(1157), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1159), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
  [32671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(406), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(411), 12,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [32694] = 6,
    ACTIONS(1167), 1,
      anon_sym_PIPE,
    ACTIONS(1169), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1035), 2,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
    ACTIONS(1031), 4,
      anon_sym_PLUS,
      anon_sym_DOT_PLUS,
      anon_sym_DASH,
      anon_sym_DOT_DASH,
    ACTIONS(1033), 6,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_DOT_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_BSLASH,
  [32723] = 5,
    ACTIONS(1171), 1,
      anon_sym_DOT,
    STATE(604), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(398), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(400), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
  [32749] = 11,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1089), 1,
      anon_sym_COMMA,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1099), 1,
      anon_sym_RBRACK,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(621), 3,
      sym_field_expression,
      sym_ignored_argument,
      aux_sym_multioutput_variable_repeat1,
  [32787] = 6,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    STATE(239), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1175), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [32815] = 11,
    ACTIONS(1177), 1,
      sym_identifier,
    ACTIONS(1180), 1,
      anon_sym_COMMA,
    ACTIONS(1183), 1,
      anon_sym_LPAREN,
    ACTIONS(1186), 1,
      anon_sym_TILDE,
    ACTIONS(1189), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(620), 3,
      sym_field_expression,
      sym_ignored_argument,
      aux_sym_multioutput_variable_repeat1,
  [32853] = 11,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1194), 1,
      anon_sym_COMMA,
    ACTIONS(1196), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(620), 3,
      sym_field_expression,
      sym_ignored_argument,
      aux_sym_multioutput_variable_repeat1,
  [32891] = 5,
    ACTIONS(1171), 1,
      anon_sym_DOT,
    STATE(604), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(402), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(404), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
  [32917] = 5,
    ACTIONS(1171), 1,
      anon_sym_DOT,
    STATE(622), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(388), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
  [32943] = 5,
    ACTIONS(1171), 1,
      anon_sym_DOT,
    STATE(617), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(390), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(392), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACE,
  [32969] = 6,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    STATE(179), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1198), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [32997] = 6,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    STATE(179), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1198), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [33025] = 6,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1202), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1200), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(1056), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [33053] = 4,
    ACTIONS(1206), 1,
      anon_sym_DOT,
    STATE(592), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1204), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [33076] = 9,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym__args,
    STATE(680), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 3,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_RBRACK,
    ACTIONS(1208), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [33109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(442), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(444), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(426), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(428), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33151] = 12,
    ACTIONS(657), 1,
      sym__single_quote_string_start,
    ACTIONS(659), 1,
      sym__double_quote_string_start,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1212), 1,
      sym_identifier,
    ACTIONS(1214), 1,
      sym_number,
    STATE(849), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    STATE(1176), 1,
      sym_parfor_options,
    STATE(1181), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
  [33190] = 5,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [33215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(430), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(432), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33236] = 8,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(942), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1220), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [33267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(434), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(436), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33288] = 8,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1222), 1,
      anon_sym_COMMA,
    STATE(960), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1224), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [33319] = 8,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(998), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [33350] = 8,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(922), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [33381] = 8,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(923), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [33412] = 8,
    ACTIONS(1083), 1,
      anon_sym_case,
    ACTIONS(1085), 1,
      anon_sym_otherwise,
    ACTIONS(1232), 1,
      anon_sym_end,
    STATE(1224), 1,
      sym_otherwise_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(685), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    STATE(777), 2,
      sym_case_clause,
      aux_sym_switch_statement_repeat1,
    ACTIONS(1230), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [33443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(420), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(422), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(438), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(440), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33485] = 5,
    ACTIONS(1025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1234), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(1023), 6,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_GT,
  [33510] = 9,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym__args,
    STATE(680), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1236), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(1238), 3,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_RBRACK,
  [33543] = 9,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1240), 1,
      sym_identifier,
    STATE(678), 1,
      sym_property_name,
    STATE(735), 1,
      sym_validation_functions,
    STATE(893), 1,
      sym_default_value,
    STATE(1030), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1242), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [33575] = 10,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1247), 1,
      anon_sym_end,
    ACTIONS(1249), 1,
      anon_sym_function,
    ACTIONS(1255), 1,
      sym__multioutput_variable_start,
    STATE(751), 1,
      sym__function_definition_with_end,
    STATE(1017), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1252), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
    STATE(647), 2,
      sym_function_signature,
      aux_sym_methods_repeat1,
  [33609] = 10,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1258), 1,
      sym_identifier,
    ACTIONS(1260), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(618), 2,
      sym_field_expression,
      sym_ignored_argument,
  [33643] = 8,
    ACTIONS(1262), 1,
      anon_sym_SEMI,
    ACTIONS(1264), 1,
      anon_sym_end,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(652), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [33673] = 10,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1274), 1,
      sym_identifier,
    ACTIONS(1276), 1,
      anon_sym_end,
    ACTIONS(1278), 1,
      anon_sym_function,
    STATE(751), 1,
      sym__function_definition_with_end,
    STATE(1017), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
    STATE(664), 2,
      sym_function_signature,
      aux_sym_methods_repeat1,
  [33707] = 9,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(628), 1,
      aux_sym_metaclass_operator_repeat1,
    STATE(716), 1,
      sym_validation_functions,
    STATE(856), 1,
      sym_default_value,
    STATE(1047), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1282), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [33739] = 8,
    ACTIONS(1284), 1,
      anon_sym_SEMI,
    ACTIONS(1287), 1,
      anon_sym_end,
    ACTIONS(1289), 1,
      anon_sym_properties,
    ACTIONS(1292), 1,
      anon_sym_methods,
    ACTIONS(1295), 1,
      anon_sym_events,
    ACTIONS(1298), 1,
      anon_sym_enumeration,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(652), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [33769] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [33795] = 8,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1303), 1,
      anon_sym_SEMI,
    ACTIONS(1305), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(649), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [33825] = 10,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1196), 1,
      anon_sym_RBRACK,
    ACTIONS(1307), 1,
      sym_identifier,
    STATE(629), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(700), 2,
      sym_field_expression,
      sym_ignored_argument,
  [33859] = 8,
    ACTIONS(1262), 1,
      anon_sym_SEMI,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1309), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(652), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [33889] = 7,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(394), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(396), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_RBRACK,
  [33917] = 8,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1309), 1,
      anon_sym_end,
    ACTIONS(1311), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(661), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [33947] = 8,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1313), 1,
      anon_sym_SEMI,
    ACTIONS(1315), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(660), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [33977] = 8,
    ACTIONS(1262), 1,
      anon_sym_SEMI,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1305), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(652), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [34007] = 8,
    ACTIONS(1262), 1,
      anon_sym_SEMI,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1317), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(652), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [34037] = 10,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1274), 1,
      sym_identifier,
    ACTIONS(1278), 1,
      anon_sym_function,
    ACTIONS(1319), 1,
      anon_sym_end,
    STATE(751), 1,
      sym__function_definition_with_end,
    STATE(1017), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
    STATE(647), 2,
      sym_function_signature,
      aux_sym_methods_repeat1,
  [34071] = 8,
    ACTIONS(1266), 1,
      anon_sym_properties,
    ACTIONS(1268), 1,
      anon_sym_methods,
    ACTIONS(1270), 1,
      anon_sym_events,
    ACTIONS(1272), 1,
      anon_sym_enumeration,
    ACTIONS(1321), 1,
      anon_sym_SEMI,
    ACTIONS(1323), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(656), 5,
      sym_properties,
      sym_methods,
      sym_events,
      sym_enumeration,
      aux_sym_class_definition_repeat1,
  [34101] = 10,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1274), 1,
      sym_identifier,
    ACTIONS(1278), 1,
      anon_sym_function,
    ACTIONS(1325), 1,
      anon_sym_end,
    STATE(751), 1,
      sym__function_definition_with_end,
    STATE(1017), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
    STATE(647), 2,
      sym_function_signature,
      aux_sym_methods_repeat1,
  [34135] = 10,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1307), 1,
      sym_identifier,
    ACTIONS(1327), 1,
      anon_sym_RBRACK,
    STATE(629), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(700), 2,
      sym_field_expression,
      sym_ignored_argument,
  [34169] = 9,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(628), 1,
      aux_sym_metaclass_operator_repeat1,
    STATE(735), 1,
      sym_validation_functions,
    STATE(893), 1,
      sym_default_value,
    STATE(1030), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1242), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34201] = 10,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1274), 1,
      sym_identifier,
    ACTIONS(1278), 1,
      anon_sym_function,
    ACTIONS(1325), 1,
      anon_sym_end,
    STATE(751), 1,
      sym__function_definition_with_end,
    STATE(1017), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
    STATE(662), 2,
      sym_function_signature,
      aux_sym_methods_repeat1,
  [34235] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1329), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34261] = 9,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1307), 1,
      sym_identifier,
    STATE(629), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(700), 2,
      sym_field_expression,
      sym_ignored_argument,
  [34292] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1331), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34317] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1333), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [34334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1335), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [34351] = 6,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(856), 1,
      sym_default_value,
    STATE(1047), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1337), 3,
      anon_sym_vector,
      anon_sym_matrix,
      anon_sym_scalar,
    ACTIONS(1282), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(446), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(448), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
  [34395] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34419] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1341), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34443] = 6,
    ACTIONS(598), 1,
      anon_sym_COMMA,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34467] = 7,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(716), 1,
      sym_validation_functions,
    STATE(856), 1,
      sym_default_value,
    STATE(1047), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1282), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34493] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1343), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34517] = 5,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    STATE(683), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(380), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(382), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_RBRACK,
  [34539] = 6,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1345), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(617), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [34579] = 5,
    ACTIONS(1347), 1,
      anon_sym_DOT,
    STATE(683), 1,
      aux_sym_field_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(413), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(418), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_RBRACK,
  [34601] = 7,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(735), 1,
      sym_validation_functions,
    STATE(893), 1,
      sym_default_value,
    STATE(1030), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1242), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34627] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(685), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    ACTIONS(600), 3,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
    ACTIONS(1350), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(617), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(625), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_RBRACK,
  [34664] = 6,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(45), 1,
      sym__end_of_line,
    STATE(887), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1353), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34687] = 6,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(29), 1,
      sym__end_of_line,
    STATE(845), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1359), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34710] = 5,
    ACTIONS(1066), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1068), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1062), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34731] = 5,
    ACTIONS(1043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1048), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1039), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1041), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34752] = 6,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(776), 1,
      sym__end_of_line,
    STATE(884), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1361), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34775] = 6,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(68), 1,
      sym__end_of_line,
    STATE(866), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1363), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34798] = 5,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(469), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1365), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34819] = 5,
    ACTIONS(1373), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1371), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34840] = 6,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(25), 1,
      sym__end_of_line,
    STATE(857), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1377), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34863] = 5,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1007), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1379), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_GT_EQ,
  [34884] = 4,
    ACTIONS(1387), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1385), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1389), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [34902] = 5,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(893), 1,
      sym_default_value,
    STATE(1030), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1242), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34922] = 4,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    STATE(628), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1391), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LF,
      anon_sym_CR,
  [34940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1208), 3,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(1189), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_TILDE,
      anon_sym_RBRACK,
  [34956] = 5,
    ACTIONS(1395), 1,
      anon_sym_LPAREN,
    STATE(718), 1,
      sym__end_of_line,
    STATE(835), 1,
      sym__argument_attributes,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34976] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym__end_of_line,
    STATE(833), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1397), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [34996] = 5,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(744), 1,
      sym__end_of_line,
    STATE(828), 1,
      sym_attributes,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1399), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35016] = 5,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym__end_of_line,
    STATE(859), 1,
      sym_attributes,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1403), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35036] = 5,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(860), 1,
      sym_attributes,
    STATE(1033), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1405), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1407), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [35070] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(807), 1,
      sym__end_of_line,
    STATE(896), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1409), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35090] = 5,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(831), 1,
      sym_attributes,
    STATE(992), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1411), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35110] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(54), 1,
      sym__end_of_line,
    STATE(834), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1413), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35130] = 6,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1415), 1,
      sym_identifier,
    STATE(903), 1,
      sym_boolean,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(657), 2,
      sym_indirect_access,
      sym_function_call,
  [35152] = 6,
    ACTIONS(1417), 1,
      sym_identifier,
    ACTIONS(1419), 1,
      anon_sym_LPAREN,
    STATE(938), 1,
      sym_boolean,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(373), 2,
      sym_indirect_access,
      sym_function_call,
  [35174] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym__end_of_line,
    STATE(840), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1421), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35194] = 5,
    ACTIONS(1425), 1,
      anon_sym_LT,
    STATE(663), 1,
      sym__end_of_line,
    STATE(869), 1,
      sym_superclasses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1423), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35214] = 7,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      sym_identifier,
    STATE(787), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
  [35238] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym__end_of_line,
    STATE(881), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1429), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35258] = 5,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(873), 1,
      sym_default_value,
    STATE(1037), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1431), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35278] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1433), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_LF,
      anon_sym_CR,
  [35292] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1439), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(727), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35314] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym__end_of_line,
    STATE(871), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1441), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35334] = 4,
    ACTIONS(1445), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1443), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1447), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35352] = 6,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      anon_sym_LPAREN,
    STATE(921), 1,
      sym_boolean,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(286), 2,
      sym_indirect_access,
      sym_function_call,
  [35374] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__end_of_line,
    STATE(874), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1453), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35394] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(792), 1,
      sym__end_of_line,
    STATE(867), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1455), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35414] = 4,
    ACTIONS(1459), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1461), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35432] = 4,
    ACTIONS(1465), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1467), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35450] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(741), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35472] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1471), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(742), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35494] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1473), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(750), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35516] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1473), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(742), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35538] = 7,
    ACTIONS(1173), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      sym_identifier,
    STATE(738), 1,
      sym_function_call,
    STATE(903), 1,
      sym_boolean,
    STATE(978), 1,
      sym_indirect_access,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
  [35562] = 4,
    ACTIONS(1479), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1477), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1481), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35580] = 4,
    ACTIONS(1485), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1483), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1487), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35598] = 6,
    ACTIONS(1489), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_LPAREN,
    STATE(975), 1,
      sym_boolean,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(191), 2,
      sym_indirect_access,
      sym_function_call,
  [35620] = 4,
    ACTIONS(1495), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1493), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1497), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35638] = 5,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    STATE(856), 1,
      sym_default_value,
    STATE(1047), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1282), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35658] = 4,
    ACTIONS(1501), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1499), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1503), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35676] = 4,
    ACTIONS(1507), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1505), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1509), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35694] = 8,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    ACTIONS(1511), 1,
      anon_sym_COMMA,
    ACTIONS(1513), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      sym__args,
    STATE(1045), 1,
      aux_sym_validation_functions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [35720] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym__end_of_line,
    STATE(838), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1515), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35740] = 4,
    ACTIONS(1519), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1517), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1521), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35758] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1523), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(742), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35780] = 6,
    ACTIONS(1525), 1,
      sym_identifier,
    ACTIONS(1528), 1,
      anon_sym_TILDE,
    ACTIONS(1531), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(742), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35802] = 4,
    ACTIONS(1535), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1533), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1537), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35820] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1539), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(729), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35842] = 5,
    ACTIONS(1355), 1,
      anon_sym_LPAREN,
    STATE(67), 1,
      sym__end_of_line,
    STATE(888), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1541), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35862] = 4,
    ACTIONS(1545), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1543), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1547), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35880] = 5,
    ACTIONS(1425), 1,
      anon_sym_LT,
    STATE(659), 1,
      sym__end_of_line,
    STATE(854), 1,
      sym_superclasses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35900] = 6,
    ACTIONS(1551), 1,
      sym_identifier,
    ACTIONS(1553), 1,
      anon_sym_LPAREN,
    STATE(910), 1,
      sym_boolean,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(84), 2,
      sym_indirect_access,
      sym_function_call,
  [35922] = 4,
    ACTIONS(1555), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(19), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    ACTIONS(1557), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35940] = 6,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_TILDE,
    ACTIONS(1559), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_ignored_argument,
      sym_property_name,
    STATE(742), 2,
      sym_property,
      aux_sym_arguments_statement_repeat1,
  [35962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1561), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1563), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [35977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(20), 2,
      sym__end_of_line,
      aux_sym_elseif_clause_repeat1,
    ACTIONS(1565), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [35992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1493), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1497), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1499), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1503), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1505), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1509), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1517), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1521), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1569), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1533), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1537), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1571), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1573), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1543), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1547), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1575), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1577), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36127] = 5,
    ACTIONS(631), 1,
      aux_sym_matrix_token1,
    ACTIONS(1579), 1,
      sym__entry_delimiter,
    STATE(767), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(629), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36146] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36159] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1583), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36172] = 4,
    ACTIONS(1585), 1,
      ts_builtin_sym_end,
    ACTIONS(1587), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1533), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36189] = 4,
    ACTIONS(1589), 1,
      sym_identifier,
    STATE(817), 1,
      aux_sym_global_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1591), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36206] = 5,
    ACTIONS(1202), 1,
      aux_sym_matrix_token1,
    ACTIONS(1593), 1,
      sym__entry_delimiter,
    STATE(767), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1200), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36225] = 4,
    ACTIONS(1596), 1,
      ts_builtin_sym_end,
    ACTIONS(1598), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1517), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36242] = 6,
    ACTIONS(83), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elseif,
    ACTIONS(1602), 1,
      anon_sym_end,
    STATE(1189), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(886), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [36263] = 6,
    ACTIONS(83), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elseif,
    ACTIONS(1602), 1,
      anon_sym_end,
    STATE(1189), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(801), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [36284] = 6,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1604), 1,
      sym_identifier,
    STATE(1057), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1608), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36318] = 5,
    ACTIONS(609), 1,
      aux_sym_matrix_token1,
    ACTIONS(1137), 1,
      sym__entry_delimiter,
    STATE(767), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(607), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1610), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36350] = 4,
    ACTIONS(1614), 1,
      sym_command_argument,
    STATE(822), 1,
      aux_sym_command_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1612), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1618), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36382] = 6,
    ACTIONS(1620), 1,
      anon_sym_end,
    ACTIONS(1622), 1,
      anon_sym_case,
    ACTIONS(1624), 1,
      anon_sym_otherwise,
    STATE(1160), 1,
      sym_otherwise_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(883), 2,
      sym_case_clause,
      aux_sym_switch_statement_repeat1,
  [36403] = 6,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1626), 1,
      sym_identifier,
    STATE(1012), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36437] = 4,
    ACTIONS(145), 1,
      ts_builtin_sym_end,
    ACTIONS(153), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1443), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36454] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1632), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36467] = 4,
    ACTIONS(193), 1,
      ts_builtin_sym_end,
    ACTIONS(197), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1505), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1634), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1636), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36499] = 4,
    ACTIONS(1640), 1,
      anon_sym_AMP,
    STATE(821), 1,
      aux_sym_superclasses_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36516] = 4,
    ACTIONS(1642), 1,
      ts_builtin_sym_end,
    ACTIONS(1644), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1499), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36533] = 4,
    ACTIONS(1646), 1,
      ts_builtin_sym_end,
    ACTIONS(1648), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1493), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36550] = 6,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [36571] = 6,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1652), 1,
      sym_identifier,
    STATE(1074), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36592] = 4,
    ACTIONS(1658), 1,
      sym_command_argument,
    STATE(789), 1,
      aux_sym_command_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1656), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36609] = 5,
    ACTIONS(1153), 1,
      aux_sym_matrix_token1,
    ACTIONS(1155), 1,
      sym__entry_delimiter,
    STATE(773), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1151), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36628] = 4,
    ACTIONS(1661), 1,
      sym_identifier,
    STATE(819), 1,
      aux_sym_global_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1665), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1667), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36660] = 4,
    ACTIONS(1669), 1,
      sym_identifier,
    STATE(766), 1,
      aux_sym_global_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36677] = 6,
    ACTIONS(55), 1,
      sym__multioutput_variable_start,
    ACTIONS(1673), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_function_output,
    STATE(1218), 1,
      sym_multioutput_variable,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1675), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1677), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1679), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36713] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1681), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1477), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1481), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36741] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36754] = 4,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    ACTIONS(1687), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1543), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36784] = 6,
    ACTIONS(83), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elseif,
    ACTIONS(1691), 1,
      anon_sym_end,
    STATE(1226), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(886), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [36805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [36818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1385), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1389), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36833] = 4,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    STATE(804), 1,
      aux_sym_superclasses_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1695), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36850] = 4,
    ACTIONS(161), 1,
      ts_builtin_sym_end,
    ACTIONS(165), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36867] = 4,
    ACTIONS(199), 1,
      ts_builtin_sym_end,
    ACTIONS(203), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1483), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1702), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1706), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36914] = 4,
    ACTIONS(1708), 1,
      ts_builtin_sym_end,
    ACTIONS(1710), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1477), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36931] = 4,
    ACTIONS(167), 1,
      ts_builtin_sym_end,
    ACTIONS(171), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1385), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36948] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 3,
      anon_sym_end,
      anon_sym_function,
      sym_identifier,
    ACTIONS(1467), 3,
      sym__multioutput_variable_start,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [36963] = 5,
    ACTIONS(609), 1,
      aux_sym_matrix_token1,
    ACTIONS(1137), 1,
      sym__entry_delimiter,
    STATE(762), 1,
      aux_sym_row_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(607), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36982] = 4,
    ACTIONS(155), 1,
      ts_builtin_sym_end,
    ACTIONS(159), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [36999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [37012] = 6,
    ACTIONS(83), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elseif,
    ACTIONS(1714), 1,
      anon_sym_end,
    STATE(1216), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(769), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [37033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 6,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_properties,
      anon_sym_methods,
      anon_sym_events,
      anon_sym_enumeration,
  [37046] = 4,
    ACTIONS(1718), 1,
      sym_identifier,
    STATE(817), 1,
      aux_sym_global_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1721), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37063] = 6,
    ACTIONS(83), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elseif,
    ACTIONS(1714), 1,
      anon_sym_end,
    STATE(1216), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(886), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [37084] = 4,
    ACTIONS(1589), 1,
      sym_identifier,
    STATE(817), 1,
      aux_sym_global_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1723), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37101] = 6,
    ACTIONS(1622), 1,
      anon_sym_case,
    ACTIONS(1624), 1,
      anon_sym_otherwise,
    ACTIONS(1725), 1,
      anon_sym_end,
    STATE(1224), 1,
      sym_otherwise_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(883), 2,
      sym_case_clause,
      aux_sym_switch_statement_repeat1,
  [37122] = 4,
    ACTIONS(1640), 1,
      anon_sym_AMP,
    STATE(804), 1,
      aux_sym_superclasses_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1727), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37139] = 4,
    ACTIONS(1731), 1,
      sym_command_argument,
    STATE(789), 1,
      aux_sym_command_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1729), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37156] = 4,
    ACTIONS(1733), 1,
      sym__double_quote_string_end,
    STATE(823), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1735), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37172] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1195), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37192] = 3,
    STATE(185), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37206] = 3,
    STATE(239), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1175), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37220] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1227), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37240] = 3,
    STATE(728), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1746), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37254] = 4,
    ACTIONS(1748), 1,
      sym__single_quote_string_end,
    STATE(872), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37270] = 4,
    ACTIONS(1748), 1,
      sym__double_quote_string_end,
    STATE(823), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37286] = 3,
    STATE(1006), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1754), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37300] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1229), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37320] = 3,
    STATE(36), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37334] = 3,
    STATE(57), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1760), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37348] = 3,
    STATE(726), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1762), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37362] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1165), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37382] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1766), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1231), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37402] = 3,
    STATE(64), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37416] = 4,
    ACTIONS(1770), 1,
      sym__single_quote_string_end,
    STATE(851), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37432] = 3,
    STATE(23), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1774), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37446] = 4,
    ACTIONS(1770), 1,
      sym__double_quote_string_end,
    STATE(853), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37462] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1778), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1223), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1695), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LF,
      anon_sym_CR,
  [37494] = 3,
    STATE(179), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1198), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37508] = 3,
    STATE(21), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37522] = 4,
    ACTIONS(1782), 1,
      sym__double_quote_string_end,
    STATE(830), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1784), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37538] = 3,
    STATE(179), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1198), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37552] = 4,
    ACTIONS(1782), 1,
      sym__single_quote_string_end,
    STATE(829), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37568] = 6,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    ACTIONS(1788), 1,
      anon_sym_RPAREN,
    STATE(643), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37588] = 3,
    STATE(1140), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1790), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37602] = 4,
    ACTIONS(1792), 1,
      sym__single_quote_string_end,
    STATE(872), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37618] = 4,
    ACTIONS(1794), 1,
      sym__double_quote_string_end,
    STATE(823), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37634] = 4,
    ACTIONS(1792), 1,
      sym__double_quote_string_end,
    STATE(823), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37650] = 3,
    STATE(654), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37664] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1243), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37684] = 3,
    STATE(1037), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1431), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37698] = 3,
    STATE(43), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37712] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1802), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LF,
      anon_sym_CR,
  [37724] = 3,
    STATE(667), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37738] = 3,
    STATE(1016), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1806), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37752] = 3,
    STATE(185), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37766] = 3,
    ACTIONS(1810), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37780] = 4,
    ACTIONS(1812), 1,
      sym__double_quote_string_end,
    STATE(823), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37796] = 3,
    STATE(1136), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1814), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37810] = 4,
    ACTIONS(1812), 1,
      sym__single_quote_string_end,
    STATE(872), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37826] = 3,
    STATE(51), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1816), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37840] = 3,
    STATE(783), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37854] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1183), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37874] = 3,
    STATE(658), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1822), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37888] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1213), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37908] = 3,
    STATE(69), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37922] = 4,
    ACTIONS(1733), 1,
      sym__single_quote_string_end,
    STATE(872), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [37938] = 3,
    STATE(1021), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1831), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37952] = 3,
    STATE(42), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1833), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [37966] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1238), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [37986] = 3,
    STATE(226), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1837), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38000] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1192), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38020] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1841), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LF,
      anon_sym_CR,
  [38032] = 3,
    STATE(1030), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1242), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38046] = 4,
    ACTIONS(1794), 1,
      sym__single_quote_string_end,
    STATE(872), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [38062] = 3,
    STATE(30), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1843), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38076] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1845), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1197), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38096] = 4,
    ACTIONS(1849), 1,
      anon_sym_case,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1847), 2,
      anon_sym_end,
      anon_sym_otherwise,
    STATE(883), 2,
      sym_case_clause,
      aux_sym_switch_statement_repeat1,
  [38112] = 3,
    STATE(808), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38126] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1854), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1202), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38146] = 5,
    ACTIONS(1856), 1,
      anon_sym_elseif,
    ACTIONS(1859), 1,
      anon_sym_else,
    ACTIONS(1861), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(886), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [38164] = 3,
    STATE(53), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1863), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38178] = 3,
    STATE(50), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1865), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38192] = 4,
    ACTIONS(1867), 1,
      sym__single_quote_string_end,
    STATE(865), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1869), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [38208] = 5,
    ACTIONS(1871), 1,
      anon_sym_SEMI,
    ACTIONS(1874), 1,
      aux_sym_matrix_token1,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1877), 2,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38226] = 4,
    ACTIONS(1867), 1,
      sym__double_quote_string_end,
    STATE(863), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1879), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [38242] = 4,
    ACTIONS(1881), 1,
      sym__double_quote_string_end,
    STATE(852), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1883), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [38258] = 3,
    STATE(1047), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1282), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38272] = 4,
    ACTIONS(1881), 1,
      sym__single_quote_string_end,
    STATE(880), 1,
      aux_sym_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1885), 3,
      sym_formatting_sequence,
      sym_escape_sequence,
      sym_string_content,
  [38288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1202), 2,
      sym__entry_delimiter,
      aux_sym_matrix_token1,
    ACTIONS(1200), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38302] = 3,
    STATE(795), 1,
      sym__end_of_line,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1887), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38316] = 6,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_ignored_argument,
    STATE(1177), 1,
      sym__lambda_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38336] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1891), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38347] = 4,
    ACTIONS(217), 1,
      anon_sym_end,
    ACTIONS(1893), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(145), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [38362] = 5,
    ACTIONS(1895), 1,
      anon_sym_LPAREN,
    ACTIONS(1897), 1,
      anon_sym_AT,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1901), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38390] = 4,
    ACTIONS(336), 1,
      ts_builtin_sym_end,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(908), 2,
      sym_function_definition,
      aux_sym_source_file_repeat1,
  [38405] = 5,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    ACTIONS(1905), 1,
      anon_sym_AT,
    STATE(630), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38422] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1911), 1,
      anon_sym_RBRACK,
    STATE(911), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38439] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    STATE(915), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38456] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1915), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38467] = 4,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1917), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(908), 2,
      sym_function_definition,
      aux_sym_source_file_repeat1,
  [38482] = 4,
    ACTIONS(1919), 1,
      ts_builtin_sym_end,
    ACTIONS(1921), 1,
      anon_sym_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(908), 2,
      sym_function_definition,
      aux_sym_source_file_repeat1,
  [38497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1543), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38508] = 5,
    ACTIONS(1924), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_AT,
    ACTIONS(1928), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38525] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1930), 1,
      anon_sym_RBRACK,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38542] = 5,
    ACTIONS(1924), 1,
      anon_sym_LPAREN,
    ACTIONS(1928), 1,
      anon_sym_LBRACE,
    ACTIONS(1932), 1,
      anon_sym_AT,
    STATE(97), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38559] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1934), 1,
      anon_sym_RBRACE,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38576] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1936), 1,
      anon_sym_RBRACK,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38593] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38610] = 4,
    ACTIONS(1940), 1,
      anon_sym_end,
    ACTIONS(1942), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1585), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [38625] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1944), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38636] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1946), 1,
      anon_sym_RBRACE,
    STATE(913), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38653] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1948), 1,
      anon_sym_RBRACK,
    STATE(914), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1950), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38681] = 5,
    ACTIONS(1952), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38698] = 4,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [38713] = 4,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [38728] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1960), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38739] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1533), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38750] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1517), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38761] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38772] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1964), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38783] = 5,
    ACTIONS(1952), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE,
    ACTIONS(1966), 1,
      anon_sym_AT,
    STATE(362), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38800] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1968), 1,
      anon_sym_RBRACE,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38817] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1970), 1,
      anon_sym_RBRACK,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38834] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1972), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1974), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [38856] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1976), 1,
      anon_sym_RBRACE,
    STATE(930), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38873] = 4,
    ACTIONS(195), 1,
      anon_sym_end,
    ACTIONS(1978), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(193), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [38888] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(1980), 1,
      anon_sym_RBRACK,
    STATE(931), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38905] = 4,
    ACTIONS(1222), 1,
      anon_sym_COMMA,
    STATE(964), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1224), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [38920] = 5,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    ACTIONS(976), 1,
      anon_sym_AT,
    STATE(438), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38937] = 4,
    ACTIONS(1982), 1,
      anon_sym_end,
    ACTIONS(1984), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [38952] = 4,
    ACTIONS(1988), 1,
      anon_sym_DOT,
    STATE(966), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [38967] = 5,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_AT,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [38984] = 4,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1990), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [38999] = 3,
    ACTIONS(1992), 1,
      aux_sym_matrix_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1877), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [39012] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1505), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1499), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1493), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1996), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39067] = 4,
    ACTIONS(1998), 1,
      anon_sym_end,
    ACTIONS(2000), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1585), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39082] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2002), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39093] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2004), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39104] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2006), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2008), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39126] = 4,
    ACTIONS(149), 1,
      anon_sym_end,
    ACTIONS(2010), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(145), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2012), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39152] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2014), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39163] = 4,
    ACTIONS(215), 1,
      anon_sym_end,
    ACTIONS(2016), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(199), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39178] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2018), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39189] = 4,
    ACTIONS(2020), 1,
      anon_sym_end,
    ACTIONS(2022), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39204] = 4,
    ACTIONS(2024), 1,
      anon_sym_COMMA,
    STATE(1009), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2026), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [39219] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(2028), 1,
      anon_sym_RBRACE,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39236] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(2030), 1,
      anon_sym_RBRACK,
    STATE(890), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39253] = 4,
    ACTIONS(169), 1,
      anon_sym_end,
    ACTIONS(2032), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39268] = 4,
    ACTIONS(2034), 1,
      anon_sym_COMMA,
    STATE(1009), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2026), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [39283] = 4,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2039), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [39298] = 4,
    ACTIONS(2043), 1,
      anon_sym_DOT,
    STATE(604), 1,
      aux_sym_metaclass_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2041), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [39313] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    STATE(961), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1483), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39341] = 5,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(1909), 1,
      aux_sym_matrix_token1,
    ACTIONS(2047), 1,
      anon_sym_RBRACK,
    STATE(962), 1,
      aux_sym_matrix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1477), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2049), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1385), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2051), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39402] = 5,
    ACTIONS(2053), 1,
      sym_identifier,
    ACTIONS(2056), 1,
      anon_sym_end,
    STATE(864), 1,
      sym_enum,
    STATE(974), 1,
      aux_sym_enumeration_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39419] = 5,
    ACTIONS(1895), 1,
      anon_sym_LPAREN,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    ACTIONS(2058), 1,
      anon_sym_AT,
    STATE(203), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39436] = 5,
    ACTIONS(2060), 1,
      sym_identifier,
    ACTIONS(2062), 1,
      anon_sym_end,
    STATE(864), 1,
      sym_enum,
    STATE(974), 1,
      aux_sym_enumeration_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2064), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39464] = 5,
    ACTIONS(1097), 1,
      anon_sym_AT,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2066), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2068), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39503] = 4,
    ACTIONS(205), 1,
      anon_sym_end,
    ACTIONS(2070), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(193), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39518] = 4,
    ACTIONS(189), 1,
      anon_sym_end,
    ACTIONS(2072), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(161), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2074), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39544] = 4,
    ACTIONS(157), 1,
      anon_sym_end,
    ACTIONS(2076), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(155), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2080), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39581] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39592] = 4,
    ACTIONS(2084), 1,
      anon_sym_end,
    ACTIONS(2086), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2088), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39618] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2090), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2092), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39640] = 5,
    ACTIONS(2060), 1,
      sym_identifier,
    ACTIONS(2094), 1,
      anon_sym_end,
    STATE(864), 1,
      sym_enum,
    STATE(1005), 1,
      aux_sym_enumeration_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39657] = 4,
    ACTIONS(179), 1,
      anon_sym_end,
    ACTIONS(2096), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(155), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39672] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2098), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39683] = 4,
    ACTIONS(163), 1,
      anon_sym_end,
    ACTIONS(2100), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(161), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39698] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1443), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39709] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39720] = 4,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_arguments_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2104), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [39735] = 4,
    ACTIONS(201), 1,
      anon_sym_end,
    ACTIONS(2106), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(199), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39750] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2108), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39761] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39772] = 4,
    ACTIONS(2110), 1,
      anon_sym_end,
    ACTIONS(2112), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39798] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2114), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39809] = 5,
    ACTIONS(2060), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_end,
    STATE(864), 1,
      sym_enum,
    STATE(974), 1,
      aux_sym_enumeration_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39826] = 5,
    ACTIONS(2060), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_end,
    STATE(864), 1,
      sym_enum,
    STATE(976), 1,
      aux_sym_enumeration_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39843] = 4,
    ACTIONS(213), 1,
      anon_sym_end,
    ACTIONS(2118), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39858] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2120), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LF,
      anon_sym_CR,
  [39869] = 4,
    ACTIONS(2122), 1,
      anon_sym_COMMA,
    STATE(1009), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2125), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [39884] = 4,
    ACTIONS(2127), 1,
      anon_sym_COMMA,
    ACTIONS(2129), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      aux_sym__argument_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39898] = 3,
    ACTIONS(2131), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [39910] = 3,
    ACTIONS(2133), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2135), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [39922] = 4,
    ACTIONS(2137), 1,
      sym_identifier,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym_iterator,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39936] = 4,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2143), 1,
      anon_sym_LPAREN,
    STATE(1215), 1,
      sym_attributes,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39950] = 4,
    ACTIONS(2145), 1,
      sym_identifier,
    ACTIONS(2147), 1,
      anon_sym_end,
    STATE(1055), 1,
      aux_sym_events_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39964] = 4,
    ACTIONS(2145), 1,
      sym_identifier,
    ACTIONS(2147), 1,
      anon_sym_end,
    STATE(1049), 1,
      aux_sym_events_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [39978] = 3,
    ACTIONS(2149), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2151), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [39990] = 3,
    ACTIONS(2153), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40002] = 4,
    ACTIONS(2127), 1,
      anon_sym_COMMA,
    ACTIONS(2155), 1,
      anon_sym_RPAREN,
    STATE(1010), 1,
      aux_sym__argument_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40016] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2157), 3,
      anon_sym_end,
      anon_sym_case,
      anon_sym_otherwise,
  [40026] = 3,
    ACTIONS(2161), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2159), 2,
      anon_sym_end,
      sym_identifier,
  [40038] = 3,
    ACTIONS(2163), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1685), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40050] = 3,
    ACTIONS(2167), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2165), 2,
      anon_sym_elseif,
      anon_sym_end,
  [40062] = 3,
    ACTIONS(2169), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(145), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40074] = 3,
    ACTIONS(2171), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2173), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [40086] = 4,
    ACTIONS(2175), 1,
      anon_sym_end,
    ACTIONS(2177), 1,
      anon_sym_catch,
    STATE(1154), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40100] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1301), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [40110] = 4,
    ACTIONS(1924), 1,
      anon_sym_LPAREN,
    ACTIONS(1928), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40124] = 4,
    ACTIONS(1924), 1,
      anon_sym_LPAREN,
    ACTIONS(1928), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40138] = 3,
    ACTIONS(2181), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2179), 2,
      anon_sym_end,
      sym_identifier,
  [40150] = 3,
    ACTIONS(2183), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(161), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40162] = 3,
    ACTIONS(2185), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(155), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40174] = 4,
    ACTIONS(2145), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_end,
    STATE(1015), 1,
      aux_sym_events_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40188] = 4,
    ACTIONS(2189), 1,
      anon_sym_COMMA,
    ACTIONS(2192), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40202] = 4,
    ACTIONS(1650), 1,
      anon_sym_RBRACE,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      aux_sym_validation_functions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40216] = 4,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2200), 1,
      anon_sym_RPAREN,
    STATE(1036), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40230] = 3,
    ACTIONS(2204), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 2,
      anon_sym_end,
      sym_identifier,
  [40242] = 4,
    ACTIONS(1952), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE,
    STATE(363), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40256] = 4,
    ACTIONS(1952), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40270] = 4,
    ACTIONS(2206), 1,
      anon_sym_COMMA,
    ACTIONS(2209), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40284] = 4,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(2211), 1,
      sym_number,
    STATE(1070), 1,
      sym_spread_operator,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40298] = 3,
    ACTIONS(2213), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1585), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40310] = 3,
    ACTIONS(2215), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1596), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40322] = 4,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2219), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40336] = 4,
    ACTIONS(1511), 1,
      anon_sym_COMMA,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    STATE(1035), 1,
      aux_sym_validation_functions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40350] = 3,
    ACTIONS(2225), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2223), 2,
      anon_sym_end,
      sym_identifier,
  [40362] = 3,
    ACTIONS(2229), 1,
      anon_sym_TILDE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2227), 2,
      anon_sym_end,
      sym_identifier,
  [40374] = 3,
    ACTIONS(2231), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2233), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [40386] = 4,
    ACTIONS(2145), 1,
      sym_identifier,
    ACTIONS(2235), 1,
      anon_sym_end,
    STATE(1055), 1,
      aux_sym_events_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40400] = 3,
    ACTIONS(2239), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [40412] = 4,
    ACTIONS(2241), 1,
      anon_sym_COMMA,
    ACTIONS(2243), 1,
      anon_sym_RPAREN,
    STATE(1065), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40426] = 4,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(385), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40440] = 4,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40454] = 4,
    ACTIONS(2245), 1,
      anon_sym_COMMA,
    ACTIONS(2247), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40468] = 4,
    ACTIONS(2249), 1,
      sym_identifier,
    ACTIONS(2252), 1,
      anon_sym_end,
    STATE(1055), 1,
      aux_sym_events_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40482] = 4,
    ACTIONS(651), 1,
      anon_sym_COLON,
    ACTIONS(2254), 1,
      sym_number,
    STATE(1147), 1,
      sym_spread_operator,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40496] = 3,
    ACTIONS(2256), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2258), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [40508] = 3,
    ACTIONS(113), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2260), 2,
      anon_sym_elseif,
      anon_sym_end,
  [40520] = 4,
    ACTIONS(2262), 1,
      anon_sym_COMMA,
    ACTIONS(2265), 1,
      anon_sym_RPAREN,
    STATE(1059), 1,
      aux_sym__lambda_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40534] = 3,
    ACTIONS(2267), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(193), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40546] = 3,
    ACTIONS(2269), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40558] = 4,
    ACTIONS(2177), 1,
      anon_sym_catch,
    ACTIONS(2271), 1,
      anon_sym_end,
    STATE(1239), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40572] = 4,
    ACTIONS(2273), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_RPAREN,
    STATE(1068), 1,
      aux_sym__lambda_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40586] = 3,
    ACTIONS(2277), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(199), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40598] = 4,
    ACTIONS(2241), 1,
      anon_sym_COMMA,
    ACTIONS(2279), 1,
      anon_sym_RPAREN,
    STATE(1036), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40612] = 4,
    ACTIONS(2281), 1,
      anon_sym_COMMA,
    ACTIONS(2284), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      aux_sym__argument_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40626] = 3,
    ACTIONS(2286), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40638] = 4,
    ACTIONS(2273), 1,
      anon_sym_COMMA,
    ACTIONS(2288), 1,
      anon_sym_RPAREN,
    STATE(1059), 1,
      aux_sym__lambda_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40652] = 4,
    ACTIONS(1095), 1,
      anon_sym_TILDE,
    ACTIONS(2290), 1,
      sym_identifier,
    STATE(1132), 1,
      sym_ignored_argument,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40666] = 4,
    ACTIONS(2245), 1,
      anon_sym_COMMA,
    ACTIONS(2292), 1,
      anon_sym_RPAREN,
    STATE(1054), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40680] = 4,
    ACTIONS(1895), 1,
      anon_sym_LPAREN,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40694] = 4,
    ACTIONS(1895), 1,
      anon_sym_LPAREN,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40708] = 4,
    ACTIONS(2241), 1,
      anon_sym_COMMA,
    ACTIONS(2294), 1,
      anon_sym_RPAREN,
    STATE(1079), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40722] = 3,
    ACTIONS(2296), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2298), 2,
      anon_sym_get_DOT,
      anon_sym_set_DOT,
  [40734] = 4,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(634), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [40758] = 4,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1210), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym__args,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40772] = 4,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2302), 1,
      anon_sym_RPAREN,
    STATE(1044), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40786] = 4,
    ACTIONS(2241), 1,
      anon_sym_COMMA,
    ACTIONS(2304), 1,
      anon_sym_RPAREN,
    STATE(1036), 1,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40800] = 3,
    ACTIONS(2306), 1,
      sym_identifier,
    ACTIONS(2308), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40811] = 3,
    ACTIONS(2310), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40822] = 3,
    ACTIONS(2314), 1,
      anon_sym_end,
    ACTIONS(2316), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40833] = 3,
    ACTIONS(2310), 1,
      sym_identifier,
    ACTIONS(2318), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40844] = 3,
    ACTIONS(243), 1,
      anon_sym_end,
    ACTIONS(2320), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40855] = 3,
    ACTIONS(328), 1,
      anon_sym_end,
    ACTIONS(2322), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40866] = 3,
    ACTIONS(2324), 1,
      sym_identifier,
    ACTIONS(2326), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40877] = 3,
    ACTIONS(2328), 1,
      sym_identifier,
    ACTIONS(2330), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40888] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1028), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40899] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1029), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40910] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1038), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40921] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40930] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [40939] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1039), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40950] = 3,
    ACTIONS(2137), 1,
      sym_identifier,
    STATE(17), 1,
      sym_iterator,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40961] = 3,
    ACTIONS(239), 1,
      anon_sym_end,
    ACTIONS(2334), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40972] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1052), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40983] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1053), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [40994] = 3,
    ACTIONS(231), 1,
      anon_sym_end,
    ACTIONS(2336), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41005] = 3,
    ACTIONS(227), 1,
      anon_sym_end,
    ACTIONS(2338), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41016] = 3,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41027] = 3,
    ACTIONS(225), 1,
      anon_sym_end,
    ACTIONS(2344), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41038] = 3,
    ACTIONS(2346), 1,
      sym_identifier,
    STATE(1144), 1,
      sym_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2348), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41058] = 3,
    ACTIONS(223), 1,
      anon_sym_end,
    ACTIONS(2350), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41069] = 3,
    ACTIONS(2352), 1,
      anon_sym_end,
    ACTIONS(2354), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41080] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2356), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41089] = 3,
    ACTIONS(249), 1,
      anon_sym_end,
    ACTIONS(2358), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41100] = 3,
    ACTIONS(2324), 1,
      sym_identifier,
    ACTIONS(2360), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41111] = 3,
    ACTIONS(2362), 1,
      anon_sym_end,
    ACTIONS(2364), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41122] = 3,
    ACTIONS(237), 1,
      anon_sym_end,
    ACTIONS(2366), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41133] = 3,
    ACTIONS(2368), 1,
      anon_sym_end,
    ACTIONS(2370), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41144] = 3,
    ACTIONS(2372), 1,
      sym_identifier,
    STATE(1161), 1,
      sym_iterator,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [41164] = 3,
    ACTIONS(2346), 1,
      sym_identifier,
    STATE(1051), 1,
      sym_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41175] = 3,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(2376), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1685), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41195] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1077), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41206] = 3,
    ACTIONS(2378), 1,
      anon_sym_end,
    ACTIONS(2380), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41217] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1075), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41228] = 3,
    ACTIONS(2382), 1,
      sym_identifier,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41239] = 3,
    ACTIONS(2346), 1,
      sym_identifier,
    STATE(1073), 1,
      sym_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41250] = 3,
    ACTIONS(2386), 1,
      sym_identifier,
    ACTIONS(2388), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41261] = 3,
    ACTIONS(334), 1,
      anon_sym_end,
    ACTIONS(2390), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41272] = 3,
    ACTIONS(2392), 1,
      sym_identifier,
    ACTIONS(2394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41283] = 3,
    ACTIONS(2306), 1,
      sym_identifier,
    ACTIONS(2396), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41294] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41303] = 3,
    ACTIONS(2382), 1,
      sym_identifier,
    ACTIONS(2398), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41314] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41323] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1071), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41334] = 3,
    ACTIONS(2386), 1,
      sym_identifier,
    ACTIONS(2400), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41345] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(193), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41354] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2265), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41372] = 3,
    ACTIONS(2392), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41383] = 3,
    ACTIONS(2332), 1,
      sym_identifier,
    STATE(1072), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41394] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2056), 2,
      anon_sym_end,
      sym_identifier,
  [41403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [41412] = 3,
    ACTIONS(229), 1,
      anon_sym_end,
    ACTIONS(2408), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(155), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41432] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2252), 2,
      anon_sym_end,
      sym_identifier,
  [41441] = 3,
    ACTIONS(2410), 1,
      sym_identifier,
    STATE(843), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41452] = 3,
    ACTIONS(2410), 1,
      sym_identifier,
    STATE(784), 1,
      sym_property_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41463] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41472] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2200), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41481] = 3,
    ACTIONS(2412), 1,
      sym_identifier,
    ACTIONS(2414), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41492] = 3,
    ACTIONS(2416), 1,
      sym_identifier,
    ACTIONS(2418), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2420), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41521] = 3,
    ACTIONS(2422), 1,
      anon_sym_end,
    ACTIONS(2424), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41532] = 3,
    ACTIONS(247), 1,
      anon_sym_end,
    ACTIONS(2426), 1,
      anon_sym_endfunction,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1585), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1596), 2,
      ts_builtin_sym_end,
      anon_sym_function,
  [41561] = 2,
    ACTIONS(2428), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41569] = 2,
    ACTIONS(2271), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41577] = 2,
    ACTIONS(1725), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41585] = 2,
    ACTIONS(2430), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41593] = 2,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41601] = 2,
    ACTIONS(2434), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41609] = 2,
    ACTIONS(2436), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41617] = 2,
    ACTIONS(2438), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41625] = 2,
    ACTIONS(2440), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41633] = 2,
    ACTIONS(2442), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41641] = 2,
    ACTIONS(2444), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41649] = 2,
    ACTIONS(1714), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41657] = 2,
    ACTIONS(2446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41665] = 2,
    ACTIONS(2448), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41673] = 2,
    ACTIONS(2450), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41681] = 2,
    ACTIONS(2452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41689] = 2,
    ACTIONS(2454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41697] = 2,
    ACTIONS(2452), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41705] = 2,
    ACTIONS(2456), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41713] = 2,
    ACTIONS(2458), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41721] = 2,
    ACTIONS(2460), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41729] = 2,
    ACTIONS(2462), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41737] = 2,
    ACTIONS(2464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41745] = 2,
    ACTIONS(2466), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41753] = 2,
    ACTIONS(2468), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41761] = 2,
    ACTIONS(2470), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41769] = 2,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41777] = 2,
    ACTIONS(2472), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41785] = 2,
    ACTIONS(1788), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41793] = 2,
    ACTIONS(2474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41801] = 2,
    ACTIONS(2476), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41809] = 2,
    ACTIONS(2478), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41817] = 2,
    ACTIONS(2480), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41825] = 2,
    ACTIONS(2478), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41833] = 2,
    ACTIONS(2482), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41841] = 2,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41849] = 2,
    ACTIONS(1691), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41857] = 2,
    ACTIONS(2482), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41865] = 2,
    ACTIONS(2486), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41873] = 2,
    ACTIONS(2488), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41881] = 2,
    ACTIONS(2490), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41889] = 2,
    ACTIONS(2492), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41897] = 2,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41905] = 2,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41913] = 2,
    ACTIONS(2498), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41921] = 2,
    ACTIONS(2500), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41929] = 2,
    ACTIONS(2502), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41937] = 2,
    ACTIONS(2504), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41945] = 2,
    ACTIONS(2506), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41953] = 2,
    ACTIONS(2508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41961] = 2,
    ACTIONS(2510), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41969] = 2,
    ACTIONS(2512), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41977] = 2,
    ACTIONS(2512), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41985] = 2,
    ACTIONS(2514), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [41993] = 2,
    ACTIONS(2175), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42001] = 2,
    ACTIONS(2516), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42009] = 2,
    ACTIONS(2518), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42017] = 2,
    ACTIONS(2520), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42025] = 2,
    ACTIONS(2522), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42033] = 2,
    ACTIONS(2524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42041] = 2,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42049] = 2,
    ACTIONS(2528), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42057] = 2,
    ACTIONS(2530), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42065] = 2,
    ACTIONS(1602), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42073] = 2,
    ACTIONS(2532), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42081] = 2,
    ACTIONS(2534), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42089] = 2,
    ACTIONS(2536), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42097] = 2,
    ACTIONS(2538), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42105] = 2,
    ACTIONS(2540), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42113] = 2,
    ACTIONS(2542), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42121] = 2,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42129] = 2,
    ACTIONS(1620), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42137] = 2,
    ACTIONS(2546), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42145] = 2,
    ACTIONS(2548), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42153] = 2,
    ACTIONS(2550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42161] = 2,
    ACTIONS(2552), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42169] = 2,
    ACTIONS(2554), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42177] = 2,
    ACTIONS(2556), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42185] = 2,
    ACTIONS(2558), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42193] = 2,
    ACTIONS(2560), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42201] = 2,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42209] = 2,
    ACTIONS(2564), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42217] = 2,
    ACTIONS(2566), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42225] = 2,
    ACTIONS(2568), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42233] = 2,
    ACTIONS(2570), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42241] = 2,
    ACTIONS(2572), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42249] = 2,
    ACTIONS(2574), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42257] = 2,
    ACTIONS(2576), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42265] = 2,
    ACTIONS(2576), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42273] = 2,
    ACTIONS(2578), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42281] = 2,
    ACTIONS(2580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42289] = 2,
    ACTIONS(2582), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42297] = 2,
    ACTIONS(2584), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42305] = 2,
    ACTIONS(2324), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42313] = 2,
    ACTIONS(2586), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [42321] = 2,
    ACTIONS(2588), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(76)] = 0,
  [SMALL_STATE(77)] = 89,
  [SMALL_STATE(78)] = 178,
  [SMALL_STATE(79)] = 263,
  [SMALL_STATE(80)] = 348,
  [SMALL_STATE(81)] = 437,
  [SMALL_STATE(82)] = 511,
  [SMALL_STATE(83)] = 585,
  [SMALL_STATE(84)] = 659,
  [SMALL_STATE(85)] = 737,
  [SMALL_STATE(86)] = 811,
  [SMALL_STATE(87)] = 885,
  [SMALL_STATE(88)] = 959,
  [SMALL_STATE(89)] = 1033,
  [SMALL_STATE(90)] = 1102,
  [SMALL_STATE(91)] = 1171,
  [SMALL_STATE(92)] = 1254,
  [SMALL_STATE(93)] = 1333,
  [SMALL_STATE(94)] = 1412,
  [SMALL_STATE(95)] = 1481,
  [SMALL_STATE(96)] = 1550,
  [SMALL_STATE(97)] = 1619,
  [SMALL_STATE(98)] = 1688,
  [SMALL_STATE(99)] = 1757,
  [SMALL_STATE(100)] = 1826,
  [SMALL_STATE(101)] = 1909,
  [SMALL_STATE(102)] = 1992,
  [SMALL_STATE(103)] = 2060,
  [SMALL_STATE(104)] = 2130,
  [SMALL_STATE(105)] = 2204,
  [SMALL_STATE(106)] = 2276,
  [SMALL_STATE(107)] = 2346,
  [SMALL_STATE(108)] = 2414,
  [SMALL_STATE(109)] = 2486,
  [SMALL_STATE(110)] = 2556,
  [SMALL_STATE(111)] = 2624,
  [SMALL_STATE(112)] = 2696,
  [SMALL_STATE(113)] = 2764,
  [SMALL_STATE(114)] = 2834,
  [SMALL_STATE(115)] = 2908,
  [SMALL_STATE(116)] = 2982,
  [SMALL_STATE(117)] = 3054,
  [SMALL_STATE(118)] = 3128,
  [SMALL_STATE(119)] = 3202,
  [SMALL_STATE(120)] = 3272,
  [SMALL_STATE(121)] = 3348,
  [SMALL_STATE(122)] = 3418,
  [SMALL_STATE(123)] = 3488,
  [SMALL_STATE(124)] = 3560,
  [SMALL_STATE(125)] = 3628,
  [SMALL_STATE(126)] = 3696,
  [SMALL_STATE(127)] = 3766,
  [SMALL_STATE(128)] = 3838,
  [SMALL_STATE(129)] = 3906,
  [SMALL_STATE(130)] = 3980,
  [SMALL_STATE(131)] = 4048,
  [SMALL_STATE(132)] = 4118,
  [SMALL_STATE(133)] = 4192,
  [SMALL_STATE(134)] = 4260,
  [SMALL_STATE(135)] = 4334,
  [SMALL_STATE(136)] = 4408,
  [SMALL_STATE(137)] = 4478,
  [SMALL_STATE(138)] = 4546,
  [SMALL_STATE(139)] = 4614,
  [SMALL_STATE(140)] = 4682,
  [SMALL_STATE(141)] = 4756,
  [SMALL_STATE(142)] = 4830,
  [SMALL_STATE(143)] = 4900,
  [SMALL_STATE(144)] = 4974,
  [SMALL_STATE(145)] = 5042,
  [SMALL_STATE(146)] = 5112,
  [SMALL_STATE(147)] = 5182,
  [SMALL_STATE(148)] = 5252,
  [SMALL_STATE(149)] = 5323,
  [SMALL_STATE(150)] = 5394,
  [SMALL_STATE(151)] = 5461,
  [SMALL_STATE(152)] = 5530,
  [SMALL_STATE(153)] = 5589,
  [SMALL_STATE(154)] = 5648,
  [SMALL_STATE(155)] = 5707,
  [SMALL_STATE(156)] = 5766,
  [SMALL_STATE(157)] = 5825,
  [SMALL_STATE(158)] = 5879,
  [SMALL_STATE(159)] = 5984,
  [SMALL_STATE(160)] = 6041,
  [SMALL_STATE(161)] = 6095,
  [SMALL_STATE(162)] = 6194,
  [SMALL_STATE(163)] = 6293,
  [SMALL_STATE(164)] = 6390,
  [SMALL_STATE(165)] = 6489,
  [SMALL_STATE(166)] = 6589,
  [SMALL_STATE(167)] = 6689,
  [SMALL_STATE(168)] = 6789,
  [SMALL_STATE(169)] = 6889,
  [SMALL_STATE(170)] = 6989,
  [SMALL_STATE(171)] = 7089,
  [SMALL_STATE(172)] = 7189,
  [SMALL_STATE(173)] = 7241,
  [SMALL_STATE(174)] = 7341,
  [SMALL_STATE(175)] = 7441,
  [SMALL_STATE(176)] = 7541,
  [SMALL_STATE(177)] = 7641,
  [SMALL_STATE(178)] = 7741,
  [SMALL_STATE(179)] = 7841,
  [SMALL_STATE(180)] = 7893,
  [SMALL_STATE(181)] = 7993,
  [SMALL_STATE(182)] = 8093,
  [SMALL_STATE(183)] = 8193,
  [SMALL_STATE(184)] = 8293,
  [SMALL_STATE(185)] = 8393,
  [SMALL_STATE(186)] = 8445,
  [SMALL_STATE(187)] = 8497,
  [SMALL_STATE(188)] = 8549,
  [SMALL_STATE(189)] = 8649,
  [SMALL_STATE(190)] = 8712,
  [SMALL_STATE(191)] = 8771,
  [SMALL_STATE(192)] = 8824,
  [SMALL_STATE(193)] = 8887,
  [SMALL_STATE(194)] = 8946,
  [SMALL_STATE(195)] = 9009,
  [SMALL_STATE(196)] = 9103,
  [SMALL_STATE(197)] = 9147,
  [SMALL_STATE(198)] = 9241,
  [SMALL_STATE(199)] = 9335,
  [SMALL_STATE(200)] = 9379,
  [SMALL_STATE(201)] = 9473,
  [SMALL_STATE(202)] = 9517,
  [SMALL_STATE(203)] = 9561,
  [SMALL_STATE(204)] = 9605,
  [SMALL_STATE(205)] = 9649,
  [SMALL_STATE(206)] = 9693,
  [SMALL_STATE(207)] = 9756,
  [SMALL_STATE(208)] = 9809,
  [SMALL_STATE(209)] = 9872,
  [SMALL_STATE(210)] = 9925,
  [SMALL_STATE(211)] = 9984,
  [SMALL_STATE(212)] = 10075,
  [SMALL_STATE(213)] = 10166,
  [SMALL_STATE(214)] = 10257,
  [SMALL_STATE(215)] = 10314,
  [SMALL_STATE(216)] = 10377,
  [SMALL_STATE(217)] = 10434,
  [SMALL_STATE(218)] = 10491,
  [SMALL_STATE(219)] = 10584,
  [SMALL_STATE(220)] = 10647,
  [SMALL_STATE(221)] = 10706,
  [SMALL_STATE(222)] = 10799,
  [SMALL_STATE(223)] = 10883,
  [SMALL_STATE(224)] = 10971,
  [SMALL_STATE(225)] = 11059,
  [SMALL_STATE(226)] = 11147,
  [SMALL_STATE(227)] = 11195,
  [SMALL_STATE(228)] = 11283,
  [SMALL_STATE(229)] = 11371,
  [SMALL_STATE(230)] = 11455,
  [SMALL_STATE(231)] = 11543,
  [SMALL_STATE(232)] = 11627,
  [SMALL_STATE(233)] = 11711,
  [SMALL_STATE(234)] = 11795,
  [SMALL_STATE(235)] = 11883,
  [SMALL_STATE(236)] = 11971,
  [SMALL_STATE(237)] = 12059,
  [SMALL_STATE(238)] = 12147,
  [SMALL_STATE(239)] = 12235,
  [SMALL_STATE(240)] = 12283,
  [SMALL_STATE(241)] = 12371,
  [SMALL_STATE(242)] = 12437,
  [SMALL_STATE(243)] = 12525,
  [SMALL_STATE(244)] = 12613,
  [SMALL_STATE(245)] = 12701,
  [SMALL_STATE(246)] = 12789,
  [SMALL_STATE(247)] = 12877,
  [SMALL_STATE(248)] = 12965,
  [SMALL_STATE(249)] = 13053,
  [SMALL_STATE(250)] = 13141,
  [SMALL_STATE(251)] = 13229,
  [SMALL_STATE(252)] = 13317,
  [SMALL_STATE(253)] = 13365,
  [SMALL_STATE(254)] = 13453,
  [SMALL_STATE(255)] = 13541,
  [SMALL_STATE(256)] = 13629,
  [SMALL_STATE(257)] = 13717,
  [SMALL_STATE(258)] = 13805,
  [SMALL_STATE(259)] = 13893,
  [SMALL_STATE(260)] = 13941,
  [SMALL_STATE(261)] = 14029,
  [SMALL_STATE(262)] = 14117,
  [SMALL_STATE(263)] = 14205,
  [SMALL_STATE(264)] = 14293,
  [SMALL_STATE(265)] = 14381,
  [SMALL_STATE(266)] = 14469,
  [SMALL_STATE(267)] = 14557,
  [SMALL_STATE(268)] = 14645,
  [SMALL_STATE(269)] = 14733,
  [SMALL_STATE(270)] = 14821,
  [SMALL_STATE(271)] = 14909,
  [SMALL_STATE(272)] = 14997,
  [SMALL_STATE(273)] = 15085,
  [SMALL_STATE(274)] = 15173,
  [SMALL_STATE(275)] = 15219,
  [SMALL_STATE(276)] = 15307,
  [SMALL_STATE(277)] = 15395,
  [SMALL_STATE(278)] = 15461,
  [SMALL_STATE(279)] = 15549,
  [SMALL_STATE(280)] = 15637,
  [SMALL_STATE(281)] = 15725,
  [SMALL_STATE(282)] = 15791,
  [SMALL_STATE(283)] = 15879,
  [SMALL_STATE(284)] = 15967,
  [SMALL_STATE(285)] = 16055,
  [SMALL_STATE(286)] = 16143,
  [SMALL_STATE(287)] = 16195,
  [SMALL_STATE(288)] = 16283,
  [SMALL_STATE(289)] = 16371,
  [SMALL_STATE(290)] = 16459,
  [SMALL_STATE(291)] = 16547,
  [SMALL_STATE(292)] = 16635,
  [SMALL_STATE(293)] = 16723,
  [SMALL_STATE(294)] = 16811,
  [SMALL_STATE(295)] = 16899,
  [SMALL_STATE(296)] = 16987,
  [SMALL_STATE(297)] = 17075,
  [SMALL_STATE(298)] = 17141,
  [SMALL_STATE(299)] = 17229,
  [SMALL_STATE(300)] = 17317,
  [SMALL_STATE(301)] = 17405,
  [SMALL_STATE(302)] = 17453,
  [SMALL_STATE(303)] = 17541,
  [SMALL_STATE(304)] = 17629,
  [SMALL_STATE(305)] = 17717,
  [SMALL_STATE(306)] = 17759,
  [SMALL_STATE(307)] = 17847,
  [SMALL_STATE(308)] = 17931,
  [SMALL_STATE(309)] = 18019,
  [SMALL_STATE(310)] = 18107,
  [SMALL_STATE(311)] = 18191,
  [SMALL_STATE(312)] = 18275,
  [SMALL_STATE(313)] = 18363,
  [SMALL_STATE(314)] = 18447,
  [SMALL_STATE(315)] = 18535,
  [SMALL_STATE(316)] = 18623,
  [SMALL_STATE(317)] = 18707,
  [SMALL_STATE(318)] = 18791,
  [SMALL_STATE(319)] = 18879,
  [SMALL_STATE(320)] = 18967,
  [SMALL_STATE(321)] = 19055,
  [SMALL_STATE(322)] = 19139,
  [SMALL_STATE(323)] = 19223,
  [SMALL_STATE(324)] = 19307,
  [SMALL_STATE(325)] = 19395,
  [SMALL_STATE(326)] = 19483,
  [SMALL_STATE(327)] = 19571,
  [SMALL_STATE(328)] = 19659,
  [SMALL_STATE(329)] = 19747,
  [SMALL_STATE(330)] = 19835,
  [SMALL_STATE(331)] = 19923,
  [SMALL_STATE(332)] = 20011,
  [SMALL_STATE(333)] = 20095,
  [SMALL_STATE(334)] = 20183,
  [SMALL_STATE(335)] = 20271,
  [SMALL_STATE(336)] = 20359,
  [SMALL_STATE(337)] = 20443,
  [SMALL_STATE(338)] = 20527,
  [SMALL_STATE(339)] = 20573,
  [SMALL_STATE(340)] = 20657,
  [SMALL_STATE(341)] = 20745,
  [SMALL_STATE(342)] = 20829,
  [SMALL_STATE(343)] = 20917,
  [SMALL_STATE(344)] = 20965,
  [SMALL_STATE(345)] = 21049,
  [SMALL_STATE(346)] = 21137,
  [SMALL_STATE(347)] = 21200,
  [SMALL_STATE(348)] = 21245,
  [SMALL_STATE(349)] = 21302,
  [SMALL_STATE(350)] = 21367,
  [SMALL_STATE(351)] = 21412,
  [SMALL_STATE(352)] = 21457,
  [SMALL_STATE(353)] = 21510,
  [SMALL_STATE(354)] = 21553,
  [SMALL_STATE(355)] = 21610,
  [SMALL_STATE(356)] = 21673,
  [SMALL_STATE(357)] = 21716,
  [SMALL_STATE(358)] = 21759,
  [SMALL_STATE(359)] = 21816,
  [SMALL_STATE(360)] = 21873,
  [SMALL_STATE(361)] = 21936,
  [SMALL_STATE(362)] = 21981,
  [SMALL_STATE(363)] = 22024,
  [SMALL_STATE(364)] = 22067,
  [SMALL_STATE(365)] = 22120,
  [SMALL_STATE(366)] = 22163,
  [SMALL_STATE(367)] = 22208,
  [SMALL_STATE(368)] = 22265,
  [SMALL_STATE(369)] = 22328,
  [SMALL_STATE(370)] = 22371,
  [SMALL_STATE(371)] = 22413,
  [SMALL_STATE(372)] = 22477,
  [SMALL_STATE(373)] = 22519,
  [SMALL_STATE(374)] = 22569,
  [SMALL_STATE(375)] = 22609,
  [SMALL_STATE(376)] = 22651,
  [SMALL_STATE(377)] = 22693,
  [SMALL_STATE(378)] = 22735,
  [SMALL_STATE(379)] = 22797,
  [SMALL_STATE(380)] = 22838,
  [SMALL_STATE(381)] = 22879,
  [SMALL_STATE(382)] = 22924,
  [SMALL_STATE(383)] = 22965,
  [SMALL_STATE(384)] = 23010,
  [SMALL_STATE(385)] = 23055,
  [SMALL_STATE(386)] = 23096,
  [SMALL_STATE(387)] = 23137,
  [SMALL_STATE(388)] = 23176,
  [SMALL_STATE(389)] = 23221,
  [SMALL_STATE(390)] = 23262,
  [SMALL_STATE(391)] = 23303,
  [SMALL_STATE(392)] = 23342,
  [SMALL_STATE(393)] = 23381,
  [SMALL_STATE(394)] = 23438,
  [SMALL_STATE(395)] = 23481,
  [SMALL_STATE(396)] = 23528,
  [SMALL_STATE(397)] = 23573,
  [SMALL_STATE(398)] = 23618,
  [SMALL_STATE(399)] = 23657,
  [SMALL_STATE(400)] = 23700,
  [SMALL_STATE(401)] = 23739,
  [SMALL_STATE(402)] = 23802,
  [SMALL_STATE(403)] = 23841,
  [SMALL_STATE(404)] = 23882,
  [SMALL_STATE(405)] = 23927,
  [SMALL_STATE(406)] = 23972,
  [SMALL_STATE(407)] = 24013,
  [SMALL_STATE(408)] = 24054,
  [SMALL_STATE(409)] = 24111,
  [SMALL_STATE(410)] = 24150,
  [SMALL_STATE(411)] = 24191,
  [SMALL_STATE(412)] = 24236,
  [SMALL_STATE(413)] = 24277,
  [SMALL_STATE(414)] = 24316,
  [SMALL_STATE(415)] = 24379,
  [SMALL_STATE(416)] = 24424,
  [SMALL_STATE(417)] = 24469,
  [SMALL_STATE(418)] = 24514,
  [SMALL_STATE(419)] = 24555,
  [SMALL_STATE(420)] = 24598,
  [SMALL_STATE(421)] = 24641,
  [SMALL_STATE(422)] = 24682,
  [SMALL_STATE(423)] = 24723,
  [SMALL_STATE(424)] = 24764,
  [SMALL_STATE(425)] = 24821,
  [SMALL_STATE(426)] = 24866,
  [SMALL_STATE(427)] = 24905,
  [SMALL_STATE(428)] = 24950,
  [SMALL_STATE(429)] = 25013,
  [SMALL_STATE(430)] = 25064,
  [SMALL_STATE(431)] = 25109,
  [SMALL_STATE(432)] = 25150,
  [SMALL_STATE(433)] = 25191,
  [SMALL_STATE(434)] = 25232,
  [SMALL_STATE(435)] = 25295,
  [SMALL_STATE(436)] = 25358,
  [SMALL_STATE(437)] = 25419,
  [SMALL_STATE(438)] = 25458,
  [SMALL_STATE(439)] = 25499,
  [SMALL_STATE(440)] = 25544,
  [SMALL_STATE(441)] = 25583,
  [SMALL_STATE(442)] = 25626,
  [SMALL_STATE(443)] = 25671,
  [SMALL_STATE(444)] = 25722,
  [SMALL_STATE(445)] = 25767,
  [SMALL_STATE(446)] = 25806,
  [SMALL_STATE(447)] = 25849,
  [SMALL_STATE(448)] = 25894,
  [SMALL_STATE(449)] = 25952,
  [SMALL_STATE(450)] = 25992,
  [SMALL_STATE(451)] = 26032,
  [SMALL_STATE(452)] = 26077,
  [SMALL_STATE(453)] = 26122,
  [SMALL_STATE(454)] = 26161,
  [SMALL_STATE(455)] = 26204,
  [SMALL_STATE(456)] = 26245,
  [SMALL_STATE(457)] = 26288,
  [SMALL_STATE(458)] = 26327,
  [SMALL_STATE(459)] = 26372,
  [SMALL_STATE(460)] = 26411,
  [SMALL_STATE(461)] = 26454,
  [SMALL_STATE(462)] = 26497,
  [SMALL_STATE(463)] = 26540,
  [SMALL_STATE(464)] = 26579,
  [SMALL_STATE(465)] = 26624,
  [SMALL_STATE(466)] = 26669,
  [SMALL_STATE(467)] = 26708,
  [SMALL_STATE(468)] = 26751,
  [SMALL_STATE(469)] = 26794,
  [SMALL_STATE(470)] = 26835,
  [SMALL_STATE(471)] = 26876,
  [SMALL_STATE(472)] = 26921,
  [SMALL_STATE(473)] = 26966,
  [SMALL_STATE(474)] = 27007,
  [SMALL_STATE(475)] = 27054,
  [SMALL_STATE(476)] = 27097,
  [SMALL_STATE(477)] = 27142,
  [SMALL_STATE(478)] = 27181,
  [SMALL_STATE(479)] = 27222,
  [SMALL_STATE(480)] = 27267,
  [SMALL_STATE(481)] = 27308,
  [SMALL_STATE(482)] = 27349,
  [SMALL_STATE(483)] = 27392,
  [SMALL_STATE(484)] = 27435,
  [SMALL_STATE(485)] = 27476,
  [SMALL_STATE(486)] = 27517,
  [SMALL_STATE(487)] = 27556,
  [SMALL_STATE(488)] = 27595,
  [SMALL_STATE(489)] = 27634,
  [SMALL_STATE(490)] = 27677,
  [SMALL_STATE(491)] = 27720,
  [SMALL_STATE(492)] = 27763,
  [SMALL_STATE(493)] = 27804,
  [SMALL_STATE(494)] = 27845,
  [SMALL_STATE(495)] = 27888,
  [SMALL_STATE(496)] = 27933,
  [SMALL_STATE(497)] = 27972,
  [SMALL_STATE(498)] = 28013,
  [SMALL_STATE(499)] = 28052,
  [SMALL_STATE(500)] = 28097,
  [SMALL_STATE(501)] = 28142,
  [SMALL_STATE(502)] = 28183,
  [SMALL_STATE(503)] = 28224,
  [SMALL_STATE(504)] = 28263,
  [SMALL_STATE(505)] = 28308,
  [SMALL_STATE(506)] = 28350,
  [SMALL_STATE(507)] = 28392,
  [SMALL_STATE(508)] = 28430,
  [SMALL_STATE(509)] = 28470,
  [SMALL_STATE(510)] = 28508,
  [SMALL_STATE(511)] = 28545,
  [SMALL_STATE(512)] = 28588,
  [SMALL_STATE(513)] = 28633,
  [SMALL_STATE(514)] = 28678,
  [SMALL_STATE(515)] = 28717,
  [SMALL_STATE(516)] = 28762,
  [SMALL_STATE(517)] = 28803,
  [SMALL_STATE(518)] = 28840,
  [SMALL_STATE(519)] = 28885,
  [SMALL_STATE(520)] = 28922,
  [SMALL_STATE(521)] = 28967,
  [SMALL_STATE(522)] = 29010,
  [SMALL_STATE(523)] = 29053,
  [SMALL_STATE(524)] = 29092,
  [SMALL_STATE(525)] = 29133,
  [SMALL_STATE(526)] = 29172,
  [SMALL_STATE(527)] = 29209,
  [SMALL_STATE(528)] = 29248,
  [SMALL_STATE(529)] = 29289,
  [SMALL_STATE(530)] = 29326,
  [SMALL_STATE(531)] = 29363,
  [SMALL_STATE(532)] = 29402,
  [SMALL_STATE(533)] = 29443,
  [SMALL_STATE(534)] = 29486,
  [SMALL_STATE(535)] = 29525,
  [SMALL_STATE(536)] = 29562,
  [SMALL_STATE(537)] = 29607,
  [SMALL_STATE(538)] = 29652,
  [SMALL_STATE(539)] = 29697,
  [SMALL_STATE(540)] = 29736,
  [SMALL_STATE(541)] = 29779,
  [SMALL_STATE(542)] = 29816,
  [SMALL_STATE(543)] = 29861,
  [SMALL_STATE(544)] = 29898,
  [SMALL_STATE(545)] = 29941,
  [SMALL_STATE(546)] = 29978,
  [SMALL_STATE(547)] = 30015,
  [SMALL_STATE(548)] = 30054,
  [SMALL_STATE(549)] = 30099,
  [SMALL_STATE(550)] = 30136,
  [SMALL_STATE(551)] = 30177,
  [SMALL_STATE(552)] = 30222,
  [SMALL_STATE(553)] = 30261,
  [SMALL_STATE(554)] = 30306,
  [SMALL_STATE(555)] = 30345,
  [SMALL_STATE(556)] = 30383,
  [SMALL_STATE(557)] = 30427,
  [SMALL_STATE(558)] = 30467,
  [SMALL_STATE(559)] = 30511,
  [SMALL_STATE(560)] = 30555,
  [SMALL_STATE(561)] = 30597,
  [SMALL_STATE(562)] = 30639,
  [SMALL_STATE(563)] = 30685,
  [SMALL_STATE(564)] = 30731,
  [SMALL_STATE(565)] = 30776,
  [SMALL_STATE(566)] = 30821,
  [SMALL_STATE(567)] = 30866,
  [SMALL_STATE(568)] = 30909,
  [SMALL_STATE(569)] = 30954,
  [SMALL_STATE(570)] = 30999,
  [SMALL_STATE(571)] = 31044,
  [SMALL_STATE(572)] = 31089,
  [SMALL_STATE(573)] = 31134,
  [SMALL_STATE(574)] = 31179,
  [SMALL_STATE(575)] = 31224,
  [SMALL_STATE(576)] = 31269,
  [SMALL_STATE(577)] = 31314,
  [SMALL_STATE(578)] = 31359,
  [SMALL_STATE(579)] = 31400,
  [SMALL_STATE(580)] = 31445,
  [SMALL_STATE(581)] = 31490,
  [SMALL_STATE(582)] = 31532,
  [SMALL_STATE(583)] = 31574,
  [SMALL_STATE(584)] = 31612,
  [SMALL_STATE(585)] = 31654,
  [SMALL_STATE(586)] = 31696,
  [SMALL_STATE(587)] = 31736,
  [SMALL_STATE(588)] = 31778,
  [SMALL_STATE(589)] = 31820,
  [SMALL_STATE(590)] = 31859,
  [SMALL_STATE(591)] = 31898,
  [SMALL_STATE(592)] = 31937,
  [SMALL_STATE(593)] = 31971,
  [SMALL_STATE(594)] = 32000,
  [SMALL_STATE(595)] = 32045,
  [SMALL_STATE(596)] = 32098,
  [SMALL_STATE(597)] = 32126,
  [SMALL_STATE(598)] = 32154,
  [SMALL_STATE(599)] = 32182,
  [SMALL_STATE(600)] = 32210,
  [SMALL_STATE(601)] = 32257,
  [SMALL_STATE(602)] = 32285,
  [SMALL_STATE(603)] = 32313,
  [SMALL_STATE(604)] = 32341,
  [SMALL_STATE(605)] = 32369,
  [SMALL_STATE(606)] = 32397,
  [SMALL_STATE(607)] = 32425,
  [SMALL_STATE(608)] = 32466,
  [SMALL_STATE(609)] = 32495,
  [SMALL_STATE(610)] = 32518,
  [SMALL_STATE(611)] = 32551,
  [SMALL_STATE(612)] = 32580,
  [SMALL_STATE(613)] = 32609,
  [SMALL_STATE(614)] = 32642,
  [SMALL_STATE(615)] = 32671,
  [SMALL_STATE(616)] = 32694,
  [SMALL_STATE(617)] = 32723,
  [SMALL_STATE(618)] = 32749,
  [SMALL_STATE(619)] = 32787,
  [SMALL_STATE(620)] = 32815,
  [SMALL_STATE(621)] = 32853,
  [SMALL_STATE(622)] = 32891,
  [SMALL_STATE(623)] = 32917,
  [SMALL_STATE(624)] = 32943,
  [SMALL_STATE(625)] = 32969,
  [SMALL_STATE(626)] = 32997,
  [SMALL_STATE(627)] = 33025,
  [SMALL_STATE(628)] = 33053,
  [SMALL_STATE(629)] = 33076,
  [SMALL_STATE(630)] = 33109,
  [SMALL_STATE(631)] = 33130,
  [SMALL_STATE(632)] = 33151,
  [SMALL_STATE(633)] = 33190,
  [SMALL_STATE(634)] = 33215,
  [SMALL_STATE(635)] = 33236,
  [SMALL_STATE(636)] = 33267,
  [SMALL_STATE(637)] = 33288,
  [SMALL_STATE(638)] = 33319,
  [SMALL_STATE(639)] = 33350,
  [SMALL_STATE(640)] = 33381,
  [SMALL_STATE(641)] = 33412,
  [SMALL_STATE(642)] = 33443,
  [SMALL_STATE(643)] = 33464,
  [SMALL_STATE(644)] = 33485,
  [SMALL_STATE(645)] = 33510,
  [SMALL_STATE(646)] = 33543,
  [SMALL_STATE(647)] = 33575,
  [SMALL_STATE(648)] = 33609,
  [SMALL_STATE(649)] = 33643,
  [SMALL_STATE(650)] = 33673,
  [SMALL_STATE(651)] = 33707,
  [SMALL_STATE(652)] = 33739,
  [SMALL_STATE(653)] = 33769,
  [SMALL_STATE(654)] = 33795,
  [SMALL_STATE(655)] = 33825,
  [SMALL_STATE(656)] = 33859,
  [SMALL_STATE(657)] = 33889,
  [SMALL_STATE(658)] = 33917,
  [SMALL_STATE(659)] = 33947,
  [SMALL_STATE(660)] = 33977,
  [SMALL_STATE(661)] = 34007,
  [SMALL_STATE(662)] = 34037,
  [SMALL_STATE(663)] = 34071,
  [SMALL_STATE(664)] = 34101,
  [SMALL_STATE(665)] = 34135,
  [SMALL_STATE(666)] = 34169,
  [SMALL_STATE(667)] = 34201,
  [SMALL_STATE(668)] = 34235,
  [SMALL_STATE(669)] = 34261,
  [SMALL_STATE(670)] = 34292,
  [SMALL_STATE(671)] = 34317,
  [SMALL_STATE(672)] = 34334,
  [SMALL_STATE(673)] = 34351,
  [SMALL_STATE(674)] = 34376,
  [SMALL_STATE(675)] = 34395,
  [SMALL_STATE(676)] = 34419,
  [SMALL_STATE(677)] = 34443,
  [SMALL_STATE(678)] = 34467,
  [SMALL_STATE(679)] = 34493,
  [SMALL_STATE(680)] = 34517,
  [SMALL_STATE(681)] = 34539,
  [SMALL_STATE(682)] = 34563,
  [SMALL_STATE(683)] = 34579,
  [SMALL_STATE(684)] = 34601,
  [SMALL_STATE(685)] = 34627,
  [SMALL_STATE(686)] = 34647,
  [SMALL_STATE(687)] = 34664,
  [SMALL_STATE(688)] = 34687,
  [SMALL_STATE(689)] = 34710,
  [SMALL_STATE(690)] = 34731,
  [SMALL_STATE(691)] = 34752,
  [SMALL_STATE(692)] = 34775,
  [SMALL_STATE(693)] = 34798,
  [SMALL_STATE(694)] = 34819,
  [SMALL_STATE(695)] = 34840,
  [SMALL_STATE(696)] = 34863,
  [SMALL_STATE(697)] = 34884,
  [SMALL_STATE(698)] = 34902,
  [SMALL_STATE(699)] = 34922,
  [SMALL_STATE(700)] = 34940,
  [SMALL_STATE(701)] = 34956,
  [SMALL_STATE(702)] = 34976,
  [SMALL_STATE(703)] = 34996,
  [SMALL_STATE(704)] = 35016,
  [SMALL_STATE(705)] = 35036,
  [SMALL_STATE(706)] = 35056,
  [SMALL_STATE(707)] = 35070,
  [SMALL_STATE(708)] = 35090,
  [SMALL_STATE(709)] = 35110,
  [SMALL_STATE(710)] = 35130,
  [SMALL_STATE(711)] = 35152,
  [SMALL_STATE(712)] = 35174,
  [SMALL_STATE(713)] = 35194,
  [SMALL_STATE(714)] = 35214,
  [SMALL_STATE(715)] = 35238,
  [SMALL_STATE(716)] = 35258,
  [SMALL_STATE(717)] = 35278,
  [SMALL_STATE(718)] = 35292,
  [SMALL_STATE(719)] = 35314,
  [SMALL_STATE(720)] = 35334,
  [SMALL_STATE(721)] = 35352,
  [SMALL_STATE(722)] = 35374,
  [SMALL_STATE(723)] = 35394,
  [SMALL_STATE(724)] = 35414,
  [SMALL_STATE(725)] = 35432,
  [SMALL_STATE(726)] = 35450,
  [SMALL_STATE(727)] = 35472,
  [SMALL_STATE(728)] = 35494,
  [SMALL_STATE(729)] = 35516,
  [SMALL_STATE(730)] = 35538,
  [SMALL_STATE(731)] = 35562,
  [SMALL_STATE(732)] = 35580,
  [SMALL_STATE(733)] = 35598,
  [SMALL_STATE(734)] = 35620,
  [SMALL_STATE(735)] = 35638,
  [SMALL_STATE(736)] = 35658,
  [SMALL_STATE(737)] = 35676,
  [SMALL_STATE(738)] = 35694,
  [SMALL_STATE(739)] = 35720,
  [SMALL_STATE(740)] = 35740,
  [SMALL_STATE(741)] = 35758,
  [SMALL_STATE(742)] = 35780,
  [SMALL_STATE(743)] = 35802,
  [SMALL_STATE(744)] = 35820,
  [SMALL_STATE(745)] = 35842,
  [SMALL_STATE(746)] = 35862,
  [SMALL_STATE(747)] = 35880,
  [SMALL_STATE(748)] = 35900,
  [SMALL_STATE(749)] = 35922,
  [SMALL_STATE(750)] = 35940,
  [SMALL_STATE(751)] = 35962,
  [SMALL_STATE(752)] = 35977,
  [SMALL_STATE(753)] = 35992,
  [SMALL_STATE(754)] = 36007,
  [SMALL_STATE(755)] = 36022,
  [SMALL_STATE(756)] = 36037,
  [SMALL_STATE(757)] = 36052,
  [SMALL_STATE(758)] = 36067,
  [SMALL_STATE(759)] = 36082,
  [SMALL_STATE(760)] = 36097,
  [SMALL_STATE(761)] = 36112,
  [SMALL_STATE(762)] = 36127,
  [SMALL_STATE(763)] = 36146,
  [SMALL_STATE(764)] = 36159,
  [SMALL_STATE(765)] = 36172,
  [SMALL_STATE(766)] = 36189,
  [SMALL_STATE(767)] = 36206,
  [SMALL_STATE(768)] = 36225,
  [SMALL_STATE(769)] = 36242,
  [SMALL_STATE(770)] = 36263,
  [SMALL_STATE(771)] = 36284,
  [SMALL_STATE(772)] = 36305,
  [SMALL_STATE(773)] = 36318,
  [SMALL_STATE(774)] = 36337,
  [SMALL_STATE(775)] = 36350,
  [SMALL_STATE(776)] = 36367,
  [SMALL_STATE(777)] = 36382,
  [SMALL_STATE(778)] = 36403,
  [SMALL_STATE(779)] = 36424,
  [SMALL_STATE(780)] = 36437,
  [SMALL_STATE(781)] = 36454,
  [SMALL_STATE(782)] = 36467,
  [SMALL_STATE(783)] = 36484,
  [SMALL_STATE(784)] = 36499,
  [SMALL_STATE(785)] = 36516,
  [SMALL_STATE(786)] = 36533,
  [SMALL_STATE(787)] = 36550,
  [SMALL_STATE(788)] = 36571,
  [SMALL_STATE(789)] = 36592,
  [SMALL_STATE(790)] = 36609,
  [SMALL_STATE(791)] = 36628,
  [SMALL_STATE(792)] = 36645,
  [SMALL_STATE(793)] = 36660,
  [SMALL_STATE(794)] = 36677,
  [SMALL_STATE(795)] = 36698,
  [SMALL_STATE(796)] = 36713,
  [SMALL_STATE(797)] = 36726,
  [SMALL_STATE(798)] = 36741,
  [SMALL_STATE(799)] = 36754,
  [SMALL_STATE(800)] = 36771,
  [SMALL_STATE(801)] = 36784,
  [SMALL_STATE(802)] = 36805,
  [SMALL_STATE(803)] = 36818,
  [SMALL_STATE(804)] = 36833,
  [SMALL_STATE(805)] = 36850,
  [SMALL_STATE(806)] = 36867,
  [SMALL_STATE(807)] = 36884,
  [SMALL_STATE(808)] = 36899,
  [SMALL_STATE(809)] = 36914,
  [SMALL_STATE(810)] = 36931,
  [SMALL_STATE(811)] = 36948,
  [SMALL_STATE(812)] = 36963,
  [SMALL_STATE(813)] = 36982,
  [SMALL_STATE(814)] = 36999,
  [SMALL_STATE(815)] = 37012,
  [SMALL_STATE(816)] = 37033,
  [SMALL_STATE(817)] = 37046,
  [SMALL_STATE(818)] = 37063,
  [SMALL_STATE(819)] = 37084,
  [SMALL_STATE(820)] = 37101,
  [SMALL_STATE(821)] = 37122,
  [SMALL_STATE(822)] = 37139,
  [SMALL_STATE(823)] = 37156,
  [SMALL_STATE(824)] = 37172,
  [SMALL_STATE(825)] = 37192,
  [SMALL_STATE(826)] = 37206,
  [SMALL_STATE(827)] = 37220,
  [SMALL_STATE(828)] = 37240,
  [SMALL_STATE(829)] = 37254,
  [SMALL_STATE(830)] = 37270,
  [SMALL_STATE(831)] = 37286,
  [SMALL_STATE(832)] = 37300,
  [SMALL_STATE(833)] = 37320,
  [SMALL_STATE(834)] = 37334,
  [SMALL_STATE(835)] = 37348,
  [SMALL_STATE(836)] = 37362,
  [SMALL_STATE(837)] = 37382,
  [SMALL_STATE(838)] = 37402,
  [SMALL_STATE(839)] = 37416,
  [SMALL_STATE(840)] = 37432,
  [SMALL_STATE(841)] = 37446,
  [SMALL_STATE(842)] = 37462,
  [SMALL_STATE(843)] = 37482,
  [SMALL_STATE(844)] = 37494,
  [SMALL_STATE(845)] = 37508,
  [SMALL_STATE(846)] = 37522,
  [SMALL_STATE(847)] = 37538,
  [SMALL_STATE(848)] = 37552,
  [SMALL_STATE(849)] = 37568,
  [SMALL_STATE(850)] = 37588,
  [SMALL_STATE(851)] = 37602,
  [SMALL_STATE(852)] = 37618,
  [SMALL_STATE(853)] = 37634,
  [SMALL_STATE(854)] = 37650,
  [SMALL_STATE(855)] = 37664,
  [SMALL_STATE(856)] = 37684,
  [SMALL_STATE(857)] = 37698,
  [SMALL_STATE(858)] = 37712,
  [SMALL_STATE(859)] = 37724,
  [SMALL_STATE(860)] = 37738,
  [SMALL_STATE(861)] = 37752,
  [SMALL_STATE(862)] = 37766,
  [SMALL_STATE(863)] = 37780,
  [SMALL_STATE(864)] = 37796,
  [SMALL_STATE(865)] = 37810,
  [SMALL_STATE(866)] = 37826,
  [SMALL_STATE(867)] = 37840,
  [SMALL_STATE(868)] = 37854,
  [SMALL_STATE(869)] = 37874,
  [SMALL_STATE(870)] = 37888,
  [SMALL_STATE(871)] = 37908,
  [SMALL_STATE(872)] = 37922,
  [SMALL_STATE(873)] = 37938,
  [SMALL_STATE(874)] = 37952,
  [SMALL_STATE(875)] = 37966,
  [SMALL_STATE(876)] = 37986,
  [SMALL_STATE(877)] = 38000,
  [SMALL_STATE(878)] = 38020,
  [SMALL_STATE(879)] = 38032,
  [SMALL_STATE(880)] = 38046,
  [SMALL_STATE(881)] = 38062,
  [SMALL_STATE(882)] = 38076,
  [SMALL_STATE(883)] = 38096,
  [SMALL_STATE(884)] = 38112,
  [SMALL_STATE(885)] = 38126,
  [SMALL_STATE(886)] = 38146,
  [SMALL_STATE(887)] = 38164,
  [SMALL_STATE(888)] = 38178,
  [SMALL_STATE(889)] = 38192,
  [SMALL_STATE(890)] = 38208,
  [SMALL_STATE(891)] = 38226,
  [SMALL_STATE(892)] = 38242,
  [SMALL_STATE(893)] = 38258,
  [SMALL_STATE(894)] = 38272,
  [SMALL_STATE(895)] = 38288,
  [SMALL_STATE(896)] = 38302,
  [SMALL_STATE(897)] = 38316,
  [SMALL_STATE(898)] = 38336,
  [SMALL_STATE(899)] = 38347,
  [SMALL_STATE(900)] = 38362,
  [SMALL_STATE(901)] = 38379,
  [SMALL_STATE(902)] = 38390,
  [SMALL_STATE(903)] = 38405,
  [SMALL_STATE(904)] = 38422,
  [SMALL_STATE(905)] = 38439,
  [SMALL_STATE(906)] = 38456,
  [SMALL_STATE(907)] = 38467,
  [SMALL_STATE(908)] = 38482,
  [SMALL_STATE(909)] = 38497,
  [SMALL_STATE(910)] = 38508,
  [SMALL_STATE(911)] = 38525,
  [SMALL_STATE(912)] = 38542,
  [SMALL_STATE(913)] = 38559,
  [SMALL_STATE(914)] = 38576,
  [SMALL_STATE(915)] = 38593,
  [SMALL_STATE(916)] = 38610,
  [SMALL_STATE(917)] = 38625,
  [SMALL_STATE(918)] = 38636,
  [SMALL_STATE(919)] = 38653,
  [SMALL_STATE(920)] = 38670,
  [SMALL_STATE(921)] = 38681,
  [SMALL_STATE(922)] = 38698,
  [SMALL_STATE(923)] = 38713,
  [SMALL_STATE(924)] = 38728,
  [SMALL_STATE(925)] = 38739,
  [SMALL_STATE(926)] = 38750,
  [SMALL_STATE(927)] = 38761,
  [SMALL_STATE(928)] = 38772,
  [SMALL_STATE(929)] = 38783,
  [SMALL_STATE(930)] = 38800,
  [SMALL_STATE(931)] = 38817,
  [SMALL_STATE(932)] = 38834,
  [SMALL_STATE(933)] = 38845,
  [SMALL_STATE(934)] = 38856,
  [SMALL_STATE(935)] = 38873,
  [SMALL_STATE(936)] = 38888,
  [SMALL_STATE(937)] = 38905,
  [SMALL_STATE(938)] = 38920,
  [SMALL_STATE(939)] = 38937,
  [SMALL_STATE(940)] = 38952,
  [SMALL_STATE(941)] = 38967,
  [SMALL_STATE(942)] = 38984,
  [SMALL_STATE(943)] = 38999,
  [SMALL_STATE(944)] = 39012,
  [SMALL_STATE(945)] = 39023,
  [SMALL_STATE(946)] = 39034,
  [SMALL_STATE(947)] = 39045,
  [SMALL_STATE(948)] = 39056,
  [SMALL_STATE(949)] = 39067,
  [SMALL_STATE(950)] = 39082,
  [SMALL_STATE(951)] = 39093,
  [SMALL_STATE(952)] = 39104,
  [SMALL_STATE(953)] = 39115,
  [SMALL_STATE(954)] = 39126,
  [SMALL_STATE(955)] = 39141,
  [SMALL_STATE(956)] = 39152,
  [SMALL_STATE(957)] = 39163,
  [SMALL_STATE(958)] = 39178,
  [SMALL_STATE(959)] = 39189,
  [SMALL_STATE(960)] = 39204,
  [SMALL_STATE(961)] = 39219,
  [SMALL_STATE(962)] = 39236,
  [SMALL_STATE(963)] = 39253,
  [SMALL_STATE(964)] = 39268,
  [SMALL_STATE(965)] = 39283,
  [SMALL_STATE(966)] = 39298,
  [SMALL_STATE(967)] = 39313,
  [SMALL_STATE(968)] = 39330,
  [SMALL_STATE(969)] = 39341,
  [SMALL_STATE(970)] = 39358,
  [SMALL_STATE(971)] = 39369,
  [SMALL_STATE(972)] = 39380,
  [SMALL_STATE(973)] = 39391,
  [SMALL_STATE(974)] = 39402,
  [SMALL_STATE(975)] = 39419,
  [SMALL_STATE(976)] = 39436,
  [SMALL_STATE(977)] = 39453,
  [SMALL_STATE(978)] = 39464,
  [SMALL_STATE(979)] = 39481,
  [SMALL_STATE(980)] = 39492,
  [SMALL_STATE(981)] = 39503,
  [SMALL_STATE(982)] = 39518,
  [SMALL_STATE(983)] = 39533,
  [SMALL_STATE(984)] = 39544,
  [SMALL_STATE(985)] = 39559,
  [SMALL_STATE(986)] = 39570,
  [SMALL_STATE(987)] = 39581,
  [SMALL_STATE(988)] = 39592,
  [SMALL_STATE(989)] = 39607,
  [SMALL_STATE(990)] = 39618,
  [SMALL_STATE(991)] = 39629,
  [SMALL_STATE(992)] = 39640,
  [SMALL_STATE(993)] = 39657,
  [SMALL_STATE(994)] = 39672,
  [SMALL_STATE(995)] = 39683,
  [SMALL_STATE(996)] = 39698,
  [SMALL_STATE(997)] = 39709,
  [SMALL_STATE(998)] = 39720,
  [SMALL_STATE(999)] = 39735,
  [SMALL_STATE(1000)] = 39750,
  [SMALL_STATE(1001)] = 39761,
  [SMALL_STATE(1002)] = 39772,
  [SMALL_STATE(1003)] = 39787,
  [SMALL_STATE(1004)] = 39798,
  [SMALL_STATE(1005)] = 39809,
  [SMALL_STATE(1006)] = 39826,
  [SMALL_STATE(1007)] = 39843,
  [SMALL_STATE(1008)] = 39858,
  [SMALL_STATE(1009)] = 39869,
  [SMALL_STATE(1010)] = 39884,
  [SMALL_STATE(1011)] = 39898,
  [SMALL_STATE(1012)] = 39910,
  [SMALL_STATE(1013)] = 39922,
  [SMALL_STATE(1014)] = 39936,
  [SMALL_STATE(1015)] = 39950,
  [SMALL_STATE(1016)] = 39964,
  [SMALL_STATE(1017)] = 39978,
  [SMALL_STATE(1018)] = 39990,
  [SMALL_STATE(1019)] = 40002,
  [SMALL_STATE(1020)] = 40016,
  [SMALL_STATE(1021)] = 40026,
  [SMALL_STATE(1022)] = 40038,
  [SMALL_STATE(1023)] = 40050,
  [SMALL_STATE(1024)] = 40062,
  [SMALL_STATE(1025)] = 40074,
  [SMALL_STATE(1026)] = 40086,
  [SMALL_STATE(1027)] = 40100,
  [SMALL_STATE(1028)] = 40110,
  [SMALL_STATE(1029)] = 40124,
  [SMALL_STATE(1030)] = 40138,
  [SMALL_STATE(1031)] = 40150,
  [SMALL_STATE(1032)] = 40162,
  [SMALL_STATE(1033)] = 40174,
  [SMALL_STATE(1034)] = 40188,
  [SMALL_STATE(1035)] = 40202,
  [SMALL_STATE(1036)] = 40216,
  [SMALL_STATE(1037)] = 40230,
  [SMALL_STATE(1038)] = 40242,
  [SMALL_STATE(1039)] = 40256,
  [SMALL_STATE(1040)] = 40270,
  [SMALL_STATE(1041)] = 40284,
  [SMALL_STATE(1042)] = 40298,
  [SMALL_STATE(1043)] = 40310,
  [SMALL_STATE(1044)] = 40322,
  [SMALL_STATE(1045)] = 40336,
  [SMALL_STATE(1046)] = 40350,
  [SMALL_STATE(1047)] = 40362,
  [SMALL_STATE(1048)] = 40374,
  [SMALL_STATE(1049)] = 40386,
  [SMALL_STATE(1050)] = 40400,
  [SMALL_STATE(1051)] = 40412,
  [SMALL_STATE(1052)] = 40426,
  [SMALL_STATE(1053)] = 40440,
  [SMALL_STATE(1054)] = 40454,
  [SMALL_STATE(1055)] = 40468,
  [SMALL_STATE(1056)] = 40482,
  [SMALL_STATE(1057)] = 40496,
  [SMALL_STATE(1058)] = 40508,
  [SMALL_STATE(1059)] = 40520,
  [SMALL_STATE(1060)] = 40534,
  [SMALL_STATE(1061)] = 40546,
  [SMALL_STATE(1062)] = 40558,
  [SMALL_STATE(1063)] = 40572,
  [SMALL_STATE(1064)] = 40586,
  [SMALL_STATE(1065)] = 40598,
  [SMALL_STATE(1066)] = 40612,
  [SMALL_STATE(1067)] = 40626,
  [SMALL_STATE(1068)] = 40638,
  [SMALL_STATE(1069)] = 40652,
  [SMALL_STATE(1070)] = 40666,
  [SMALL_STATE(1071)] = 40680,
  [SMALL_STATE(1072)] = 40694,
  [SMALL_STATE(1073)] = 40708,
  [SMALL_STATE(1074)] = 40722,
  [SMALL_STATE(1075)] = 40734,
  [SMALL_STATE(1076)] = 40748,
  [SMALL_STATE(1077)] = 40758,
  [SMALL_STATE(1078)] = 40772,
  [SMALL_STATE(1079)] = 40786,
  [SMALL_STATE(1080)] = 40800,
  [SMALL_STATE(1081)] = 40811,
  [SMALL_STATE(1082)] = 40822,
  [SMALL_STATE(1083)] = 40833,
  [SMALL_STATE(1084)] = 40844,
  [SMALL_STATE(1085)] = 40855,
  [SMALL_STATE(1086)] = 40866,
  [SMALL_STATE(1087)] = 40877,
  [SMALL_STATE(1088)] = 40888,
  [SMALL_STATE(1089)] = 40899,
  [SMALL_STATE(1090)] = 40910,
  [SMALL_STATE(1091)] = 40921,
  [SMALL_STATE(1092)] = 40930,
  [SMALL_STATE(1093)] = 40939,
  [SMALL_STATE(1094)] = 40950,
  [SMALL_STATE(1095)] = 40961,
  [SMALL_STATE(1096)] = 40972,
  [SMALL_STATE(1097)] = 40983,
  [SMALL_STATE(1098)] = 40994,
  [SMALL_STATE(1099)] = 41005,
  [SMALL_STATE(1100)] = 41016,
  [SMALL_STATE(1101)] = 41027,
  [SMALL_STATE(1102)] = 41038,
  [SMALL_STATE(1103)] = 41049,
  [SMALL_STATE(1104)] = 41058,
  [SMALL_STATE(1105)] = 41069,
  [SMALL_STATE(1106)] = 41080,
  [SMALL_STATE(1107)] = 41089,
  [SMALL_STATE(1108)] = 41100,
  [SMALL_STATE(1109)] = 41111,
  [SMALL_STATE(1110)] = 41122,
  [SMALL_STATE(1111)] = 41133,
  [SMALL_STATE(1112)] = 41144,
  [SMALL_STATE(1113)] = 41155,
  [SMALL_STATE(1114)] = 41164,
  [SMALL_STATE(1115)] = 41175,
  [SMALL_STATE(1116)] = 41186,
  [SMALL_STATE(1117)] = 41195,
  [SMALL_STATE(1118)] = 41206,
  [SMALL_STATE(1119)] = 41217,
  [SMALL_STATE(1120)] = 41228,
  [SMALL_STATE(1121)] = 41239,
  [SMALL_STATE(1122)] = 41250,
  [SMALL_STATE(1123)] = 41261,
  [SMALL_STATE(1124)] = 41272,
  [SMALL_STATE(1125)] = 41283,
  [SMALL_STATE(1126)] = 41294,
  [SMALL_STATE(1127)] = 41303,
  [SMALL_STATE(1128)] = 41314,
  [SMALL_STATE(1129)] = 41323,
  [SMALL_STATE(1130)] = 41334,
  [SMALL_STATE(1131)] = 41345,
  [SMALL_STATE(1132)] = 41354,
  [SMALL_STATE(1133)] = 41363,
  [SMALL_STATE(1134)] = 41372,
  [SMALL_STATE(1135)] = 41383,
  [SMALL_STATE(1136)] = 41394,
  [SMALL_STATE(1137)] = 41403,
  [SMALL_STATE(1138)] = 41412,
  [SMALL_STATE(1139)] = 41423,
  [SMALL_STATE(1140)] = 41432,
  [SMALL_STATE(1141)] = 41441,
  [SMALL_STATE(1142)] = 41452,
  [SMALL_STATE(1143)] = 41463,
  [SMALL_STATE(1144)] = 41472,
  [SMALL_STATE(1145)] = 41481,
  [SMALL_STATE(1146)] = 41492,
  [SMALL_STATE(1147)] = 41503,
  [SMALL_STATE(1148)] = 41512,
  [SMALL_STATE(1149)] = 41521,
  [SMALL_STATE(1150)] = 41532,
  [SMALL_STATE(1151)] = 41543,
  [SMALL_STATE(1152)] = 41552,
  [SMALL_STATE(1153)] = 41561,
  [SMALL_STATE(1154)] = 41569,
  [SMALL_STATE(1155)] = 41577,
  [SMALL_STATE(1156)] = 41585,
  [SMALL_STATE(1157)] = 41593,
  [SMALL_STATE(1158)] = 41601,
  [SMALL_STATE(1159)] = 41609,
  [SMALL_STATE(1160)] = 41617,
  [SMALL_STATE(1161)] = 41625,
  [SMALL_STATE(1162)] = 41633,
  [SMALL_STATE(1163)] = 41641,
  [SMALL_STATE(1164)] = 41649,
  [SMALL_STATE(1165)] = 41657,
  [SMALL_STATE(1166)] = 41665,
  [SMALL_STATE(1167)] = 41673,
  [SMALL_STATE(1168)] = 41681,
  [SMALL_STATE(1169)] = 41689,
  [SMALL_STATE(1170)] = 41697,
  [SMALL_STATE(1171)] = 41705,
  [SMALL_STATE(1172)] = 41713,
  [SMALL_STATE(1173)] = 41721,
  [SMALL_STATE(1174)] = 41729,
  [SMALL_STATE(1175)] = 41737,
  [SMALL_STATE(1176)] = 41745,
  [SMALL_STATE(1177)] = 41753,
  [SMALL_STATE(1178)] = 41761,
  [SMALL_STATE(1179)] = 41769,
  [SMALL_STATE(1180)] = 41777,
  [SMALL_STATE(1181)] = 41785,
  [SMALL_STATE(1182)] = 41793,
  [SMALL_STATE(1183)] = 41801,
  [SMALL_STATE(1184)] = 41809,
  [SMALL_STATE(1185)] = 41817,
  [SMALL_STATE(1186)] = 41825,
  [SMALL_STATE(1187)] = 41833,
  [SMALL_STATE(1188)] = 41841,
  [SMALL_STATE(1189)] = 41849,
  [SMALL_STATE(1190)] = 41857,
  [SMALL_STATE(1191)] = 41865,
  [SMALL_STATE(1192)] = 41873,
  [SMALL_STATE(1193)] = 41881,
  [SMALL_STATE(1194)] = 41889,
  [SMALL_STATE(1195)] = 41897,
  [SMALL_STATE(1196)] = 41905,
  [SMALL_STATE(1197)] = 41913,
  [SMALL_STATE(1198)] = 41921,
  [SMALL_STATE(1199)] = 41929,
  [SMALL_STATE(1200)] = 41937,
  [SMALL_STATE(1201)] = 41945,
  [SMALL_STATE(1202)] = 41953,
  [SMALL_STATE(1203)] = 41961,
  [SMALL_STATE(1204)] = 41969,
  [SMALL_STATE(1205)] = 41977,
  [SMALL_STATE(1206)] = 41985,
  [SMALL_STATE(1207)] = 41993,
  [SMALL_STATE(1208)] = 42001,
  [SMALL_STATE(1209)] = 42009,
  [SMALL_STATE(1210)] = 42017,
  [SMALL_STATE(1211)] = 42025,
  [SMALL_STATE(1212)] = 42033,
  [SMALL_STATE(1213)] = 42041,
  [SMALL_STATE(1214)] = 42049,
  [SMALL_STATE(1215)] = 42057,
  [SMALL_STATE(1216)] = 42065,
  [SMALL_STATE(1217)] = 42073,
  [SMALL_STATE(1218)] = 42081,
  [SMALL_STATE(1219)] = 42089,
  [SMALL_STATE(1220)] = 42097,
  [SMALL_STATE(1221)] = 42105,
  [SMALL_STATE(1222)] = 42113,
  [SMALL_STATE(1223)] = 42121,
  [SMALL_STATE(1224)] = 42129,
  [SMALL_STATE(1225)] = 42137,
  [SMALL_STATE(1226)] = 42145,
  [SMALL_STATE(1227)] = 42153,
  [SMALL_STATE(1228)] = 42161,
  [SMALL_STATE(1229)] = 42169,
  [SMALL_STATE(1230)] = 42177,
  [SMALL_STATE(1231)] = 42185,
  [SMALL_STATE(1232)] = 42193,
  [SMALL_STATE(1233)] = 42201,
  [SMALL_STATE(1234)] = 42209,
  [SMALL_STATE(1235)] = 42217,
  [SMALL_STATE(1236)] = 42225,
  [SMALL_STATE(1237)] = 42233,
  [SMALL_STATE(1238)] = 42241,
  [SMALL_STATE(1239)] = 42249,
  [SMALL_STATE(1240)] = 42257,
  [SMALL_STATE(1241)] = 42265,
  [SMALL_STATE(1242)] = 42273,
  [SMALL_STATE(1243)] = 42281,
  [SMALL_STATE(1244)] = 42289,
  [SMALL_STATE(1245)] = 42297,
  [SMALL_STATE(1246)] = 42305,
  [SMALL_STATE(1247)] = 42313,
  [SMALL_STATE(1248)] = 42321,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [93] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 2, 0, 7),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 3, 0, 7),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 3, 0, 7),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_otherwise_clause, 1, 0, 0),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1, 0, 0),
  [133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_otherwise_clause, 2, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 8),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 8),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 8),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 8),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 14),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 14),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 14),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 14),
  [173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 8),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 8),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 20),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 20),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 20),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 20),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 20),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 20),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 14),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 14),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(206),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(244),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(246),
  [260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(212),
  [263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(1178),
  [266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(1087),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(181),
  [272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(183),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(847),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(276),
  [283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(1094),
  [286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(1013),
  [289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(279),
  [292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(280),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(791),
  [298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(793),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(771),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(1014),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(6),
  [310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(397),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(305),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(775),
  [319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(894),
  [322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(892),
  [325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(648),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_block, 1, 0, 0), SHIFT(771),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 0),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(826),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 0), SHIFT_REPEAT(844),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_expression, 1, 0, 0),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym__range_element, 1, 0, 0),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_element, 1, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_element, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 1),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 1),
  [378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_expression, 1, 0, 0),
  [380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 2, 0, 4),
  [382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 4),
  [384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_metaclass_operator, 2, 0, 0),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_metaclass_operator, 2, 0, 0),
  [390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_handle_operator, 2, 0, 0),
  [392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_handle_operator, 2, 0, 0),
  [394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 10),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 10),
  [398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_handle_operator, 3, 0, 0),
  [400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_handle_operator, 3, 0, 0),
  [402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_metaclass_operator, 3, 0, 0),
  [404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_metaclass_operator, 3, 0, 0),
  [406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1201),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12), SHIFT_REPEAT(748),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__args, 2, 0, 0),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__args, 2, 0, 0),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__args, 3, 0, 0),
  [428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__args, 3, 0, 0),
  [430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 16),
  [432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 16),
  [434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 17),
  [436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 17),
  [438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, 0, 3),
  [440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, 0, 3),
  [442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, 0, 6),
  [444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, 0, 6),
  [446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_access, 3, 0, 0),
  [448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_access, 3, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 3, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 3, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 5, 0, 0),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range, 3, 0, 0), REDUCE(sym_range, 5, 0, 0),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 5, 0, 0),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 11),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 11),
  [473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cell, 4, 0, 0),
  [475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cell, 4, 0, 0),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 4, 0, 0),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 4, 0, 0),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 3, 0, 0),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 3, 0, 0),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, 0, 13),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 13),
  [495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 5, 0, 18),
  [497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, 0, 18),
  [499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_element, 1, -1, 0),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym__range_element, 1, -1, 0),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_element, 1, -1, 0),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 11),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 11),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 3, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 3, 0, 0),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cell, 3, 0, 0),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cell, 3, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesis, 3, 0, 0),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesis, 3, 0, 0),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym__range_element, 1, 1, 0),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_operator, 2, 0, 2),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_operator, 2, 0, 2),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cell, 2, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cell, 2, 0, 0),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_element, 1, 1, 0),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_element, 1, 1, 0),
  [553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 2, 0, 0),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 2, 0, 0),
  [557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 0),
  [559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 0),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1182),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_repeat1, 1, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_repeat1, 1, 0, 0),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 3, 0, 0),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 3, 0, 0),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_elseif_clause_repeat1, 2, 0, 0),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_elseif_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_elseif_clause_repeat1, 2, 0, 0),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row, 2, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row, 2, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row, 4, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row, 4, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignored_argument, 1, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignored_argument, 1, 0, 0),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row, 3, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row, 3, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block, 3, 0, 5),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block, 3, 0, 5),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block, 2, 0, 5),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block, 2, 0, 5),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block, 3, 0, 0),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block, 3, 0, 0),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(259),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12), SHIFT_REPEAT(733),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym__range_element, 1, 0, 0),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments_statement, 4, 0, 23),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments_statement, 4, 0, 23),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_value, 1, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments_statement, 3, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments_statement, 3, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments_statement, 5, 0, 23),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments_statement, 5, 0, 23),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments_statement, 4, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments_statement, 4, 0, 0),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1196),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12), SHIFT_REPEAT(721),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12), SHIFT_REPEAT(711),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym__range_element, 1, -1, 0),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_range, 3, 0, 0), REDUCE(sym_range, 5, 0, 0),
  [1053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym__range_element, 1, 1, 0),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1179),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [1124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_metaclass_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(1246),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row, 1, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row, 1, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [1180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(669),
  [1183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(299),
  [1186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(686),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_row_repeat1, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_row_repeat1, 2, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_name, 2, -1, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multioutput_variable_repeat1, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_value, 2, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 9),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 9),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 6, 0, 15),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 11),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multioutput_variable_repeat1, 1, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multioutput_variable_repeat1, 1, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_methods_repeat1, 2, 0, 0), SHIFT_REPEAT(691),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_methods_repeat1, 2, 0, 0),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_methods_repeat1, 2, 0, 0), SHIFT_REPEAT(778),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_methods_repeat1, 2, 0, 0), SHIFT_REPEAT(1236),
  [1255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_methods_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [1284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [1289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [1292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [1295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [1298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 21),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat2, 4, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_name, 4, -1, 0),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_name, 3, -1, 0),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_expression_repeat1, 2, 0, 12), SHIFT_REPEAT(710),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_elseif_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 6, 0, 14),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 6, 0, 14),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_name, 1, -1, 0),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 4, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 3, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 4, 0, 8),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 4, 0, 8),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 5, 0, 14),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 5, 0, 14),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 5, 0, 8),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 5, 0, 8),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 6, 0, 8),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 6, 0, 8),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 6, 0, 20),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 6, 0, 20),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 7, 0, 14),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 7, 0, 14),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 7, 0, 8),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 7, 0, 8),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 7, 0, 20),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 7, 0, 20),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 8, 0, 14),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 8, 0, 14),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [1528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_arguments_statement_repeat1, 2, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 8, 0, 20),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 8, 0, 20),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 9, 0, 20),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 9, 0, 20),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_methods_repeat1, 1, 0, 5),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_methods_repeat1, 1, 0, 5),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 8, 0, 8),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 8, 0, 8),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 9, 0, 14),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 9, 0, 14),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_definition_with_end, 10, 0, 20),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_with_end, 10, 0, 20),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_methods, 5, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_properties, 5, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 20),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 20),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_persistent_operator, 2, 0, 0),
  [1593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_row_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 14),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 14),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration, 4, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_events, 4, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 2, 0, 3),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 2, 0, 3),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_methods, 4, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_properties, 4, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 14),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 14),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_superclasses, 2, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 8),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 8),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 14),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 14),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_validation_functions_repeat1, 2, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, 0, 0),
  [1658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_operator, 1, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 14),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 14),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_persistent_operator, 1, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [1677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 8),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 8),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration, 3, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_events, 3, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 20),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 20),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_methods, 3, 0, 0),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_properties, 3, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_superclasses_repeat1, 2, 0, 0),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_superclasses_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, 0, 8),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, 0, 8),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, 0, 3),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, 0, 3),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 8),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 8),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_events, 5, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration, 5, 0, 0),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(817),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_global_operator_repeat1, 2, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_operator, 2, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_superclasses, 3, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, 0, 0),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parfor_options, 1, 0, 0),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_validation_functions, 3, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 1, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(872),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_validation_functions, 4, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0),
  [1849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [1874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_repeat1, 2, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 5, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributes, 4, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [1921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 7),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 7, 0, 15),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 7),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 7),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_name, 1, -1, 0),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 6, 0, 9),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_repeat1, 2, 0, 0),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 7),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 7),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4, 0, 7),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_arguments, 2, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_attributes, 4, 0, 24),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 8),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 15),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat2, 2, 0, 0), SHIFT_REPEAT(1203),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat2, 2, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_name, 2, -1, 0),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 7),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 14),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumeration_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumeration_repeat1, 2, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 7),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 7),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_arguments, 3, 0, 19),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributes, 3, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_attributes, 3, 0, 21),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 8),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 7),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 7),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 14),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 8),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 0),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 14),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, 0, 7),
  [2122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 22), SHIFT_REPEAT(200),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 22),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 7),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, 0, 3),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, 0, 3),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 7),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 7),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 3, 0, 3),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 3, 0, 3),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [2189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [2194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_validation_functions_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [2197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(1102),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 3),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 3),
  [2206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(1056),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 2, 0, 3),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 2, 0, 3),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 4, 0, 3),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 4, 0, 3),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_output, 2, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_output, 2, 0, 0),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_events_repeat1, 2, 0, 0), SHIFT_REPEAT(850),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_events_repeat1, 2, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 3, 0, 7),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1069),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__lambda_arguments_repeat1, 2, 0, 0),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_arguments, 1, 0, 0),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_attributes_repeat1, 2, 0, 22), SHIFT_REPEAT(1169),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_attributes_repeat1, 2, 0, 22),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_arguments, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_operator, 1, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 20),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_attributes_repeat1, 2, 0, 21),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_name, 3, -1, 0),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 14),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_name, 4, -1, 0),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 8),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_otherwise_clause, 3, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multioutput_variable, 5, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 4, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multioutput_variable, 3, 0, 0),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 4, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multioutput_variable, 4, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_otherwise_clause, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multioutput_variable, 2, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 3, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2566] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token_line_continuation = 1,
  ts_external_token_command_name = 2,
  ts_external_token_command_argument = 3,
  ts_external_token__single_quote_string_start = 4,
  ts_external_token__single_quote_string_end = 5,
  ts_external_token__double_quote_string_start = 6,
  ts_external_token__double_quote_string_end = 7,
  ts_external_token_formatting_sequence = 8,
  ts_external_token_escape_sequence = 9,
  ts_external_token_string_content = 10,
  ts_external_token__entry_delimiter = 11,
  ts_external_token__multioutput_variable_start = 12,
  ts_external_token_error_sentinel = 13,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_line_continuation] = sym_line_continuation,
  [ts_external_token_command_name] = sym_command_name,
  [ts_external_token_command_argument] = sym_command_argument,
  [ts_external_token__single_quote_string_start] = sym__single_quote_string_start,
  [ts_external_token__single_quote_string_end] = sym__single_quote_string_end,
  [ts_external_token__double_quote_string_start] = sym__double_quote_string_start,
  [ts_external_token__double_quote_string_end] = sym__double_quote_string_end,
  [ts_external_token_formatting_sequence] = sym_formatting_sequence,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_string_content] = sym_string_content,
  [ts_external_token__entry_delimiter] = sym__entry_delimiter,
  [ts_external_token__multioutput_variable_start] = sym__multioutput_variable_start,
  [ts_external_token_error_sentinel] = sym_error_sentinel,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token_command_name] = true,
    [ts_external_token_command_argument] = true,
    [ts_external_token__single_quote_string_start] = true,
    [ts_external_token__single_quote_string_end] = true,
    [ts_external_token__double_quote_string_start] = true,
    [ts_external_token__double_quote_string_end] = true,
    [ts_external_token_formatting_sequence] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_string_content] = true,
    [ts_external_token__entry_delimiter] = true,
    [ts_external_token__multioutput_variable_start] = true,
    [ts_external_token_error_sentinel] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token_command_name] = true,
    [ts_external_token__single_quote_string_start] = true,
    [ts_external_token__double_quote_string_start] = true,
    [ts_external_token__multioutput_variable_start] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token__single_quote_string_start] = true,
    [ts_external_token__double_quote_string_start] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token__single_quote_string_start] = true,
    [ts_external_token__double_quote_string_start] = true,
    [ts_external_token__entry_delimiter] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token__entry_delimiter] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token__multioutput_variable_start] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token_command_argument] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token__double_quote_string_end] = true,
    [ts_external_token_formatting_sequence] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_string_content] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_continuation] = true,
    [ts_external_token__single_quote_string_end] = true,
    [ts_external_token_formatting_sequence] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_matlab_external_scanner_create(void);
void tree_sitter_matlab_external_scanner_destroy(void *);
bool tree_sitter_matlab_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_matlab_external_scanner_serialize(void *, char *);
void tree_sitter_matlab_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_matlab(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_matlab_external_scanner_create,
      tree_sitter_matlab_external_scanner_destroy,
      tree_sitter_matlab_external_scanner_scan,
      tree_sitter_matlab_external_scanner_serialize,
      tree_sitter_matlab_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
